commit e32cb264ea72a4459810f30abad70dae5a4fa17d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-05-21 16:59:22 +0300

    Bump version and soname for 5.0.3.

 src/liblzma/Makefile.am        |    2 +-
 src/liblzma/api/lzma/version.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 65cff45f8fd1c250491557157cce0f5f38481082
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-05-21 16:56:53 +0300

    Update NEWS for 5.0.3.

 NEWS |   36 ++++++++++++++++++++++++++++++++++--
 1 files changed, 34 insertions(+), 2 deletions(-)

commit 316c67ffdae1f811ac95e838d5290a013bff4ca7
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-05-21 16:28:44 +0300

    Add French translation.
    
    It is known that the BCJ filter --help text is only
    partially translated.

 po/LINGUAS |    1 +
 po/fr.po   |  864 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 865 insertions(+), 0 deletions(-)

commit 1931175eea6d09c0845d6e8e334a7333647f11c0
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-05-21 15:12:10 +0300

    xz: Translate also the string used to print the program name.
    
    French needs a space before a colon, e.g. "xz : foo error".

 src/xz/message.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 841dc1f891b48b23f84c0f0e0c86c7c4e4bdcdf5
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-05-17 12:26:28 +0300

    Update THANKS.

 THANKS |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 0f7e2d36240ebf1159d5fb85d8cd7422337a0d3f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-05-17 12:21:33 +0300

    Update INSTALL with a note about linker problem on OpenSolaris x86.

 INSTALL |   23 +++++++++++++++++------
 1 files changed, 17 insertions(+), 6 deletions(-)

commit 793d857e01e1725f16fc0c8af8172c91a9e38617
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-05-17 12:01:37 +0300

    Build: Fix initialization of enable_check_* variables in configure.ac.
    
    This doesn't matter much in practice since it is unlikely
    that anyone would have such environment variable names.
    
    Thanks to Wim Lewis.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit afcff45cee04c5c7d9c333504046ffb63d1418b5
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-05-17 11:54:38 +0300

    Add underscores to attributes (__attribute((__foo__))).

 src/liblzma/common/alone_decoder.c |    2 +-
 src/liblzma/common/alone_encoder.c |    2 +-
 src/liblzma/common/block_encoder.c |    2 +-
 src/liblzma/common/common.c        |    2 +-
 src/liblzma/common/common.h        |    2 +-
 src/liblzma/common/index_decoder.c |    9 +++++----
 src/liblzma/common/index_encoder.c |   11 ++++++-----
 src/liblzma/delta/delta_encoder.c  |    2 +-
 src/liblzma/lz/lz_decoder.c        |    2 +-
 src/liblzma/lz/lz_encoder.c        |    2 +-
 src/liblzma/simple/arm.c           |    2 +-
 src/liblzma/simple/armthumb.c      |    2 +-
 src/liblzma/simple/ia64.c          |    2 +-
 src/liblzma/simple/powerpc.c       |    2 +-
 src/liblzma/simple/simple_coder.c  |    2 +-
 src/liblzma/simple/sparc.c         |    2 +-
 src/lzmainfo/lzmainfo.c            |    4 ++--
 src/xz/coder.c                     |    2 +-
 src/xz/hardware.h                  |    2 +-
 src/xz/message.c                   |    2 +-
 src/xz/message.h                   |   18 +++++++++---------
 src/xz/options.c                   |    6 +++---
 src/xz/signals.c                   |    2 +-
 src/xz/util.h                      |    6 +++---
 src/xzdec/xzdec.c                  |    6 +++---
 25 files changed, 49 insertions(+), 47 deletions(-)

commit 22159c6ba2300a006f2e46ce85ae132e2d2f7d57
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-04-18 19:35:49 +0300

    Update THANKS.

 THANKS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 5e3499059515033d1ce44b6fb0fa49183c7ac633
Author: Martin Väth <vaeth@mathematik.uni-wuerzburg.de>
Date:   2011-04-15 04:54:49 -0400

    xzgrep: fix typo in $0 parsing
    
    Reported-by: Diego Elio Pettenò <flameeyes@gentoo.org>
    Signed-off-by: Martin Väth <vaeth@mathematik.uni-wuerzburg.de>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

 src/scripts/xzgrep.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 1125611b9b8d4a209b6a73d2c76e1b39c065972a
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-04-12 11:59:49 +0300

    Remove doubled words from documentation and comments.
    
    Spot candidates by running these commands:
      git ls-files |xargs perl -0777 -n \
        -e 'while (/\b(then?|[iao]n|i[fst]|but|f?or|at|and|[dt]o)\s+\1\b/gims)' \
        -e '{$n=($` =~ tr/\n/\n/ + 1); ($v=$&)=~s/\n/\\n/g; print "$ARGV:$n:$v\n"}'
    
    Thanks to Jim Meyering for the original patch.

 doc/lzma-file-format.txt           |    4 ++--
 src/liblzma/common/alone_encoder.c |    2 +-
 src/liblzma/lzma/lzma2_encoder.c   |    2 +-
 src/xz/file_io.c                   |    2 +-
 src/xz/xz.1                        |    2 +-
 windows/INSTALL-Windows.txt        |    2 +-
 6 files changed, 7 insertions(+), 7 deletions(-)

commit 3f8fa53837bae8b44f3addf19923e26401336c3d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-04-11 21:04:13 +0300

    liblzma: Document lzma_easy_(enc|dec)oder_memusage() better too.

 src/liblzma/api/lzma/container.h |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 320d734c20d0776e3eb80f6b5984ddeb494715b5
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-04-11 20:59:07 +0300

    liblzma: Document lzma_raw_(enc|dec)oder_memusage() better.
    
    It didn't mention the return value that is used if
    an error occurs.

 src/liblzma/api/lzma/filter.h |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 2ee4edeffc8d9734bf68230df31b20ac6a94c9b5
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-04-11 13:59:50 +0300

    liblzma: Don't create an empty Block in lzma_stream_buffer_encode().
    
    Empty Block was created if the input buffer was empty.
    Empty Block wastes a few bytes of space, but more importantly
    it triggers a bug in XZ Utils 5.0.1 and older when trying
    to decompress such a file. 5.0.1 and older consider such
    files to be corrupt. I thought that no encoder creates empty
    Blocks when releasing 5.0.2 but I was wrong.

 src/liblzma/common/stream_buffer_encoder.c |   20 +++++++++++++-------
 1 files changed, 13 insertions(+), 7 deletions(-)

commit 73f56fb87d54091d0c4fd22d70e6f042902e3b63
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-04-11 13:28:40 +0300

    liblzma: Fix API docs to mention LZMA_UNSUPPORTED_CHECK.
    
    This return value was missing from the API comments of
    four functions.

 src/liblzma/api/lzma/block.h     |    1 +
 src/liblzma/api/lzma/container.h |    3 +++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit 4ce1cf97a88ae1640a380dd19cbc255d729f966b
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-04-11 13:21:28 +0300

    liblzma: Validate encoder arguments better.
    
    The biggest problem was that the integrity check type
    wasn't validated, and e.g. lzma_easy_buffer_encode()
    would create a corrupt .xz Stream if given an unsupported
    Check ID. Luckily applications don't usually try to use
    an unsupport Check ID, so this bug is unlikely to cause
    many real-world problems.

 src/liblzma/common/block_buffer_encoder.c  |   18 ++++++++++++------
 src/liblzma/common/block_encoder.c         |    5 +++++
 src/liblzma/common/stream_buffer_encoder.c |    3 +++
 3 files changed, 20 insertions(+), 6 deletions(-)

commit 972f05d7a4268dbe42573701f83faa45d03249eb
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-04-09 18:29:30 +0300

    Update THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 28154eeaf6e3442cd1e174f4e81266d60c4dac60
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-04-09 18:28:58 +0300

    liblzma: Add missing #ifdefs to filter_common.c.
    
    Passing --disable-decoders to configure broke a few
    encoders due to missing #ifdefs in filter_common.c.
    
    Thanks to Jason Gorski for the patch.

 src/liblzma/common/filter_common.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit aa95516d3d509c6b7895ee519004afcf500a0759
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-04-02 14:49:56 +0300

    liblzma: Fix a memory leak in stream_encoder.c.
    
    It leaks old filter options structures (hundred bytes or so)
    every time the lzma_stream is reinitialized. With the xz tool,
    this happens when compressing multiple files.

 src/liblzma/common/stream_encoder.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 58f52c72f49562a08042da9a2f4bbdf4dd162d0c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-04-01 08:47:46 +0300

    Bumped version and liblzma soname to 5.0.2.

 src/liblzma/Makefile.am        |    2 +-
 src/liblzma/api/lzma/version.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 162779682e01d15f0ce386ef7f40d1be05ad0053
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-04-01 08:47:20 +0300

    Updated NEWS for 5.0.2.

 NEWS |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit 45553f9b4b0175c292023010dc41520347004852
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-03-31 15:06:58 +0300

    Update INSTALL with another note about IRIX.

 INSTALL |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit af9d48d5515eadef689b1ce9ffb91e4dbcbc7f35
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-03-31 12:22:55 +0300

    Tests: Add a new file to test empty LZMA2 streams.

 tests/files/README            |    4 ++++
 tests/files/good-1-lzma2-5.xz |  Bin 0 -> 52 bytes
 2 files changed, 4 insertions(+), 0 deletions(-)

commit d099ef9f517b59ab8e3b6f6aa0543c3643983470
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-03-31 11:54:48 +0300

    liblzma: Fix decoding of LZMA2 streams having no uncompressed data.
    
    The decoder considered empty LZMA2 streams to be corrupt.
    This shouldn't matter much with .xz files, because no encoder
    creates empty LZMA2 streams in .xz. This bug is more likely
    to cause problems in applications that use raw LZMA2 streams.

 src/liblzma/lzma/lzma2_decoder.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit df87249b26e79a75fd91041e85512944fc247b57
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-03-24 01:42:49 +0200

    Scripts: Better fix for xzgrep.
    
    Now it uses "grep -q".
    
    Thanks to Gregory Margo.

 src/scripts/xzgrep.in |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 68c453e1c7b09dc9c7d2ef9d994c46f5b367f5d3
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-03-24 01:22:18 +0200

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b441d39855516ae618faffd5156261b8b413394f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-03-24 01:21:32 +0200

    Scripts: Fix xzgrep -l.
    
    It didn't work at all. It tried to use the -q option
    for grep, but it appended it after "--". This works
    around it by redirecting to /dev/null. The downside
    is that this can be slower with big files compared
    to proper use of "grep -q".
    
    Thanks to Gregory Margo.

 src/scripts/xzgrep.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 82d5164839517f55daeadd9ee88c76425db30224
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-02-04 22:49:31 +0200

    xz: Clean up suffix.c.
    
    struct suffix_pair isn't needed in compresed_name()
    so get rid of it there.

 src/xz/suffix.c |   44 ++++++++++++++++++++------------------------
 1 files changed, 20 insertions(+), 24 deletions(-)

commit 6decc8b41882c2250f0450eb87b83c9fbf495e95
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-02-04 11:29:47 +0200

    xz: Check if the file already has custom suffix when compressing.
    
    Now "xz -S .test foo.test" refuses to compress the
    file because it already has the suffix .test. The man
    page had it documented this way already.

 src/xz/suffix.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit ecda90061df8d39399e707e5c76c2ec0a0f400e5
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-02-02 23:01:51 +0200

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0fda1ae5b1aa0a5c629a09e5228db8ba1cd0dd5f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-02-02 23:00:33 +0200

    Translations: Add Polish translation.
    
    Thanks to Jakub Bogusz.

 po/LINGUAS |    1 +
 po/pl.po   |  825 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 826 insertions(+), 0 deletions(-)

commit 00be32978fedc5038748438bf685ac1713d1db83
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-02-02 22:24:00 +0200

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7232fcf96bf4bd5f9cd4fc6c93ca2912c665e004
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-01-28 20:26:38 +0200

    Bump package version and liblzma soname to 5.0.1.

 src/liblzma/Makefile.am        |    2 +-
 src/liblzma/api/lzma/version.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 5fbce0b8d96dc96775aa0215e3581addc830e23d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-01-28 20:16:57 +0200

    Update NEWS for 5.0.1.

 NEWS |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit 03ebd1bbb314f9f204940219a835c883bf442475
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-01-26 12:19:08 +0200

    xz: Fix --force on setuid/setgid/sticky and multi-hardlink files.
    
    xz didn't compress setuid/setgid/sticky files and files
    with multiple hard links even with --force. This bug was
    introduced in 23ac2c44c3ac76994825adb7f9a8f719f78b5ee4.
    
    Thanks to Charles Wilson.

 src/xz/file_io.c |   15 +++++++--------
 1 files changed, 7 insertions(+), 8 deletions(-)

commit 7bd0a5e7ccc354f7c2e95c8bc27569c820f6a136
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-01-18 21:25:24 +0200

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f71c4e16e913f660977526f0ef8d2acdf458d7c9
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2011-01-18 21:23:50 +0200

    Add alloc_size and malloc attributes to a few functions.
    
    Thanks to Cristian Rodríguez for the original patch.

 src/common/sysdefs.h        |    6 ++++++
 src/liblzma/common/common.h |    2 +-
 src/xz/util.h               |    5 +++--
 3 files changed, 10 insertions(+), 3 deletions(-)

commit 316cbe24465143edde8f6ffb7532834b7b2ea93f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-12-13 16:36:33 +0200

    Scripts: Fix gzip and bzip2 support in xzdiff.

 src/scripts/xzdiff.in |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 9311774c493c19deab51ded919dcd2e9c4aa2829
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-12-12 21:23:55 +0200

    Build: Enable ASM on DJGPP by default.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4a42aaee282fc73b482581684d65110506d5efdd
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-12-12 16:09:42 +0200

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit ce56f63c41ee210e6308090eb6d49221fdf67d6c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-12-12 16:07:11 +0200

    Add missing PRIx32 and PRIx64 compatibility definitions.
    
    This fixes portability to systems that lack C99 inttypes.h.
    
    Thanks to Juan Manuel Guerrero.

 src/common/sysdefs.h |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit e6baedddcf54e7da049ebc49183565b99facd4c7
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-12-12 14:50:04 +0200

    DOS-like: Treat \ and : as directory separators in addition to /.
    
    Juan Manuel Guerrero had fixed this in his XZ Utils port
    to DOS/DJGPP. The bug affects also Windows and OS/2.

 src/xz/suffix.c |   33 +++++++++++++++++++++++++++++----
 1 files changed, 29 insertions(+), 4 deletions(-)

commit b7afd3e22a8fac115b75c738d40d3eb1de7e286f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-12-07 18:52:04 +0200

    Translations: Fix Czech translation of "sparse file".
    
    Thanks to Petr Hubený and Marek Černocký.

 po/cs.po |   88 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 44 insertions(+), 44 deletions(-)

commit 3e564704bc6f463cb2db11e3f3f0dbd71d85992e
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-11-15 14:28:26 +0200

    liblzma: Document the return value of lzma_lzma_preset().

 src/liblzma/api/lzma/lzma.h |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 2964d8d691ed92abdcf214888d79ad6d79774735
Author: Jonathan Nieder <jrnieder@gmail.com>
Date:   2010-11-12 15:22:13 -0600

    Simplify paths in generated API docs
    
    Currently the file list generated by Doxygen has src/ at the
    beginning of each path.  Paths like common/sysdefs.h and
    liblzma/api/lzma.h are easier to read without such a prefix.
    
    Builds from a separate build directory with
    
    	mkdir build
    	cd build
    	../configure
    	doxygen Doxyfile
    
    include an even longer prefix /home/someone/src/xz/src; this
    patch has the nice side-effect of eliminating that prefix, too.
    
    Fixes: http://bugs.debian.org/572273

 Doxyfile.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 37c25658efd25b034266daf87cd381d20d1df776
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-26 15:48:48 +0300

    Build: Copy the example programs to $docdir/examples.
    
    The example programs by Daniel Mealha Cabrita were included
    in the git repository, but I had forgot to add them to
    Makefile.am. Thus, they didn't get included in the source
    package at all by "make dist".

 Makefile.am        |    5 +++++
 windows/build.bash |    3 ++-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit e45929260cd902036efd40c5610a8d0a50d5712b
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-23 17:25:52 +0300

    Build: Fix mydist rule when .git doesn't exist.

 Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6e1326fcdf6b6209949be57cfe3ad4b781b65168
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-23 14:15:35 +0300

    Add NEWS for 5.0.0.

 NEWS |   62 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 62 insertions(+), 0 deletions(-)

commit b667a3ef6338a2c1db7b7706b1f6c99ea392221c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-23 14:02:53 +0300

    Bump version to 5.0.0 and liblzma version-info to 5:0:0.

 src/liblzma/Makefile.am        |    2 +-
 src/liblzma/api/lzma/version.h |    8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 8c947e9291691629714dafb4536c718b6cc24fbd
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-23 12:30:54 +0300

    liblzma: Make lzma_code() check the reserved members in lzma_stream.
    
    If any of the reserved members in lzma_stream are non-zero
    or non-NULL, LZMA_OPTIONS_ERROR is returned. It is possible
    that a new feature in the future is indicated by just setting
    a reserved member to some other value, so the old liblzma
    version need to catch it as an unsupported feature.

 src/liblzma/common/common.c |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit e61d85e082743ebd2dd0ff28fc0a82482ede0538
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-23 12:26:33 +0300

    Windows: Use MinGW's stdio functions.
    
    The non-standard ones from msvcrt.dll appear to work
    most of the time with XZ Utils, but there are some
    corner cases where things may go very wrong. So it's
    good to use the better replacements provided by
    MinGW(-w64) runtime.

 src/common/sysdefs.h |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 23e23f1dc029146714c9a98313ab3ea93d71a2fc
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-23 12:21:32 +0300

    liblzma: Use 512 as INDEX_GROUP_SIZE.
    
    This lets compiler use shifting instead of 64-bit division.

 src/liblzma/common/index.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 613939fc82603b75b59eee840871a05bc8dd08e0
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-23 12:20:11 +0300

    liblzma: A few ABI tweaks to reserve space in structures.

 src/liblzma/api/lzma/base.h         |    7 ++++++-
 src/liblzma/api/lzma/lzma.h         |    4 ++--
 src/liblzma/api/lzma/stream_flags.h |    4 ----
 3 files changed, 8 insertions(+), 7 deletions(-)

commit 68b83f252df3d27480a9f6f03445d16f6506fef1
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-21 23:16:11 +0300

    xz: Make sure that message_strm() can never return NULL.

 src/xz/message.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit d09c5753e33ff96ee57edb6d1e98e34041203695
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-21 23:06:31 +0300

    liblzma: Update the comments in the API headers.
    
    Adding support for LZMA_FINISH for Index encoding and
    decoding needed tiny additions to the relevant .c files too.

 src/liblzma/api/lzma.h              |    4 +-
 src/liblzma/api/lzma/base.h         |   38 +++++++++++++-------------
 src/liblzma/api/lzma/bcj.h          |    4 +-
 src/liblzma/api/lzma/block.h        |    4 +-
 src/liblzma/api/lzma/container.h    |   26 +++++++++++------
 src/liblzma/api/lzma/filter.h       |   51 +++++++++++++++++------------------
 src/liblzma/api/lzma/hardware.h     |    3 +-
 src/liblzma/api/lzma/index.h        |   28 +++++++++++-------
 src/liblzma/api/lzma/index_hash.h   |    2 +-
 src/liblzma/api/lzma/lzma.h         |   46 +++++++++++++++++++++----------
 src/liblzma/api/lzma/stream_flags.h |    4 +-
 src/liblzma/api/lzma/vli.h          |   31 ++++++++++-----------
 src/liblzma/common/index_decoder.c  |    1 +
 src/liblzma/common/index_encoder.c  |    1 +
 14 files changed, 136 insertions(+), 107 deletions(-)

commit 33c1c0e102eb529588503b8beea0903a45488fad
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-19 12:08:30 +0300

    Update INSTALL.generic.

 INSTALL.generic |   99 +++++++++++++++++++++++++++++++++++++++++++++----------
 1 files changed, 81 insertions(+), 18 deletions(-)

commit 0076e03641f201c4b77dddd5a6db5880be19a78c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-19 11:44:37 +0300

    Clean up a few FIXMEs and TODOs.
    
    lzma_chunk_size() was commented out because it is
    currently useless.

 src/liblzma/common/filter_encoder.c |    2 ++
 src/liblzma/common/filter_encoder.h |    4 ++--
 src/liblzma/lzma/lzma2_decoder.c    |    1 -
 src/liblzma/lzma/lzma_decoder.c     |    4 ++--
 src/liblzma/lzma/lzma_encoder.c     |    2 +-
 src/xz/message.h                    |    2 +-
 6 files changed, 8 insertions(+), 7 deletions(-)

commit ce34ec4f54ff8b753da236f371ad8dd23c8135c9
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-19 10:21:08 +0300

    Update docs.

 INSTALL    |  192 +++++++++++++++++++++++++++++++++++++++++-------------------
 PACKAGERS  |  104 +++++++++------------------------
 TODO       |   17 ++++--
 dos/README |    2 +-
 4 files changed, 172 insertions(+), 143 deletions(-)

commit f0fa880d247e73264d2c04fe31fb3412318a0026
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-12 15:13:30 +0300

    xz: Avoid raise() also on OpenVMS.
    
    This is similar to DOS/DJGPP that killing the program
    with a signal will print a backtrace or a similar message.

 src/xz/signals.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ac462b1c47c451f5c62e428306314c4bdad8ae7f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-11 21:26:19 +0300

    xz: Avoid SA_RESTART for portability reasons.
    
    SA_RESTART is not as portable as I had hoped. It's missing
    at least from OpenVMS, QNX, and DJGPP). Luckily we can do
    fine without SA_RESTART.

 src/xz/message.c |   38 +++++++++++++++-----------------------
 src/xz/message.h |    4 ++++
 src/xz/signals.c |    6 ++++++
 3 files changed, 25 insertions(+), 23 deletions(-)

commit d52b411716a614c202e89ba732492efb9916cd3f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-10 17:58:58 +0300

    xz: Use "%"PRIu32 instead of "%d" in a format string.

 src/xz/message.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ae74d1bdeb075c3beefe76e1136c5741804e7e91
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-10 17:43:26 +0300

    test_files.sh: Fix the first line.
    
    For some reason this prevented running the test only
    on OS/2 and even on that it broke only recently.
    
    Thanks to Elbert Pol.

 tests/test_files.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d492b80ddd6f9a13419de6d102df7374d8f448e8
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-10 16:49:01 +0300

    lzmainfo: Use "%"PRIu32 instead of "%u" for uint32_t.

 src/lzmainfo/lzmainfo.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 825e859a9054bd91202e5723c41a17e72f63040a
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-10 16:47:01 +0300

    lzmainfo: Use fileno(stdin) instead of STDIN_FILENO.

 src/lzmainfo/lzmainfo.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit acbc4cdecbeec2a4dfaac04f185ece49b2ff17c8
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-09 23:20:51 +0300

    lzmainfo: Use setmode() on DOS-like systems.

 src/lzmainfo/lzmainfo.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit ef364d3abc5647111c5424ea0d83a567e184a23b
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-09 21:51:03 +0300

    OS/2 and DOS: Be less verbose on signals.
    
    Calling raise() to kill xz when user has pressed C-c
    is a bit verbose on OS/2 and DOS/DJGPP. Instead of
    calling raise(), set only the exit status to 1.

 src/xz/signals.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 5629c4be07b6c67e79842b2569da1cedc9c0d69a
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-09 19:28:49 +0300

    DOS: Update the Makefile, config.h and README.
    
    This is now simpler and builds only xz.exe.

 dos/Makefile |  211 ++++++++++++++--------------------------------------------
 dos/README   |   73 +++++++--------------
 dos/config.h |   45 +++---------
 3 files changed, 86 insertions(+), 243 deletions(-)

commit f25a77e6b9bc48a243ddfbbd755b7960eec7e0ac
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-09 18:57:55 +0300

    Windows: Put some license info into README-Windows.txt.

 windows/README-Windows.txt |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit e75100f549f85d231df25c07aa94d63e78e2d668
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-09 18:57:04 +0300

    Windows: Fix a diagnostics bug in build.bash.

 windows/build.bash |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit efeb998a2b1025df1c1d202cc7d21d866cd1c336
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-09 13:02:15 +0300

    lzmainfo: Add Windows resource file.

 src/lzmainfo/Makefile.am        |    9 +++++++++
 src/lzmainfo/lzmainfo_w32res.rc |   12 ++++++++++++
 2 files changed, 21 insertions(+), 0 deletions(-)

commit 389d418445f1623593dfdbba55d52fbb6d1205f5
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-09 12:57:25 +0300

    Add missing public domain notice to lzmadec_w32res.rc.

 src/xzdec/lzmadec_w32res.rc |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 6389c773a4912dd9f111256d74ba1605230a7957
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-09 12:52:12 +0300

    Windows: Update common_w32res.rc.

 src/common/common_w32res.rc |    9 +++------
 1 files changed, 3 insertions(+), 6 deletions(-)

commit 71275457ca24c9b01721f5cfc3638cf094daf454
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-09 12:27:08 +0300

    Windows: Make build.bash prefer MinGW-w32 over MinGW.
    
    This is simply for licensing reasons. The 64-bit version
    will be built with MinGW-w64 anyway (at least for now),
    so using it also for 32-bit build allows using the same
    copyright notice about the MinGW-w64/w32 runtime.
    
    Note that using MinGW would require a copyright notice too,
    because its runtime is not in the public domain either even
    though MinGW's home page claims that it is public domain.
    See <http://marc.info/?l=mingw-users&m=126489506214078>.

 windows/build.bash |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 3ac35719d8433af937af6491383d4a50e343099b
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-09 11:33:21 +0300

    Windows: Copy COPYING-Windows.txt (if it exists) to the package.
    
    Also, put README-Windows.txt to the doc directory like
    the other documentation files.

 windows/build.bash |   14 ++++++++++++--
 1 files changed, 12 insertions(+), 2 deletions(-)

commit 7b5db576fd7a4a67813b8437a9ccd4dbc94bbaae
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-08 21:42:37 +0300

    Windows: Fix build.bash again.
    
    630a8beda34af0ac153c8051b1bf01230558e422 wasn't good.

 windows/build.bash |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit d3cd7abe85ec7c2f46cf198b15c00d5d119df3dd
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-08 16:53:20 +0300

    Use LZMA_VERSION_STRING instead of PACKAGE_VERSION.
    
    Those are the same thing, and the former makes it a bit
    easier to build the code with other build systems, because
    one doesn't need to update the version number into custom
    config.h.
    
    This change affects only lzmainfo. Other tools were already
    using LZMA_VERSION_STRING.

 src/lzmainfo/lzmainfo.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 084c60d318f2dbaef4078d9b100b4a373d0c3a7f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-08 15:59:25 +0300

    configure.ac: Remove two unused defines.

 configure.ac |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 11f51b6714357cb67ec7e56ed9575c199b5581fe
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-08 15:32:29 +0300

    Make tests accommodate missing xz or xzdec.

 tests/test_compress.sh |   45 +++++++++++++++++++++++++++++----------------
 tests/test_files.sh    |   28 ++++++++++++++++++++++++++--
 2 files changed, 55 insertions(+), 18 deletions(-)

commit b1c7368f95e93ccdefdd0748e04398c26766f47f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-08 15:25:45 +0300

    Build: Add options to disable individual command line tools.

 configure.ac            |   38 ++++++++++++++++++++++++++++
 src/Makefile.am         |   15 ++++++++++-
 src/scripts/Makefile.am |   62 +++++++++++++++++++---------------------------
 src/xz/Makefile.am      |    6 ++++-
 src/xzdec/Makefile.am   |   12 +++++++-
 5 files changed, 93 insertions(+), 40 deletions(-)

commit 630a8beda34af0ac153c8051b1bf01230558e422
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-07 00:44:53 +0300

    Windows: Make build.bash work without --enable-dynamic=no.

 windows/build.bash |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f9907503f882a745dce9d84c2968f6c175ba966a
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-05 14:13:16 +0300

    Build: Remove the static/dynamic tricks.
    
    Most distros want xz linked against shared liblzma, so
    it doesn't help much to require --enable-dynamic for that.
    Those who want to avoid PIC on x86-32 to get better
    performance, can still do it e.g. by using --disable-shared
    to compile xz and then another pass to compile shared liblzma.
    
    Part of these static/dynamic tricks were needed for Windows
    in the past. Nowadays we rely on GCC and binutils to do the
    right thing with auto-import. If the Autotooled build system
    needs to support some other toolchain on Windows in the future,
    this may need some rethinking.

 configure.ac             |   74 ----------------------------------------------
 debug/Makefile.am        |    5 +--
 src/lzmainfo/Makefile.am |    4 +--
 src/xz/Makefile.am       |    4 +--
 src/xzdec/Makefile.am    |    4 +--
 tests/Makefile.am        |    5 +--
 6 files changed, 5 insertions(+), 91 deletions(-)

commit fda4724d8114fccfa31c1839c15479f350c2fb4c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-05 12:18:58 +0300

    configure.ac: Silence a warning from Autoconf 2.68.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 80b5675fa62c87426fe86f8fcd20feeabc4361b9
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-04 19:43:01 +0300

    A few more languages files to the xz man page.
    
    Thanks to Jonathan Nieder.

 src/xz/xz.1 |   45 ++++++++++++++++++++++++---------------------
 1 files changed, 24 insertions(+), 21 deletions(-)

commit f9722dbeca4dc4c43cfd15d122dafaac50b0a0bb
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-02 12:07:33 +0300

    Update the FAQ.

 doc/faq.txt |  104 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 100 insertions(+), 4 deletions(-)

commit 61ae593661e8dc402394e84d567ca2044a51572b
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-10-02 11:38:20 +0300

    liblzma: Small fixes to comments in the API headers.

 src/liblzma/api/lzma/lzma.h |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

commit 9166682dc601fd42c1b9510572e3f917d18de504
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-28 11:40:12 +0300

    Create the PDF versions of the man pages better.

 Makefile.am          |   14 +++++++-----
 build-aux/manconv.sh |   58 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+), 6 deletions(-)

commit 17d3c61edd35de8fa884944fc70d1db86daa5dd8
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-28 10:59:53 +0300

    Move version.sh to build-aux.

 Makefile.am          |    4 ++--
 build-aux/version.sh |   24 ++++++++++++++++++++++++
 configure.ac         |    2 +-
 version.sh           |   24 ------------------------
 windows/build.bash   |    2 +-
 5 files changed, 28 insertions(+), 28 deletions(-)

commit 84af9d8770451339a692e9b70f96cf56156a6069
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-28 10:53:02 +0300

    Update .gitignore.

 .gitignore |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

commit 31575a449ac64c523da3bab8d0c0b522cdc7c780
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-28 01:17:14 +0300

    Fix accomodate -> accommodate on the xz man page.

 src/xz/xz.1 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cec0ddc8ec4ce81685a51998b978e22167e461f9
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-27 23:29:34 +0300

    Major man page updates.
    
    Lots of content was updated on the xz man page.
    
    Technical improvements:
      - Start a new sentence on a new line.
      - Use fairly short lines.
      - Use constant-width font for examples (where supported).
      - Some minor cleanups.
    
    Thanks to Jonathan Nieder for some language fixes.

 src/lzmainfo/lzmainfo.1 |   25 +-
 src/scripts/xzdiff.1    |   15 +-
 src/scripts/xzgrep.1    |   11 +-
 src/scripts/xzless.1    |   13 +-
 src/scripts/xzmore.1    |    9 +-
 src/xz/xz.1             | 1964 ++++++++++++++++++++++++++++++++--------------
 src/xzdec/xzdec.1       |   39 +-
 7 files changed, 1435 insertions(+), 641 deletions(-)

commit 075257ab0416a0603be930082e31a5703e4ba345
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-26 18:10:31 +0300

    Fix the preset -3e.
    
    depth=0 was missing.

 src/liblzma/lzma/lzma_encoder_presets.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 2577da9ebdba13fbe99ae5ee8bde35f7ed60f6d1
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-23 14:03:10 +0300

    Add translations.bash and translation notes to README.
    
    translations.bash prints some messages from xz, which
    hopefully makes it a bit easier to test translations.

 README                 |   96 ++++++++++++++++++++++++++++++++++++++++++++--
 debug/translation.bash |  100 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 192 insertions(+), 4 deletions(-)

commit a3c5997c57e5b1a20aae6d1071b584b4f17d0b23
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-17 22:14:30 +0300

    xz: Update the Czech translation.
    
    Thanks to Marek Černocký.

 po/cs.po |  202 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 131 insertions(+), 71 deletions(-)

commit a1766af582dc23fddd9da1eeb4b9d61e3eb4c2e6
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-16 23:40:41 +0300

    xz: Add Italian translation.
    
    Thanks to Milo Casagrande and Lorenzo De Liso.

 THANKS     |    2 +
 po/LINGUAS |    1 +
 po/it.po   |  902 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 905 insertions(+), 0 deletions(-)

commit 21088018554e2b0e02914205377ceb6e34a090bd
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-15 00:34:13 +0300

    xz: Edit a translators comment.

 src/xz/list.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit be16e28ece1b492b8f93382b7fa1cc4da23c6ff6
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-14 22:47:14 +0300

    xz: Add German translation.
    
    Thanks to Andre Noll.

 THANKS     |    1 +
 po/LINGUAS |    1 +
 po/de.po   |  903 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 905 insertions(+), 0 deletions(-)

commit e23ea74f3240e6b69683f9e69d1716e0f9e9092b
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-10 14:30:25 +0300

    Updated README.

 README |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 8dad2fd69336985adb9f774fa96dc9c0efcb5a71
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-10 14:30:07 +0300

    Updated INSTALL.

 INSTALL |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 0b5f07fe3728c27cce416ddc40f7e4803ae96ac2
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-10 14:26:20 +0300

    Updated the git repository address in ChangeLog.

 ChangeLog |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a8760203f93a69bc39fd14520a6e9e7b7d70be06
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-10 14:09:33 +0300

    xz: Add a comment to translators about "literal context bits".

 src/xz/message.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit bb0b1004f83cdc4d309e1471c2ecaf9f95ce60c5
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-10 10:30:33 +0300

    xz: Multiple fixes.
    
    The code assumed that printing numbers with thousand separators
    and decimal points would always produce only US-ASCII characters.
    This was used for buffer sizes (with snprintf(), no overflows)
    and aligning columns of the progress indicator and --list. That
    assumption was wrong (e.g. LC_ALL=fi_FI.UTF-8 with glibc), so
    multibyte character support was added in this commit. The old
    way is used if the operating system doesn't have enough multibyte
    support (e.g. lacks wcwidth()).
    
    The sizes of buffers were increased to accomodate multibyte
    characters. I don't know how big they should be exactly, but
    they aren't used for anything critical, so it's not too bad.
    If they still aren't big enough, I hopefully get a bug report.
    snprintf() takes care of avoiding buffer overflows.
    
    Some static buffers were replaced with buffers allocated on
    stack. double_to_str() was removed. uint64_to_str() and
    uint64_to_nicestr() now share the static buffer and test
    for thousand separator support.
    
    Integrity check names "None" and "Unknown-N" (2 <= N <= 15)
    were marked to be translated. I had forgot these, plus they
    wouldn't have worked correctly anyway before this commit,
    because printing tables with multibyte strings didn't work.
    
    Thanks to Marek Černocký for reporting the bug about
    misaligned table columns in --list output.

 configure.ac                    |    1 +
 m4/tuklib_mbstr.m4              |   30 ++++++
 src/common/tuklib_mbstr.h       |   66 +++++++++++++
 src/common/tuklib_mbstr_fw.c    |   31 ++++++
 src/common/tuklib_mbstr_width.c |   64 ++++++++++++
 src/xz/Makefile.am              |    4 +-
 src/xz/list.c                   |  205 ++++++++++++++++++++++++++-------------
 src/xz/message.c                |   56 +++++++----
 src/xz/message.h                |   10 ++-
 src/xz/private.h                |    1 +
 src/xz/util.c                   |  136 +++++++++-----------------
 src/xz/util.h                   |    7 --
 12 files changed, 424 insertions(+), 187 deletions(-)

commit 639f8e2af33cf8a184d59ba56b6df7c098679d61
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-08 08:49:22 +0300

    Update the Czech translation.
    
    Thanks to Marek Černocký.

 po/cs.po |  655 +++++++++++++++++++++++++++++++++++++++++++-------------------
 1 files changed, 454 insertions(+), 201 deletions(-)

commit 41bc9956ebfd7c86777d33676acf34c45e7ca7c7
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-07 12:31:40 +0300

    xz: Add a note to translators.

 src/xz/hardware.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 77a7746616e555fc08028e883a56d06bf0088b81
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-07 10:42:13 +0300

    Fix use of N_() and ngettext().
    
    I had somehow thought that N_() is usually used
    as shorthand for ngettext().
    
    This also fixes a missing \n from a call to ngettext().

 src/common/tuklib_gettext.h |    4 ++--
 src/xz/list.c               |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit e6ad39335842343e622ab51207d1d3cb9caad801
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-06 19:43:12 +0300

    Add missing files to POTFILES.in.

 po/POTFILES.in |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 58f55131820d2e08a1a6beb9ec0ee2378044eb30
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-06 10:16:24 +0300

    xz: Improve a comment.

 src/xz/file_io.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit bcb1b898341f7073f51660d7052d7ed6c5461a66
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-05 21:34:29 +0300

    xz: Update the comment about NetBSD in file_io.c.
    
    Thanks to Joerg Sonnenberger.

 src/xz/file_io.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit da014d55972f5addbf6b4360d3d8ed2ef4282170
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-05 21:11:33 +0300

    xz: Use an array instead of pointer for stdin_filename.
    
    Thanks Joerg Sonnenberger.

 src/xz/args.c |    2 +-
 src/xz/args.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 8c7d3d1a0781c296c6b6e2465becaffd2132f7ee
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-05 12:16:17 +0300

    xz: Hopefully ease translating the messages in list.c.

 src/xz/list.c |   33 +++++++++++++++++++++++----------
 1 files changed, 23 insertions(+), 10 deletions(-)

commit ef840950ad99cf2955c754875af0e01acf125079
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-04 23:14:44 +0300

    xz: Fix grammar.

 src/xz/options.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit c46afd6edc04ea140db6c59e8486f5707c810c13
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-04 23:12:20 +0300

    xz: Use lzma_lzma_preset() to initialize the options structure.

 src/xz/options.c |   14 ++------------
 1 files changed, 2 insertions(+), 12 deletions(-)

commit 8fd3ac046d0b1416a2094fecc456d9e0f4d5d065
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-04 22:16:28 +0300

    Don't set lc=4 with --extreme.
    
    This should reduce the cases where --extreme makes
    compression worse. On the other hand, some other
    files may now benefit slightly less from --extreme.

 src/liblzma/lzma/lzma_encoder_presets.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 474bac0c33e94aeaca8ada17ab19972b1424bc2b
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-04 22:10:32 +0300

    xz: Minor improvements to --help and --long-help.

 src/xz/message.c |   24 ++++++++++++------------
 1 files changed, 12 insertions(+), 12 deletions(-)

commit 373ee26f955617295c5c537b04a153a1969140d2
Author: Jonathan Nieder <jrnieder@gmail.com>
Date:   2010-09-03 16:49:15 -0500

    Adjust memory limits in test_compress.sh
    
    Testing compression at level -4 now requires 48 MiB of free store at
    compression time and 5 MiB at decompression time.
    
    Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>

 tests/test_compress.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2fce9312f36727ea82f3430cc5d3a7d243c5f087
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-03 15:54:40 +0300

    xz: Make -vv show also decompressor memory usage.

 src/xz/coder.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit b4b1cbcb53624ab832f8b3189c74450dc7ea29b6
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-03 15:13:12 +0300

    Tweak the compression presets -0 .. -5.
    
    "Extreme" mode might need some further tweaking still.
    Docs were not updated yet.

 src/liblzma/lzma/lzma_encoder_presets.c |   29 +++++++++++++++++++----------
 1 files changed, 19 insertions(+), 10 deletions(-)

commit 77fe5954cd3d10fb1837372684cbc133b56b6a87
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-03 12:28:41 +0300

    liblzma: Adjust default depth calculation for HC3 and HC4.
    
    It was 8 + nice_len / 4, now it is 4 + nice_len / 4.
    This allows faster settings at lower nice_len values,
    even though it seems that I won't use automatic depth
    calcuation with HC3 and HC4 in the presets.

 src/liblzma/lz/lz_encoder.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit fce69059cf901ce8075a78c7607d591f144a3b5a
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-03 11:11:25 +0300

    xz: Make --help two lines shorter.
    
    At least for now, the --help option doesn't list any
    options that take arguments, so "Mandatory arguments to..."
    can be omitted.

 src/xz/message.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit a848e47ced6e5e2a564b5c454b2f5a19c2f40298
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-02 19:22:35 +0300

    xz: Make setting a preset override a custom filter chain.
    
    This is more logical behavior than ignoring preset level
    options once a custom filter chain has been specified.

 src/xz/coder.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit b3ff7ba044eaeab3e424d7b51fe914daf681b1a3
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-09-02 19:09:57 +0300

    xz: Always warn if adjusting dictionary size due to memlimit.

 src/xz/coder.c |   28 +++++++++-------------------
 1 files changed, 9 insertions(+), 19 deletions(-)

commit d5653ba8a1ea9c00de4fddc617aba3c51e18139d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-08-10 11:04:30 +0300

    Fix test_compress.sh.
    
    It broke when --memory option was removed from xzdec.
    
    Thanks to Jonathan Nieder.

 tests/test_compress.sh |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 792331bdee706aa852a78b171040ebf814c6f3ae
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-08-07 20:45:18 +0300

    Disable the memory usage limiter by default.
    
    For several people, the limiter causes bigger problems that
    it solves, so it is better to have it disabled by default.
    Those who want to have a limiter by default need to enable
    it via the environment variable XZ_DEFAULTS.
    
    Support for environment variable XZ_DEFAULTS was added. It is
    parsed before XZ_OPT and technically identical with it. The
    intended uses differ quite a bit though; see the man page.
    
    The memory usage limit can now be set separately for
    compression and decompression using --memlimit-compress and
    --memlimit-decompress. To set both at once, -M or --memlimit
    can be used. --memory was retained as a legacy alias for
    --memlimit for backwards compatibility.
    
    The semantics of --info-memory were changed in backwards
    incompatible way. Compatibility wasn't meaningful due to
    changes in the memory usage limiter functionality.
    
    The memory usage limiter info is no longer shown at the
    bottom of xz --long -help.
    
    The memory usage limiter support for removed completely from xzdec.
    
    xz's man page was updated to match the above changes. Various
    unrelated fixes were also made to the man page.

 src/xz/args.c     |   87 +++++++++-----
 src/xz/coder.c    |    8 +-
 src/xz/hardware.c |   96 ++++++++++-----
 src/xz/hardware.h |   23 ++--
 src/xz/list.c     |    2 +-
 src/xz/message.c  |   39 ++-----
 src/xz/message.h  |    4 -
 src/xz/xz.1       |  341 +++++++++++++++++++++++++++++++++--------------------
 src/xzdec/xzdec.1 |   45 +-------
 src/xzdec/xzdec.c |  176 +---------------------------
 10 files changed, 373 insertions(+), 448 deletions(-)

commit 4a45dd4c39f75d25c7a37b6400cb24d4010ca801
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-08-06 20:22:16 +0300

    Add missing const to a global constant in xz.

 src/xz/args.c |    2 +-
 src/xz/args.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 01aa4869cb220b7fdad6d1acbabb2233045daa8f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-07-28 11:44:55 +0300

    Language fixes for man pages.
    
    Thanks to A. Costa and Jonathan Nieder.

 src/lzmainfo/lzmainfo.1 |    4 ++--
 src/xz/xz.1             |    6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit ce1f0deafe8504e1492bf1b1efb3e3ec950b1a2b
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-07-27 20:47:12 +0300

    Windows: Add a note about building a Git repository snapshot

 windows/INSTALL-Windows.txt |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 507a4a4dea1e5462f12f7ed4b076c34e02054a38
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-07-27 20:45:03 +0300

    Windows: build.sh is a bash script so name it correctly.

 INSTALL                     |    2 +-
 windows/INSTALL-Windows.txt |    6 +-
 windows/build.bash          |  189 +++++++++++++++++++++++++++++++++++++++++++
 windows/build.sh            |  189 -------------------------------------------
 4 files changed, 193 insertions(+), 193 deletions(-)

commit b1cbfd40f049a646a639eb78a3e41e9e3ef73339
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-07-27 20:27:32 +0300

    Windows: Don't strip liblzma.a too much.

 windows/build.sh |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit a540198ffb25fad36380c5e92ac20c2d28eec46a
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-07-13 20:07:26 +0300

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit bab0f01ed931f606b4675aa9f9331a17cec09bad
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-07-13 19:55:50 +0300

    Add two simple example programs.
    
    Hopefully these help a bit when learning the basics
    of liblzma API. I plan to write detailed examples about
    both basic and advanced features with lots of comments,
    but these two examples are good have right now.
    
    The examples were written by Daniel Mealha Cabrita. Thanks.

 doc/examples/xz_pipe_comp.c   |  127 +++++++++++++++++++++++++++++++++++++++++
 doc/examples/xz_pipe_decomp.c |  115 +++++++++++++++++++++++++++++++++++++
 2 files changed, 242 insertions(+), 0 deletions(-)

commit c15c42abb3c8c6e77c778ef06c97a4a10b8b5d00
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-06-15 14:06:29 +0300

    Add --no-adjust.

 src/xz/args.c    |    6 ++++++
 src/xz/coder.c   |    8 ++------
 src/xz/coder.h   |    4 ++++
 src/xz/message.c |    6 +++++-
 src/xz/xz.1      |   13 +++++++++++--
 5 files changed, 28 insertions(+), 9 deletions(-)

commit 2130926dd1c839280358172dfadd8d3054bde2b4
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-06-11 21:51:32 +0300

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit bc612d0e0c9e4504c59d49168e87a7ae3e458443
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-06-11 21:48:32 +0300

    Clarify the description of the default memlimit in the man page.
    
    Thanks to Denis Excoffier.

 src/xz/xz.1 |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e1b6935d60a00405e6b5b455a3426d2248cc926c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-06-11 21:43:28 +0300

    Fix string to uint64_t conversion.
    
    Thanks to Denis Excoffier for the bug report.

 src/xz/util.c     |   10 ++++++++--
 src/xzdec/xzdec.c |   13 +++++++++++--
 2 files changed, 19 insertions(+), 4 deletions(-)

commit 3e49c8acb0f5312948eddb2342dbb5802d4571d0
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-06-11 10:40:28 +0300

    Put the git commit to the filename in mydist rule.

 Makefile.am |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit d8b41eedce486d400f701b757b7b5e4e32276618
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-06-02 23:13:55 +0300

    Fix compiling with -Werror.

 src/xz/message.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b5fbab6123a39c9a55cd5d7af410e9aae067d5f8
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-06-02 23:09:22 +0300

    Silence a bogus Valgrind warning.
    
    When using -O2 with GCC, it liked to swap two comparisons
    in one "if" statement. It's otherwise fine except that
    the latter part, which is seemingly never executed, got
    executed (nothing wrong with that) and then triggered
    warning in Valgrind about conditional jump depending on
    uninitialized variable. A few people find this annoying
    so do things a bit differently to avoid the warning.

 src/liblzma/lz/lz_encoder.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 29a7b250e685852f2f97615493ec49acaf528623
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-06-02 21:32:12 +0300

    Fix a Windows-specific FIXME in signal handling code.

 src/xz/main.c    |   40 +++++++++++++++++++++++++++++++++++-----
 src/xz/private.h |    5 +++++
 src/xz/signals.c |   16 ++++++++--------
 3 files changed, 48 insertions(+), 13 deletions(-)

commit e89d987056cee7d4e279be3ef3a6cc690bfc0e6d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-06-02 17:46:58 +0300

    Adjust SA_RESTART workaround.
    
    I want to get a bug report if something else than
    DJGPP lacks SA_RESTART.

 src/xz/message.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit e243145c84ab5c3be8259fd486ead0de5235b3f0
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-06-01 16:02:30 +0300

    xz man page updates.
    
    - Concatenating .xz files and padding
    - List mode
    - Robot mode
    - A few examples (but many more are needed)

 src/xz/xz.1 |  385 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 files changed, 366 insertions(+), 19 deletions(-)

commit ce6dc3c0a891f23a862f80ec08d3b6f0beb2a562
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-06-01 15:51:44 +0300

    Major update to xz --list.

 src/xz/list.c |  652 +++++++++++++++++++++++++++++++++++++++++----------------
 1 files changed, 471 insertions(+), 181 deletions(-)

commit 905e54804a899e4ad526d38fdba7e803ab9b71bd
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-06-01 14:13:03 +0300

    Rename message_filters_get() to message_filters_to_str().

 src/xz/message.c |    4 ++--
 src/xz/message.h |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 4b346ae8af20045027ae5efb068c6d69da3324d2
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-06-01 14:09:12 +0300

    Fix a comment.

 src/liblzma/api/lzma/index.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 07dc34f6da45c9ab757dad7fd5eef522ad27d296
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-05-27 16:17:42 +0300

    Fix lzma_block_compressed_size().

 src/liblzma/common/block_util.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 44d70cb154225e47eebf15a3cfbdf3794cbb4593
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-05-27 14:32:51 +0300

    Take Cygwin into account in some #if lines.
    
    This change is no-op, but good to have just in case
    for the future.

 src/xz/signals.c |    2 +-
 src/xz/signals.h |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit a334348dc02803241cf4e0a539eecdc0e7ad2cc7
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-05-27 13:42:44 +0300

    Remove references to the Subblock filter in xz and tests.
    
    Thanks to Jonathan Nieder.

 src/xz/message.c          |    9 ---------
 tests/test_filter_flags.c |   23 -----------------------
 2 files changed, 0 insertions(+), 32 deletions(-)

commit 70e5e2f6a7084e6af909deee88ceac2f6efa7893
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-05-27 13:35:36 +0300

    Remove unused chunk_size.c.
    
    Thanks to Jonathan Nieder for the reminder.

 src/liblzma/common/chunk_size.c |   67 ---------------------------------------
 1 files changed, 0 insertions(+), 67 deletions(-)

commit 01a414eaf4be6352c06b48001b041b47e8202faa
Author: Jonathan Nieder <jrnieder@gmail.com>
Date:   2010-05-27 02:31:33 -0500

    Use my_min() instead of MIN() in src/xz/list.c
    
    This should have been done in
    920a69a8d8e4203c5edddd829d932130eac188ea.

 src/xz/list.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 920a69a8d8e4203c5edddd829d932130eac188ea
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-05-26 10:36:46 +0300

    Rename MIN() and MAX() to my_min() and my_max().
    
    This should avoid some minor portability issues.

 debug/full_flush.c                             |    2 +-
 debug/sync_flush.c                             |    2 +-
 src/common/sysdefs.h                           |   12 +++++-------
 src/liblzma/common/block_buffer_encoder.c      |    2 +-
 src/liblzma/common/common.c                    |    2 +-
 src/liblzma/common/stream_buffer_encoder.c     |    2 +-
 src/liblzma/delta/delta_encoder.c              |    2 +-
 src/liblzma/lz/lz_decoder.c                    |    7 ++++---
 src/liblzma/lz/lz_decoder.h                    |    2 +-
 src/liblzma/lz/lz_encoder.c                    |    2 +-
 src/liblzma/lz/lz_encoder.h                    |    2 +-
 src/liblzma/lz/lz_encoder_mf.c                 |    4 ++--
 src/liblzma/lzma/lzma2_encoder.c               |    2 +-
 src/liblzma/lzma/lzma_encoder_optimum_fast.c   |    2 +-
 src/liblzma/lzma/lzma_encoder_optimum_normal.c |   14 +++++++-------
 src/xz/args.c                                  |    3 ++-
 16 files changed, 31 insertions(+), 31 deletions(-)

commit 019ae27c24d0c694545a6a46f8b9fb552198b015
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-05-26 10:30:20 +0300

    Fix compilation of debug/known_sizes.c.

 debug/known_sizes.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 98a4856a6ea84f79c790057a6eb89a25bc45b074
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-05-26 10:28:54 +0300

    Remove references to Subblock filter in debug/sync_flush.c.

 debug/sync_flush.c |   13 -------------
 1 files changed, 0 insertions(+), 13 deletions(-)

commit 703d2c33c095c41ae0693ee8c27c45e3847e4535
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-05-26 10:16:57 +0300

    Better #error message.

 src/common/sysdefs.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d8a55c48b39703dd83f11089ad01e1ff2ac102e0
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-05-26 09:55:47 +0300

    Remove the Subblock filter code for now.
    
    The spec isn't finished and the code didn't compile anymore.
    It won't be included in XZ Utils 5.0.0. It's easy to get it
    back once the spec is done.

 configure.ac                                   |    6 +-
 src/liblzma/Makefile.am                        |    5 -
 src/liblzma/api/Makefile.am                    |    1 -
 src/liblzma/api/lzma.h                         |    1 -
 src/liblzma/api/lzma/subblock.h                |  200 -----
 src/liblzma/common/common.h                    |    6 -
 src/liblzma/common/filter_common.c             |    9 -
 src/liblzma/common/filter_decoder.c            |   16 -
 src/liblzma/common/filter_encoder.c            |   12 -
 src/liblzma/subblock/Makefile.inc              |   20 -
 src/liblzma/subblock/subblock_decoder.c        |  630 ---------------
 src/liblzma/subblock/subblock_decoder.h        |   22 -
 src/liblzma/subblock/subblock_decoder_helper.c |   70 --
 src/liblzma/subblock/subblock_decoder_helper.h |   29 -
 src/liblzma/subblock/subblock_encoder.c        |  984 ------------------------
 src/liblzma/subblock/subblock_encoder.h        |   21 -
 src/xz/args.c                                  |    9 +-
 src/xz/options.c                               |   61 --
 src/xz/options.h                               |    7 -
 19 files changed, 4 insertions(+), 2105 deletions(-)

commit b6377fc990f9b8651149cae0fecb8b9c5904e26d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-05-16 18:42:22 +0300

    Split message_filters().
    
    message_filters_to_str() converts the filter chain to
    a string. message_filters_show() replaces the original
    message_filters().
    
    uint32_to_optstr() was also added to show the dictionary
    size in nicer format when possible.

 src/xz/coder.c   |    2 +-
 src/xz/message.c |  187 ++++++++++++++++++++++++++++++++++-------------------
 src/xz/message.h |   14 ++++-
 3 files changed, 134 insertions(+), 69 deletions(-)

commit d9986db782d6cf0f314342127280519339378fa0
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-05-14 23:17:20 +0300

    Omit lzma_restrict from the API headers.
    
    It isn't really useful so omitting it makes things
    shorter and slightly more readable.

 src/liblzma/api/lzma.h       |   12 ------------
 src/liblzma/api/lzma/index.h |    5 ++---
 src/liblzma/api/lzma/vli.h   |   11 +++++------
 3 files changed, 7 insertions(+), 21 deletions(-)

commit 0d3489efca0a723dca0394809fa3e6170843af4b
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-05-10 19:57:24 +0300

    Updated INSTALL.

 INSTALL |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit 3fb3d594a2b53886adee161b6261e92277f05f7c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-05-10 19:54:52 +0300

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6548e304657e77d3a972053db3c41c5daf591113
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-05-10 19:54:15 +0300

    Updates to tuklib_physmem and tuklib_cpucores.
    
    Don't use #error to generate compile error, because some
    compilers actually don't take it as an error. This fixes
    tuklib_physmem on IRIX.
    
    Fix incorrect error check for sysconf() return values.
    
    Add AIX, HP-UX, and Tru64 specific code to detect the
    amount RAM.
    
    Add HP-UX specific code to detect the number of CPU cores.
    
    Thanks a lot to Peter O'Gorman for initial patches,
    testing, and debugging these fixes.

 m4/tuklib_cpucores.m4        |   33 ++++++++++++++++---
 m4/tuklib_physmem.m4         |   72 ++++++++++++++++++++++++++++++++++++++++-
 src/common/tuklib_cpucores.c |   14 +++++++-
 src/common/tuklib_physmem.c  |   33 ++++++++++++++++++-
 4 files changed, 141 insertions(+), 11 deletions(-)

commit a290cfee3e23f046889c022aa96b4eca2016fdda
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-04-12 21:55:56 +0300

    Show both elapsed time and estimated remaining time in xz -v.
    
    The extra space for showing both has been taken from the
    sizes field. If the sizes grow big, bigger units than MiB
    will be used. It makes it slightly difficult to see that
    progress is still happening with huge files, but it should
    be OK in practice.
    
    Thanks to Trent W. Buck for <http://bugs.debian.org/574583>
    and Jonathan Nieder for suggestions how to fix it.

 THANKS           |    1 +
 src/xz/message.c |   86 ++++++++++++++++++++++++------------------------------
 2 files changed, 39 insertions(+), 48 deletions(-)

commit a1f7a986b8d708f9290da9799ca1b8d7082fad3e
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-03-31 16:47:25 +0300

    Add a simple tip to faq.txt about tar and xz.
    
    Thanks to Gilles Espinasse.

 THANKS      |    1 +
 doc/faq.txt |    6 ++++++
 2 files changed, 7 insertions(+), 0 deletions(-)

commit c737eec91d200d730aa82662affd6b06ebb0bff0
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-03-22 21:03:03 +0200

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f4b2b52624b802c786e4e2a8eb6895794dd93b24
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-03-07 19:52:25 +0200

    Fix xzgrep to not break if filenames have spaces or quotes.
    
    Thanks to someone who reported the bug on IRC.

 src/scripts/xzgrep.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cf38da00a140bd3bd65b192390ae5553380fd774
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-03-07 13:59:32 +0200

    Treat all integer multiplier suffixes as base-2.
    
    Originally both base-2 and base-10 were supported, but since
    there seems to be little need for base-10 in XZ Utils, treat
    everything as base-2 and also be more relaxed about the case
    of the first letter of the suffix. Now xz will accept e.g.
    KiB, Ki, k, K, kB, and KB, and interpret them all as 1024. The
    recommended spelling of the suffixes are still KiB, MiB, and GiB.

 src/xz/util.c     |   53 +++++++++++++++++++++++------------------------------
 src/xz/xz.1       |   48 ++++++++++++++++++++++++++++--------------------
 src/xzdec/xzdec.c |   42 ++++++++++++++++--------------------------
 3 files changed, 67 insertions(+), 76 deletions(-)

commit 00fc1211ae7b687ac912098f4479112059deccbd
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-03-07 13:50:23 +0200

    Consistently round up the memory usage limit in messages.
    
    It still feels a bit wrong to round 1 byte to 1 MiB but
    at least it is now done consistently so that the same
    byte value is always rounded the same way to MiB.

 src/xz/message.c  |    5 +++--
 src/xzdec/xzdec.c |    7 +++++--
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 9886d436ff5615fc70eef32ff757b1e934069621
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-03-07 13:34:34 +0200

    Change the default of --enable-assume-ram from 32 to 128 MiB.
    
    This is to allow files created with "xz -9" to be decompressed
    if the amount of RAM cannot be determined.

 INSTALL      |    5 ++---
 configure.ac |   11 ++++++-----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 2672bcc9f85ba28ff648e092e9eb4cd9e69ce418
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-03-07 13:29:28 +0200

    Increase the default memory usage limit on "low-memory" systems.
    
    Previously the default limit was always 40 % of RAM. The
    new limit is a little bit more complex:
    
      - If 40 % of RAM is at least 80 MiB, 40 % of RAM is used
        as the limit.
    
      - If 80 % of RAM is over 80 MiB, 80 MiB is used as the limit.
    
      - Otherwise 80 % of RAM is used as the limit.
    
    This should make it possible to decompress files created with
    "xz -9" on more systems. Swapping is generally more expected
    on systems with less RAM, so higher default limit on them
    shouldn't cause too bad surprises in terms of heavy swapping.
    Instead, the higher default limit should reduce the number of
    bad surprises when it used to prevent decompression of files
    created with "xz -9". The DoS prevention system shouldn't be
    a DoS itself.
    
    Note that even with the new default limit, a system with 64 MiB
    RAM cannot decompress files created with "xz -9" without user
    overriding the limit. This should be OK, because if xz is going
    to need more memory than the system has RAM, it will run very
    very slowly and thus it's good that user has to override the limit
    in that case.

 src/xz/hardware.c |   43 +++++++++++++++++++++++++++++++------------
 src/xz/xz.1       |   21 +++++++++++++++------
 src/xzdec/xzdec.1 |    8 ++++----
 src/xzdec/xzdec.c |   42 ++++++++++++++++++++++++++++++------------
 4 files changed, 80 insertions(+), 34 deletions(-)

commit 5527b7269a997e7f335d60f237a64bbf225d9dc7
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-03-06 21:36:19 +0200

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d0d1c51aea4351288a7e533cce28cb7f852f6b05
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-03-06 21:17:20 +0200

    Fix missing initialization in lzma_strm_init().
    
    With bad luck, lzma_code() could return LZMA_BUF_ERROR
    when it shouldn't.
    
    This has been here since the early days of liblzma.
    It got triggered by the modifications made to the xz
    tool in commit 18c10c30d2833f394cd7bce0e6a821044b15832f
    but only when decompressing .lzma files. Somehow I managed
    to miss testing that with Valgrind earlier.
    
    This fixes <http://bugs.gentoo.org/show_bug.cgi?id=305591>.
    Thanks to Rafał Mużyło for helping to debug it on IRC.

 src/liblzma/common/common.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit eb7d51a3faf9298c0c7aa9aaeae1023dcf9e37ea
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-02-12 13:16:15 +0200

    Collection of language fixes to comments and docs.
    
    Thanks to Jonathan Nieder.

 README                                         |    2 +-
 configure.ac                                   |    2 +-
 doc/faq.txt                                    |    2 +-
 extra/7z2lzma/7z2lzma.bash                     |    2 +-
 src/common/tuklib_progname.c                   |    2 +-
 src/common/tuklib_progname.h                   |    2 +-
 src/liblzma/api/lzma/base.h                    |    8 ++++----
 src/liblzma/api/lzma/bcj.h                     |    2 +-
 src/liblzma/api/lzma/block.h                   |    2 +-
 src/liblzma/api/lzma/check.h                   |    2 +-
 src/liblzma/api/lzma/filter.h                  |    4 ++--
 src/liblzma/api/lzma/index.h                   |    6 +++---
 src/liblzma/api/lzma/lzma.h                    |    2 +-
 src/liblzma/api/lzma/version.h                 |    2 +-
 src/liblzma/api/lzma/vli.h                     |    2 +-
 src/liblzma/common/block_header_encoder.c      |    2 +-
 src/liblzma/common/chunk_size.c                |    4 ++--
 src/liblzma/common/common.h                    |    4 ++--
 src/liblzma/common/filter_buffer_decoder.c     |    2 +-
 src/liblzma/common/filter_encoder.c            |    4 ++--
 src/liblzma/common/index.c                     |    6 +++---
 src/liblzma/common/index_encoder.c             |    2 +-
 src/liblzma/common/stream_encoder.c            |    2 +-
 src/liblzma/common/vli_decoder.c               |    2 +-
 src/liblzma/lz/lz_encoder.c                    |    2 +-
 src/liblzma/lz/lz_encoder.h                    |    2 +-
 src/liblzma/lzma/lzma2_encoder.c               |    2 +-
 src/liblzma/lzma/lzma_decoder.c                |    4 ++--
 src/liblzma/lzma/lzma_decoder.h                |    2 +-
 src/liblzma/lzma/lzma_encoder_optimum_fast.c   |    2 +-
 src/liblzma/lzma/lzma_encoder_optimum_normal.c |    2 +-
 src/liblzma/lzma/lzma_encoder_private.h        |    2 +-
 src/liblzma/simple/simple_coder.c              |    2 +-
 src/liblzma/subblock/subblock_encoder.c        |    2 +-
 src/scripts/xzdiff.1                           |    2 +-
 src/scripts/xzless.1                           |   10 +++++-----
 src/xz/coder.c                                 |    2 +-
 src/xz/file_io.c                               |    2 +-
 src/xz/main.c                                  |    6 +++---
 src/xz/main.h                                  |    2 +-
 src/xz/message.c                               |   10 +++++-----
 src/xz/message.h                               |    2 +-
 src/xz/xz.1                                    |   16 ++++++++--------
 src/xzdec/lzmadec_w32res.rc                    |    2 +-
 src/xzdec/xzdec_w32res.rc                      |    2 +-
 tests/test_index.c                             |    2 +-
 windows/build.sh                               |    4 ++--
 47 files changed, 77 insertions(+), 77 deletions(-)

commit 4785f2021aa6a23f1caf724fcc823e562584f225
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-02-12 12:41:20 +0200

    Fix jl -> jb in ASM files.

 src/liblzma/check/crc32_x86.S |    2 +-
 src/liblzma/check/crc64_x86.S |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 6b50c9429bf85521d355adc61745d06ee017f8c8
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-02-12 12:31:22 +0200

    Use __APPLE__ instead of __MACH__ in ASM files.
    
    This allows the files to work on HURD.
    
    Thanks to Jonathan Nieder.

 src/liblzma/check/crc32_x86.S |    8 ++++----
 src/liblzma/check/crc64_x86.S |    8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 6503fde658a5cdbdd907a788865470dd64771601
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-02-07 19:48:06 +0200

    Subtle change to liblzma Block handling API.
    
    lzma_block.version has to be initialized even for
    lzma_block_header_decode(). This way a future version
    of liblzma won't allocate memory in a way that an old
    application doesn't know how to free it.
    
    The subtlety of this change is that all current apps
    using lzma_block_header_decode() will keep working for
    now, because the only possible version value is zero,
    and lzma_block_header_decode() unconditionally sets the
    version to zero even now. Unless fixed, these apps will
    break in the future if a new version of the Block options
    is ever needed.

 src/liblzma/api/lzma/block.h        |   39 +++++++++++++++-------------------
 src/liblzma/common/stream_decoder.c |    3 ++
 2 files changed, 20 insertions(+), 22 deletions(-)

commit dd7c3841ff78cb94ce02b0220c6e4748460970f7
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-02-02 11:50:11 +0200

    Fix wrong assertion.
    
    This was added in 455e68c030fde8a8c2f5e254c3b3ab9489bf3735.

 src/xz/main.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 9d67588c1597849504a3e5ac8bf6f06e7d2ee8be
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-02-01 22:48:42 +0200

    Updated TODO.

 TODO |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit fef6333f52c8801308c3b78acb7942988541d137
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-02-01 22:47:54 +0200

    Fix typos in comments.

 src/xz/list.c    |    2 +-
 windows/build.sh |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 455e68c030fde8a8c2f5e254c3b3ab9489bf3735
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-02-01 22:46:56 +0200

    Fix signal handling for --list.

 src/xz/main.c |   19 ++++++++++++++-----
 1 files changed, 14 insertions(+), 5 deletions(-)

commit 82220a149015616f75641ee8bbea415137535b9b
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-02-01 11:44:45 +0200

    Fix compression of symlinks with --force.
    
    xz --force accepted symlinks, but didn't remove
    them after successful compression. Instead, an error
    message was displayed.

 src/xz/file_io.c |   14 +++++++++++++-
 1 files changed, 13 insertions(+), 1 deletions(-)

commit d4da177d5ba3d2ef7323a6f1e06ca16e0478810e
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-02-01 10:20:57 +0200

    Fix a comment.

 windows/build.sh |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit f9dd797a423a148903cf345b4146cb1fe1eab11d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-31 23:43:54 +0200

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit ee5ddb8b28419fe4923ded5c18a50570a762dcab
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-31 23:41:29 +0200

    Updated TODO.

 TODO |   17 +++++++++++------
 1 files changed, 11 insertions(+), 6 deletions(-)

commit 11936ad3f5a2e97bda3463c7a56a2f4bb9265ea6
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-31 23:35:04 +0200

    Mention TODO in README.

 README |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 2901a8e7e82af05675b8cd8758a8ceddb111359f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-31 23:31:14 +0200

    Updated INSTALL.

 INSTALL |   52 ++++++++++++++++++++++++++--------------------------
 1 files changed, 26 insertions(+), 26 deletions(-)

commit 8884e16864ba53fb4b58623d7537d7ef30c28e11
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-31 23:28:51 +0200

    Revise the Windows build files.
    
    The old Makefile + config.h was deleted, because it
    becomes outdated too easily and building with the
    Autotools based build system works fine even on Windows.
    
    windows/build.sh hasn't got much testing, but it should
    work to build 32-bit x86 and x86-64 versions of XZ Utils
    using MSYS, MinGW or MinGW-w32, and MinGW-w64.
    
    windows/INSTALL-Windows.txt describes what packages are
    needed and how to install them.
    
    windows/README-Windows.txt is a readme file for the binary
    package that build.sh hopefully builds.
    
    There are no instructions about using Autotools for now,
    so those using a git snapshot may want to run
    "autoreconf -fi && ./configure && make mydist" on a UN*X
    box and then copy the resulting .tar.gz to a Windows.

 windows/INSTALL-Windows.txt |  131 ++++++++++++++++++
 windows/Makefile            |  320 -------------------------------------------
 windows/README              |  155 ---------------------
 windows/README-Windows.txt  |  115 ++++++++++++++++
 windows/build.sh            |  189 +++++++++++++++++++++++++
 windows/config.h            |  170 -----------------------
 6 files changed, 435 insertions(+), 645 deletions(-)

commit 34eb5e201d62f7f46bbe6fe97cfe08cb31b3b88c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-31 19:52:38 +0200

    Select the default integrity check type at runtime.
    
    Previously it was set statically to CRC64 or CRC32
    depending on options passed to the configure script.

 src/xz/coder.c |   19 ++++++++++++++-----
 1 files changed, 14 insertions(+), 5 deletions(-)

commit 96a4f840e3b9ca5c81e5711ff9c267b194f93ef1
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-31 18:17:50 +0200

    Improve displaying of the memory usage limit.

 src/xz/coder.c   |    8 +++-----
 src/xz/message.c |   37 +++++++++++++++++++++++++++++--------
 src/xz/util.c    |    7 +++++++
 src/xz/util.h    |    6 ++++++
 4 files changed, 45 insertions(+), 13 deletions(-)

commit b3cc4d8edd68a0250cc69680c99b9f7343f99cf2
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-31 12:53:56 +0200

    Don't use uninitialized sigset_t.
    
    If signal handlers haven't been established, then it's
    useless to try to block them, especially since the sigset_t
    used for blocking hasn't been initialized yet.

 src/xz/signals.c |   34 ++++++++++++++++++++++++----------
 1 files changed, 24 insertions(+), 10 deletions(-)

commit 231c3c7098f1099a56abb8afece76fc9b8699f05
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-31 12:01:54 +0200

    Delay opening the destionation file and other fixes.
    
    The opening of the destination file is now delayed a little.
    The coder is initialized, and if decompressing, the memory
    usage of the first Block compared against the memory
    usage limit before the destination file is opened. This
    means that if --force was used, the old "target" file won't
    be deleted so easily when something goes wrong very early.
    Thanks to Mark K for the bug report.
    
    The above fix required some changes to progress message
    handling. Now there is a separate function for setting and
    printing the filename. It is used also in list.c.
    
    list_file() now handles stdin correctly (gives an error).
    
    A useless check for user_abort was removed from file_io.c.

 src/xz/coder.c   |   64 ++++++++++++++++++++++----------
 src/xz/file_io.c |  107 ++++++++++++++++++++++++++----------------------------
 src/xz/file_io.h |    8 +++-
 src/xz/list.c    |   28 +++++----------
 src/xz/message.c |   46 +++++++++++++----------
 src/xz/message.h |   29 ++++++++++-----
 6 files changed, 157 insertions(+), 125 deletions(-)

commit 0dbd0641db99d5e73d51d04ce7a71e52dc6b4105
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-29 22:48:04 +0200

    Add list.h to src/xz/Makefile.am.
    
    This should have been already in
    0bc9eab243dee3be764b3530433a7fcdc3f7c6a1.

 src/xz/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b4b1a56e0cbd597157858264f5c7189201ac9018
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-29 13:24:27 +0200

    Add lzmainfo.1 to manfiles list to convert to .txt and .pdf.

 Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 5574d64e03ad3a3d6e00e4b0d3e81c7b5529ec95
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-27 16:42:11 +0200

    Silence two compiler warnings on DOS-like systems.

 src/common/tuklib_open_stdxxx.c |    6 +++++-
 src/xz/file_io.c                |    3 +++
 2 files changed, 8 insertions(+), 1 deletions(-)

commit b063cc34a30a4edf109343ff373b2b62b8ca72d3
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-27 13:31:03 +0200

    Use PACKAGE_URL instead of custom PACKAGE_HOMEPAGE.

 configure.ac              |    9 ++-------
 src/liblzma/liblzma.pc.in |    2 +-
 src/lzmainfo/lzmainfo.c   |    2 +-
 src/xz/message.c          |    2 +-
 src/xzdec/xzdec.c         |    2 +-
 5 files changed, 6 insertions(+), 11 deletions(-)

commit 38b8035b5cb5f56457c5fa5a891d6900fcf5984f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-26 23:37:46 +0200

    Add a missing space to an error message.
    
    Thanks to Robert Readman.

 src/xz/args.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e5496f9628ff5979392a80421d0b63a4de8015b4
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-26 22:53:37 +0200

    Use past tense in error message in io_unlink().
    
    Added a note to translators too.
    
    Thanks to Robert Readman.

 THANKS           |    1 +
 src/xz/file_io.c |   14 ++++++++++++--
 2 files changed, 13 insertions(+), 2 deletions(-)

commit d9a9800597ea540090e434132c3b511217df0a2b
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-26 15:42:24 +0200

    Fix too small static buffer in util.c.
    
    This was introduced in
    0dd6d007669b946543ca939a44243833c79e08f4 two days ago.

 src/xz/util.c |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit d0b4bbf5da068503c099cd456e294d7673548cc0
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-26 14:46:43 +0200

    Minor comment fix.

 src/xz/main.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0bc9eab243dee3be764b3530433a7fcdc3f7c6a1
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-24 23:50:54 +0200

    Add initial version of xz --list.
    
    This is a bit rough but should be useful for basic things.
    Ideas (with detailed examples) about the output format are
    welcome.
    
    The output of --robot --list is not necessarily stable yet,
    although I don't currently have any plans about changing it.
    
    The man page hasn't been updated yet.

 src/xz/Makefile.am |    1 +
 src/xz/list.c      |  988 +++++++++++++++++++++++++++++++++-------------------
 src/xz/list.h      |   18 +
 src/xz/main.c      |   19 +-
 src/xz/private.h   |    1 +
 5 files changed, 668 insertions(+), 359 deletions(-)

commit df254ce03be016e217b511e7acd5d493f9929ca5
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-24 22:46:11 +0200

    Add io_pread().
    
    It will be used by --list.

 src/xz/file_io.c |   25 +++++++++++++++++++++++++
 src/xz/file_io.h |   17 +++++++++++++++++
 2 files changed, 42 insertions(+), 0 deletions(-)

commit ef68dd4a92976276304de2aedfbe34ae91a86abb
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-24 22:45:14 +0200

    Set LC_NUMERIC=C when --robot is used.
    
    It is to ensure that floating point numbers
    will always have a dot as the decimal separator.

 src/xz/args.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 0dd6d007669b946543ca939a44243833c79e08f4
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-24 16:57:40 +0200

    Some improvements to printing sizes in xz.

 src/xz/coder.c   |   56 ++++++++++++++-----------------------
 src/xz/message.c |   80 +++++++++++++++++-------------------------------------
 src/xz/message.h |    4 +++
 src/xz/util.c    |   72 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/xz/util.h    |   44 +++++++++++++++++++++++++++++
 5 files changed, 166 insertions(+), 90 deletions(-)

commit 2a98fdffd68c66371279c211c29153c808ad5c1d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-20 22:02:35 +0200

    Fix a typo in README.
    
    Thanks to R. Bijker.

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 07a11dad44e041b01dcfc73e8d4e00731158c06d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-17 11:59:54 +0200

    Updated windows/Makefile.
    
    Thanks to Dan Shechter for the patch.
    
    It is likely that windows/Makefile will be removed
    completely, because Autotols based build nowadays
    works well with both 32-bit and 64-bit MinGW (I
    just need to update the docs).

 windows/Makefile |   38 +++++++++++++++++++++++++-------------
 windows/config.h |    2 ++
 2 files changed, 27 insertions(+), 13 deletions(-)

commit 37f31ead9d2b4e467df11450cf29ed7d7e3e25f3
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-15 11:05:11 +0200

    Update the xz man page to match the previous two commits.

 src/xz/xz.1 |    9 +++------
 1 files changed, 3 insertions(+), 6 deletions(-)

commit 3ffd5d81a43210c8da56da5c5b3637d3f8bc63c7
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-13 19:10:25 +0200

    Don't read compressed data from a terminal or write it
    to a terminal even if --force is specified.
    
    It just seems more reasonable this way.
    
    The new behavior matches bzip2. The old one matched gzip.

 src/xz/main.c |   20 +++++++++-----------
 src/xz/util.c |    8 ++++----
 2 files changed, 13 insertions(+), 15 deletions(-)

commit 23ac2c44c3ac76994825adb7f9a8f719f78b5ee4
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-13 18:12:40 +0200

    Don't compress or decompress special files unless writing
    to stdout even if --force is used.
    
    --force will still enable compression of symlinks, but only
    in case they point to a regular file.
    
    The new way simply seems more reasonable. It matches gzip's
    behavior while the old one matched bzip2's behavior.

 src/xz/file_io.c |   15 ++++++++++-----
 1 files changed, 10 insertions(+), 5 deletions(-)

commit cee12aa852ec0902983dc1f153346ef750157fb9
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-12 16:30:33 +0200

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 153c7740c54b3c90129dbd3d6153ac1303c4d605
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-12 16:18:14 +0200

    Add IRIX-specific code to tuklib_physmem and tuklib_cpucores.
    
    This is untested but it will get tested soon and, if needed,
    fixed before 5.0.0.
    
    Thanks to Stuart Shelton.

 m4/tuklib_cpucores.m4        |   11 +++++++++--
 m4/tuklib_physmem.m4         |   22 +++++++++++++++++++++-
 src/common/tuklib_cpucores.c |    6 ++++++
 src/common/tuklib_physmem.c  |   19 +++++++++++++++++++
 4 files changed, 55 insertions(+), 3 deletions(-)

commit 8ea8dc754a7a5bc2d60db1eac201839cabdab6a1
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2010-01-01 00:29:10 +0200

    Fix _memconfig() functions.
    
    This affects lzma_memusage() and lzma_memlimit_get().

 src/liblzma/api/lzma/index.h        |    7 -------
 src/liblzma/common/alone_decoder.c  |   11 +++++++----
 src/liblzma/common/index_decoder.c  |   10 ++++++----
 src/liblzma/common/stream_decoder.c |   11 +++++++----
 4 files changed, 20 insertions(+), 19 deletions(-)

commit 1a7ec87c8ee61dfc2e496d2e1fb7ab0939804691
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-12-31 22:45:53 +0200

    Revised the Index handling code.
    
    This breaks API and ABI but most apps are not affected
    since most apps don't use this part of the API. You will
    get a compile error if you are using anything that got
    broken.
    
    Summary of changes:
    
      - Ability to store Stream Flags, which are needed
        for random-access reading in multi-Stream files.
    
      - Separate function to set size of Stream Padding.
    
      - Iterator structure makes it possible to read the same
        lzma_index from multiple threads at the same time.
    
      - A lot faster code to locate Blocks.
    
      - Removed lzma_index_equal() without adding anything
        to replace it. I don't know what it should do exactly
        with the new features and what actually needs this
        function in the first place other than test_index.c,
        which now has its own code to compare lzma_indexes.

 src/liblzma/api/lzma/index.h               |  572 ++++++++---
 src/liblzma/common/index.c                 | 1553 ++++++++++++++++++----------
 src/liblzma/common/index.h                 |    6 +
 src/liblzma/common/index_decoder.c         |   12 +-
 src/liblzma/common/index_encoder.c         |   36 +-
 src/liblzma/common/index_encoder.h         |    2 +-
 src/liblzma/common/stream_buffer_encoder.c |    6 +-
 src/liblzma/common/stream_encoder.c        |    3 +-
 tests/test_index.c                         |  371 +++++---
 9 files changed, 1703 insertions(+), 858 deletions(-)

commit f29997a846e673cb3b8cbd57de47ed313b3978bb
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-12-31 21:13:25 +0200

    Remove c-format tag in cs.po.
    
    It was fixed in the C code earlier.

 po/cs.po |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 097bad000363e0bf29f8274ad2d7ab59f7dbf644
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-12-31 21:11:05 +0200

    Add missing lzma_nothrow in filter.h.

 src/liblzma/api/lzma/filter.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b56cb1fc31fa2381f92eefc040df85667048d626
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-12-09 18:13:44 +0200

    Remove redefinition of _(msgid) macro from lzmainfo.c.

 src/lzmainfo/lzmainfo.c |    7 -------
 1 files changed, 0 insertions(+), 7 deletions(-)

commit 171b03febfe09d9fae6ac8be6aa4518bcaf427d2
Author: Jonathan Nieder <jrnieder@gmail.com>
Date:   2009-12-08 19:41:57 -0600

    update po/.gitignore
    
    Since the *.gmo files are deleted by the maintainer-clean target,
    I assume they are not meant to be tracked.
    
    Also add the other files listed in the Makefile’s clean targets
    (stamp-poT, xz.po, xz.[12].po, *.new.po, xz.mo) to make sure they
    are not accidentally tracked.  Most of these are intermediate
    files that would not appear unless a build is interrupted or
    fails.
    
    Split the list of untracked files by origin to make it easier to
    tell if files are missing in the future.
    
    Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>

 po/.gitignore |   28 ++++++++++++++++++++++------
 1 files changed, 22 insertions(+), 6 deletions(-)

commit f7e44c6c11f630519072971b8b07a5729c096c36
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-12-09 00:38:55 +0200

    Always rely on GCC's auto-import on Windows.
    
    I understood that this is nicer, because then people
    don't need to worry about the LZMA_API_STATIC macro.
    
    Thanks to Charles Wilson and Keith Marshall.

 src/liblzma/api/lzma.h |   16 +++++++++-------
 1 files changed, 9 insertions(+), 7 deletions(-)

commit 7b76a3e2336f25088957cba92b0dbd854d9caa3c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-12-07 21:46:53 +0200

    Fix file_io.c on DOS-like systems.
    
    The problem was introduced when adding sparse file
    support in 465d1b0d6518c5d980f2db4c2d769f9905bdd902.
    
    Thanks to Charles Wilson.

 src/xz/file_io.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 0696f5d268362221380e039bad48a86e29067c6a
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-12-07 20:54:21 +0200

    Add Czech translation.
    
    Thanks to Marek Černocký.
    
    Other people planning to translate xz: Note that the
    messages are a little bit in flux still. Translations
    are still welcome, just be prepared to some extra work
    in case there are changes.

 THANKS     |    1 +
 po/LINGUAS |    1 +
 po/cs.po   |  637 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 639 insertions(+), 0 deletions(-)

commit 5e817a50d276f0a3607638c1c1d449d50b9aa4e5
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-12-07 20:32:08 +0200

    Add a note for translators to add a bug reporting address
    for translation bugs.

 src/xz/message.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 6db1c35be9e1e364cdacff6878910e1b7aac2a37
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-12-07 20:07:02 +0200

    Prevent xgettext from taking one regular string as a C format string.
    
    Thanks to Marek Černocký.

 src/xz/message.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e0c2776b6ffbd2b1900fde353aceac734edc93d7
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-28 17:45:22 +0200

    Remove duplicate code in io_open_dest().
    
    Fix a missing _() in the error message too.

 src/xz/file_io.c |    9 +--------
 1 files changed, 1 insertions(+), 8 deletions(-)

commit f057a33c6f7c5992389479f2d4feabf2900ba7ee
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-26 10:11:23 +0200

    Typo fix to sysdefs.h.
    
    Thanks to Jonathan Nieder.

 src/common/sysdefs.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8767b41534eafdf5e742e12190646bf5740b0cdb
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-26 10:10:36 +0200

    Fix a memory leak in test_index.c.
    
    This was introduced in
    bd13b04e202b6f495a68eb0766f97085b7c50a06.
    
    Thanks to Jim Meyering for noticing it.

 tests/test_index.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 919fbaff860acdaa4bcd216500a0b1c960a6db92
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-25 14:22:19 +0200

    Add missing error check to coder.c.
    
    With bad luck this could cause a segfault due to
    reading (but not writing) past the end of the buffer.

 src/xz/coder.c |   20 +++++++++++---------
 1 files changed, 11 insertions(+), 9 deletions(-)

commit bd13b04e202b6f495a68eb0766f97085b7c50a06
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-25 13:04:10 +0200

    Fix bugs in lzma_index_read() and lzma_index_cat().
    
    lzma_index_read() didn't skip over Stream Padding
    if it was the first record in the Index.
    
    lzma_index_cat() didn't combine small Indexes correctly.
    
    The test suite was updated to check for these bugs.
    
    These bugs didn't affect the xz command line tool or
    most users of liblzma in any way.

 src/liblzma/common/index.c |   30 +++++++++++++++++++-----------
 tests/test_index.c         |   28 +++++++++++++++++++++++++---
 2 files changed, 44 insertions(+), 14 deletions(-)

commit 1f196909143b888e062bd9a0c4ba8c34d3019bfa
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-25 12:52:56 +0200

    Index decoder fixes.
    
    The Index decoder code didn't perfectly match the API docs,
    which said that *i will be set to point to the decoded Index
    only after decoding has succeeded. The docs were a bit unclear
    too.
    
    Now the decoder will initially set *i to NULL. *i will be set
    to point to the decoded Index once decoding has succeeded.
    This simplifies applications too, since it avoids dangling
    pointers.

 src/liblzma/api/lzma/index.h       |   23 ++++++++++++-----------
 src/liblzma/common/index_decoder.c |   26 ++++++++++++++++++++------
 2 files changed, 32 insertions(+), 17 deletions(-)

commit 465d1b0d6518c5d980f2db4c2d769f9905bdd902
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-25 11:19:20 +0200

    Create sparse files by default when decompressing into
    a regular file.
    
    Sparse file creation can be disabled with --no-sparse.
    I don't promise yet that the name of this option won't
    change before 5.0.0. It's possible that the code, that
    checks when it is safe to use sparse output on stdout,
    is not good enough, and a more flexible command line
    option is needed to configure sparse file handling.

 src/xz/args.c    |    6 ++
 src/xz/coder.c   |   33 ++++----
 src/xz/file_io.c |  243 ++++++++++++++++++++++++++++++++++++++++++++++--------
 src/xz/file_io.h |   34 ++++++--
 src/xz/message.c |    1 +
 src/xz/xz.1      |   11 +++
 6 files changed, 272 insertions(+), 56 deletions(-)

commit 37de544414fc2dc5039471d1002ebd015eb3e627
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-22 12:43:06 +0200

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f1a28b96c900c658fe016852ff62f6c24d1f50fa
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-22 12:05:33 +0200

    Add missing consts to pointer casts.

 src/liblzma/check/crc32_fast.c |    4 ++--
 src/liblzma/check/crc64_fast.c |    5 +++--
 2 files changed, 5 insertions(+), 4 deletions(-)

commit b9b5c54cd438b3ae47b44cc211b71f3bc53e35ef
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-22 12:00:30 +0200

    Enable assembler code only if it is known to work
    on that operating system.
    
    I'm too lazy to think how to make a good Autoconf test
    for this and it's not that important anyway.
    
    No longer define HAVE_ASM_X86 or HAVE_ASM_X86_64.
    Inline assembler (if any) is used if a macro like
    __i386__ or __x86_64__ is defined.

 configure.ac |   26 ++++++++++++--------------
 1 files changed, 12 insertions(+), 14 deletions(-)

commit 0733f4c9994db696420a405810d5f02c79ebc404
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-22 11:55:03 +0200

    Make fastpos.h use tuklib_integer.h instead of bsr.h
    when --enable-small has been specified.

 src/liblzma/common/Makefile.inc |    1 -
 src/liblzma/common/bsr.h        |   60 ---------------------------------------
 src/liblzma/lzma/fastpos.h      |    5 +--
 3 files changed, 1 insertions(+), 65 deletions(-)

commit 7ac3985d891dcc5773543f84cc5bce6c14841b12
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-22 11:52:30 +0200

    Update tuklib_integer.h with bit scan functions.
    
    Thanks to Joachim Henke for the original patch.

 src/common/tuklib_integer.h |  189 +++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 181 insertions(+), 8 deletions(-)

commit c74c132f7f79a842c073c66575a4fdb985e4c2e3
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-20 12:51:19 +0200

    Update tuklib_cpucores.m4 and tuklib_physmem.m4 from tuklib,
    which now use AC_CACHE_CHECK. Using the cache variable,
    configure now warns if there is no method to detect the amount
    of RAM and recommends using --enable-assume-ram.

 configure.ac          |   16 +++++++++++++++
 m4/tuklib_cpucores.m4 |   31 +++++++++++++++++------------
 m4/tuklib_physmem.m4  |   50 ++++++++++++++++++++++++++----------------------
 3 files changed, 61 insertions(+), 36 deletions(-)

commit d315ca4930ff96e1428c6021c96f209e1abdd83e
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-16 18:16:45 +0200

    Add support for --info-memory and --robot to xz.
    
    Currently --robot works only with --info-memory and
    --version. --help and --long-help work too, but --robot
    has no effect on them.
    
    Thanks to Jonathan Nieder for the original patches.

 src/xz/args.c    |   85 +++++++++++++++++++++++++++++++----------------------
 src/xz/args.h    |    1 +
 src/xz/main.c    |   11 ++++--
 src/xz/message.c |   47 ++++++++++++++++++++++-------
 src/xz/message.h |    4 ++
 src/xz/xz.1      |   40 +++++++++++++++++++++++--
 6 files changed, 133 insertions(+), 55 deletions(-)

commit e330fb7e6b8162894280c8a3dc22fdc05cd2d85e
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-15 12:54:45 +0200

    Fix wrong indentation caused by incorrect settings
    in the text editor.

 src/liblzma/lz/lz_decoder.c                    |   18 +++++++++---------
 src/liblzma/lzma/lzma2_encoder.c               |    6 +++---
 src/liblzma/lzma/lzma_encoder_optimum_normal.c |    2 +-
 3 files changed, 13 insertions(+), 13 deletions(-)

commit 93e418562cf127a9171e87bcd4e9af8e1bfcdae4
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-15 12:40:17 +0200

    Add lzma_physmem().
    
    I had hoped to keep liblzma as purely a compression
    library as possible (e.g. file I/O will go into
    a different library), but it seems that applications
    linking agaisnt liblzma need some way to determine
    the memory usage limit, and knowing the amount of RAM
    is one reasonable way to help making such decisions.
    
    Thanks to Jonathan Nieder for the original patch.

 src/liblzma/Makefile.am               |    5 ++-
 src/liblzma/api/Makefile.am           |    1 +
 src/liblzma/api/lzma.h                |    3 ++
 src/liblzma/api/lzma/hardware.h       |   51 +++++++++++++++++++++++++++++++++
 src/liblzma/common/Makefile.inc       |    1 +
 src/liblzma/common/hardware_physmem.c |   25 ++++++++++++++++
 src/xz/Makefile.am                    |    1 -
 src/xz/hardware.c                     |    3 +-
 src/xzdec/Makefile.am                 |    6 +--
 src/xzdec/xzdec.c                     |    3 +-
 10 files changed, 88 insertions(+), 11 deletions(-)

commit cf39faca59083d38422058c6c97aa757ea7797d0
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-14 20:21:19 +0200

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 2ddcae247c284cc2f396b6cfdab57790c7588b5f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-14 20:20:03 +0200

    Some updates to xz man page.

 src/xz/xz.1 |   54 +++++++++++++++++++++++++++++++++++++++++++++++++-----
 1 files changed, 49 insertions(+), 5 deletions(-)

commit 19b2674f07f8b588dfaf6638396b4b42866d7e23
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-14 19:51:03 +0200

    Fix description of --memory in --long-help.

 src/xz/message.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 2291346f0cccf88e605d84b75c9c5aaaaddb5df8
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-14 19:45:39 +0200

    Update the debug programs so that they compile again.

 debug/crc32.c      |    1 +
 debug/memusage.c   |    6 ++++--
 debug/sync_flush.c |   14 +++++++++-----
 3 files changed, 14 insertions(+), 7 deletions(-)

commit 418d64a32e8144210f98a810738fed5a897e8367
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-11-14 18:59:19 +0200

    Fix a design error in liblzma API.
    
    Originally the idea was that using LZMA_FULL_FLUSH
    with Stream encoder would read the filter chain
    from the same array that was used to intialize the
    Stream encoder. Since most apps wouldn't use
    LZMA_FULL_FLUSH, most apps wouldn't need to keep
    the filter chain available after initializing the
    Stream encoder. However, due to my mistake, it
    actually required keeping the array always available.
    
    Since setting the new filter chain via the array
    used at initialization time is not a nice way to do
    it for a couple of reasons, this commit ditches it
    and introduces lzma_filters_update(). This new function
    replaces also the "persistent" flag used by LZMA2
    (and to-be-designed Subblock filter), which was also
    an ugly thing to do.
    
    Thanks to Alexey Tourbin for reminding me about the problem
    that Stream encoder used to require keeping the filter
    chain allocated.

 src/liblzma/api/lzma/filter.h           |   30 ++++++++++++
 src/liblzma/api/lzma/lzma.h             |   13 -----
 src/liblzma/common/block_encoder.c      |   14 ++++++
 src/liblzma/common/common.c             |   20 ++++++++-
 src/liblzma/common/common.h             |   22 +++++++++
 src/liblzma/common/easy_encoder.c       |   63 ++------------------------
 src/liblzma/common/filter_common.c      |    3 +
 src/liblzma/common/filter_encoder.c     |   27 +++++++++++
 src/liblzma/common/filter_encoder.h     |    2 +-
 src/liblzma/common/stream_encoder.c     |   76 +++++++++++++++++++++++++++----
 src/liblzma/delta/delta_common.c        |    5 +--
 src/liblzma/delta/delta_decoder.c       |    3 +-
 src/liblzma/delta/delta_encoder.c       |   17 +++++++-
 src/liblzma/delta/delta_private.h       |    2 +-
 src/liblzma/lz/lz_encoder.c             |   17 +++++++
 src/liblzma/lz/lz_encoder.h             |    4 ++
 src/liblzma/lzma/lzma2_encoder.c        |   59 ++++++++++++++----------
 src/liblzma/lzma/lzma_encoder_presets.c |    1 -
 src/liblzma/simple/simple_coder.c       |   12 +++++
 src/xz/options.c                        |    1 -
 20 files changed, 273 insertions(+), 118 deletions(-)

commit f0bf7634b77263a4dd02b20c71861ab67995da68
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-10-17 11:11:58 +0300

    Fix wrong function name in the previous commit.
    
    It was meant to be lzma_filters_copy(), not lzma_filters_dup().

 src/liblzma/api/lzma/filter.h      |    2 +-
 src/liblzma/common/filter_common.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6d118a0b9def82e96afba7386ec8d7da0b59649f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-10-17 01:47:07 +0300

    Add lzma_filters_copy().
    
    This will be needed internally by liblzma once I fix
    a design mistake in the encoder API. This function may
    be useful to applications too so it's good to export it.

 src/liblzma/api/lzma/filter.h      |   31 +++++++++++++
 src/liblzma/common/filter_common.c |   82 ++++++++++++++++++++++++++++++++++++
 2 files changed, 113 insertions(+), 0 deletions(-)

commit 78e92c18470483e161388e679c1ee556adb3a691
Author: Jonathan Nieder <jrnieder@gmail.com>
Date:   2009-10-15 20:44:13 -0500

    Escape dashes in xzmore.1
    
    A minus sign is larger, easier to see in a printout, and more
    likely to use the same glyph as ASCII hyphen-minus in a terminal
    than a hyphen.  Since broken manual pagers do not find hyphens
    when the user searches for a hyphen-minus, minus signs are also
    easier to search for.  So use minus signs instead of hyphens to
    render sample terminal output.

 src/scripts/xzmore.1 |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 7b7fe902d98da28e5769e2aa1e0c08c92384f7ee
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-10-16 20:35:39 +0300

    Mention --check=none in --long-help. It was already in
    the man page though.
    
    Thanks to Jim Meyering for noticing this.

 src/xz/message.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ebfb2c5e1f344e5c6e549b9dedaa49b0749a4a24
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-10-04 22:57:12 +0300

    Use a tuklib module for integer handling.
    
    This replaces bswap.h and integer.h.
    
    The tuklib module uses <byteswap.h> on GNU,
    <sys/endian.h> on *BSDs and <sys/byteorder.h>
    on Solaris, which may contain optimized code
    like inline assembly.

 configure.ac                              |   54 +-----
 m4/tuklib_integer.m4                      |   74 ++++++
 src/common/bswap.h                        |   52 -----
 src/common/integer.h                      |  170 --------------
 src/common/tuklib_config.h                |    8 +-
 src/common/tuklib_integer.h               |  350 +++++++++++++++++++++++++++++
 src/liblzma/check/check.c                 |    4 +-
 src/liblzma/check/crc32_fast.c            |    4 +-
 src/liblzma/check/crc32_tablegen.c        |    8 +-
 src/liblzma/check/crc64_fast.c            |    4 +-
 src/liblzma/check/crc64_tablegen.c        |    8 +-
 src/liblzma/check/crc_macros.h            |    2 -
 src/liblzma/check/sha256.c                |   18 +--
 src/liblzma/common/alone_encoder.c        |    2 +-
 src/liblzma/common/block_header_decoder.c |    2 +-
 src/liblzma/common/block_header_encoder.c |    2 +-
 src/liblzma/common/common.h               |    2 +-
 src/liblzma/common/stream_flags_decoder.c |    6 +-
 src/liblzma/common/stream_flags_encoder.c |    6 +-
 src/liblzma/lz/lz_encoder_hash.h          |    2 +-
 src/liblzma/lzma/lzma_decoder.c           |    2 +-
 src/liblzma/lzma/lzma_encoder.c           |    2 +-
 src/liblzma/lzma/lzma_encoder_private.h   |    2 +-
 src/liblzma/simple/simple_decoder.c       |    2 +-
 src/liblzma/simple/simple_encoder.c       |    2 +-
 tests/test_block_header.c                 |    4 +-
 tests/test_stream_flags.c                 |    6 +-
 tests/tests.h                             |    2 +-
 28 files changed, 467 insertions(+), 333 deletions(-)

commit 29fd321033276261b87da7be5223db33d879a4c7
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-10-02 14:35:56 +0300

    Add support for --enable-assume-ram=SIZE.

 INSTALL           |   16 ++++++++++++++++
 configure.ac      |   24 ++++++++++++++++++++++++
 src/xz/hardware.c |    7 +++----
 src/xzdec/xzdec.c |    5 +++--
 4 files changed, 46 insertions(+), 6 deletions(-)

commit 3782b3fee4812b0dd4ffdfa6563ed49f73060f25
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-10-02 11:28:17 +0300

    Use unaligned access (if possible) on both endiannesses
    in lz_encoder_hash.h.

 src/liblzma/lz/lz_encoder_hash.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit c5f68b5cc79085a87f950fea53843e27f328068e
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-10-02 11:03:26 +0300

    Make liblzma produce the same output on both endiannesses.
    
    Seems that it is a problem in some cases if the same
    version of XZ Utils produces different output on different
    endiannesses, so this commit fixes that problem. The output
    will still vary between different XZ Utils versions, but I
    cannot avoid that for now.
    
    This commit bloatens the code on big endian systems by 1 KiB,
    which should be OK since liblzma is bloated already. ;-)

 src/liblzma/check/crc32_tablegen.c     |   30 ++++++++++++++
 src/liblzma/lz/Makefile.inc            |    1 +
 src/liblzma/lz/lz_encoder.c            |    7 +++-
 src/liblzma/lz/lz_encoder_hash.h       |   35 +++++++++++------
 src/liblzma/lz/lz_encoder_hash_table.h |   68 ++++++++++++++++++++++++++++++++
 src/liblzma/lz/lz_encoder_mf.c         |    1 -
 6 files changed, 128 insertions(+), 14 deletions(-)

commit 4a84d1adfda35e4fb4d41ecf0feb8223b100517a
Author: Mike Frysinger <vapier@gentoo.org>
Date:   2009-09-26 12:51:50 -0400

    add lzmainfo to gitignore
    
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

 .gitignore |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 188a1dcd0cc7867810ed3a55c598d0680922c63b
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-27 11:53:36 +0300

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit db9119b9181b307e7ac5d2bae82444d04b902b59
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-27 11:48:54 +0300

    Work around a bug in Interix header files.
    
    Thanks to Markus Duft for the patch.

 src/common/sysdefs.h |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit b3d105e69786a45963176fd2193abe75e05ba738
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-24 17:50:17 +0300

    Fix an error in OpenVMS-specific code.
    
    Thanks to Jouk Jansen.

 src/xz/file_io.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5e000ff00d4d01e559397b49eb648ad3f159d496
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-22 18:59:56 +0300

    Added OpenVMS-specific information to INSTALL.

 INSTALL |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 932b2e204463d70f3eee5b8a1ea5a23bf9d001a4
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-22 14:03:02 +0300

    Better fixes for OpenVMS support.
    
    Thanks to Jouk Jansen.

 src/xz/file_io.c |   19 ++++++++++++++++---
 1 files changed, 16 insertions(+), 3 deletions(-)

commit 4c3630ec4179fe9265407a35c4db1374ffc82372
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-22 13:40:19 +0300

    Avoid non-standard preprocessor construct.
    
    Thanks to Jouk Jansen.

 src/common/tuklib_common.h |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

commit 0deb1bb60addd1306b525e0ac0ad2a84eb0390d9
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-21 19:50:09 +0300

    Make sure that TUKLIB_DOSLIKE doesn't get defined on Cygwin.
    
    Thanks to Charles Wilson.

 src/common/tuklib_common.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit e599bba4216c0edb8cc8f40adad3a6dba88685f4
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-19 09:47:30 +0300

    Various changes.
    
    Separate a few reusable components from XZ Utils specific
    code. The reusable code is now in "tuklib" modules. A few
    more could be separated still, e.g. bswap.h.
    
    Fix some bugs in lzmainfo.
    
    Fix physmem and cpucores code on OS/2. Thanks to Elbert Pol
    for help.
    
    Add OpenVMS support into physmem. Add a few #ifdefs to ease
    building XZ Utils on OpenVMS. Thanks to Jouk Jansen for the
    original patch.

 THANKS                          |    1 +
 configure.ac                    |   12 +--
 m4/lc_cpucores.m4               |   57 ---------------
 m4/lc_physmem.m4                |   84 ----------------------
 m4/tuklib_common.m4             |   22 ++++++
 m4/tuklib_cpucores.m4           |   72 +++++++++++++++++++
 m4/tuklib_physmem.m4            |  119 +++++++++++++++++++++++++++++++
 m4/tuklib_progname.m4           |   25 +++++++
 src/common/cpucores.h           |   51 --------------
 src/common/open_stdxxx.h        |   49 -------------
 src/common/physmem.h            |  144 --------------------------------------
 src/common/sysdefs.h            |    4 -
 src/common/tuklib_common.h      |   67 ++++++++++++++++++
 src/common/tuklib_config.h      |    1 +
 src/common/tuklib_cpucores.c    |   46 ++++++++++++
 src/common/tuklib_cpucores.h    |   23 ++++++
 src/common/tuklib_exit.c        |   57 +++++++++++++++
 src/common/tuklib_exit.h        |   25 +++++++
 src/common/tuklib_gettext.h     |   44 ++++++++++++
 src/common/tuklib_open_stdxxx.c |   51 ++++++++++++++
 src/common/tuklib_open_stdxxx.h |   23 ++++++
 src/common/tuklib_physmem.c     |  146 +++++++++++++++++++++++++++++++++++++++
 src/common/tuklib_physmem.h     |   28 ++++++++
 src/common/tuklib_progname.c    |   50 +++++++++++++
 src/common/tuklib_progname.h    |   32 +++++++++
 src/lzmainfo/Makefile.am        |    5 +-
 src/lzmainfo/lzmainfo.c         |   65 +++++------------
 src/xz/Makefile.am              |    7 ++-
 src/xz/args.c                   |    8 +--
 src/xz/file_io.c                |   43 ++++++------
 src/xz/hardware.c               |    8 +-
 src/xz/main.c                   |  100 ++++++---------------------
 src/xz/main.h                   |    7 --
 src/xz/message.c                |   30 ++++----
 src/xz/message.h                |    8 +-
 src/xz/private.h                |   11 +--
 src/xz/signals.c                |    2 +
 src/xz/signals.h                |   17 ++---
 src/xz/suffix.c                 |    2 +-
 src/xzdec/Makefile.am           |   13 +++-
 src/xzdec/xzdec.c               |   55 ++++-----------
 41 files changed, 974 insertions(+), 640 deletions(-)

commit 49cfc8d392cf535f8dd10233225b1fc726fec9ef
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-15 21:07:23 +0300

    Fix incorrect use of "restrict".

 src/liblzma/api/lzma/vli.h       |    4 ++--
 src/liblzma/common/vli_decoder.c |    2 +-
 src/liblzma/common/vli_encoder.c |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 15ffd675ab7af84592eb1c23b0e9f4699aa0fd8c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-12 14:09:17 +0300

    Fix GCC version check for nothrow attribute.

 src/liblzma/api/lzma.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6bfdd3a88a819f04c8f202e7d3c6f88a01c7d224
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-12 14:08:15 +0300

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 4ab7b16b9573bdfa32279e4adadff684d5cd58ac
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-12 14:07:36 +0300

    A few grammar fixes.
    
    Thanks to Christian Weisgerber for pointing out some of these.

 src/liblzma/api/lzma.h                    |    4 ++--
 src/liblzma/api/lzma/vli.h                |    4 ++--
 src/liblzma/common/block_header_encoder.c |    2 +-
 src/liblzma/common/filter_common.c        |    2 +-
 src/liblzma/lz/lz_encoder.h               |   10 +++++-----
 src/xz/message.c                          |   22 +++++++++++-----------
 src/xzdec/xzdec.c                         |    2 +-
 7 files changed, 23 insertions(+), 23 deletions(-)

commit 8905a33daadcd2d6557c83c81c490b827d566c94
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-11 17:08:15 +0300

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 68059334ff435300ab1ce2c616b0eee1b0d88dd9
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-11 17:06:32 +0300

    Add PACKAGE_HOMEPAGE to {windows,dos}/config.h to fix build errors.

 dos/config.h     |    3 +++
 windows/config.h |    3 +++
 2 files changed, 6 insertions(+), 0 deletions(-)

commit 221be761f467da76875247bc02d7a1716682075d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-11 10:24:09 +0300

    Use $(LN_EXEEXT) in symlinks to executables.
    
    This fixes "make install" on operating systems using
    a suffix for executables.
    
    Cygwin is treated specially. The symlink names won't have
    .exe suffix even though the executables themselves have.
    Thanks to Charles Wilson.

 configure.ac       |    9 +++++++++
 src/xz/Makefile.am |    4 ++--
 2 files changed, 11 insertions(+), 2 deletions(-)

commit 18a4233a53d9b82abac7db7d7804684c5fea9c2c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-11 09:25:09 +0300

    Fix a couple of warnings.

 src/liblzma/common/stream_decoder.c            |    2 +-
 src/liblzma/lz/lz_encoder.c                    |    5 +----
 src/liblzma/lzma/lzma_encoder.c                |    2 +-
 src/liblzma/lzma/lzma_encoder_optimum_normal.c |    8 ++++----
 tests/tests.h                                  |    2 +-
 5 files changed, 8 insertions(+), 11 deletions(-)

commit 429910b2ba67611d8df60d1a9da9641bdb5f82b4
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-05 18:39:21 +0300

    Add OS/2-specific code to physmem.h.
    
    Also move DJGPP-specific code near the code meant
    for other DOS-like systems.

 src/common/physmem.h |   32 +++++++++++++++++++++-----------
 1 files changed, 21 insertions(+), 11 deletions(-)

commit 7aca7b3174bcbba4a4915682ff0cd405d63f5740
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-05 01:21:15 +0300

    Updated THANKS.

 THANKS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 60ccb80c9c4a0d771acc5b7d9d6f32b17fed1071
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-05 01:20:29 +0300

    Use sysctl() != -1 instead of !sysctl() to check if
    the function call succeeded.
    
    NetBSD 4.0 returns positive values on success, but
    NetBSD Current and FreeBSD return zero. OpenBSD's
    man page doesn't tell what sysctl() returns on
    success. All these BSDs return -1 on error.
    
    Thanks to Robert Elz and Thomas Klausner.

 src/common/cpucores.h |    2 +-
 src/common/physmem.h  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 173368911cf09ab0b03fc4db8f3d4b81d86dce32
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-02 09:43:51 +0300

    Mention in INSTALL that --enable-small doesn't modify CFLAGS.

 INSTALL |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 319a0fd7d7e9ebbb71ca6930abfc20777cb4aacc
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-01 20:40:01 +0300

    Refactored option parsing.

 src/xz/options.c |   70 +++++++++++++++++++++++++++---------------------------
 1 files changed, 35 insertions(+), 35 deletions(-)

commit 25adaaa56e2e51a47a910a8d73452414619a2e53
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-01 20:23:30 +0300

    Fix options parsing bug in xz.
    
    xz used to reject "xz --lzma2=pb=2," while
    "xz --lzma2=pb=2,," worked. Now both work.

 src/xz/options.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit 5f6dddc6c911df02ba660564e78e6de80947c947
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-09-01 20:20:19 +0300

    Updated TODO.

 TODO |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 655457b9ada5ec7db398c5392e41290f3f332ea8
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-31 21:59:25 +0300

    Revert 43f44160b1ddcbf7e5205c37db09b3bebe7226f9
    and use a fix that works on all systems using
    GNU assembler.
    
    Maybe the assembler code is used e.g. on Solaris x86
    but let's worry about it if this doesn't work on it.

 src/liblzma/check/crc32_x86.S |    7 ++-----
 src/liblzma/check/crc64_x86.S |    7 ++-----
 2 files changed, 4 insertions(+), 10 deletions(-)

commit 162189c3477953805a28f96d3a75cb9ab9417928
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-30 17:29:19 +0300

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 2331f5f97af3e5897e23da45d9df3d664099c7f8
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-30 17:28:52 +0300

    Add more OS/2 specific info to INSTALL.

 INSTALL |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 94c66b3297b3ad307eee93cf6b160e3c43997f11
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-29 14:43:52 +0300

    Use even more hackish way to support thousand separators.
    
    Seems that in addition on Windows and DOS, also OpenBSD
    lacks support for %'d style printf() format strings.
    So far that is the only modern POSIX-like system I know
    with this problem, but after this hack, the thousand
    separator shouldn't be a problem on any system.
    
    Maybe testing if a format string like %'d produces
    reasonable output is invoking undefined behavior on some
    systems, but so far all the problematic systems I've tried
    just print the raw format string (e.g. %'d prints 'd).
    
    Maybe Autoconf test would have been better, but this
    hack works also for cross-compilation, and avoids
    recompilation in case the system libc starts to support
    the thousand separator.

 src/xz/util.c |   36 +++++++++++++++++++++++++-----------
 1 files changed, 25 insertions(+), 11 deletions(-)

commit 3432e9c6aab851da1227b63dce645d7f190c04d8
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-29 13:42:56 +0300

    Updated THANKS.

 THANKS |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 27414daadf5727e8ab942374b5ec1c8990122878
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-29 13:39:21 +0300

    Fix sysctl() usage.
    
    This fixes build on *BSDs and Darwin.
    
    Thanks to Jukka Salmi for the patches.
    Richard Koch reported the problem too.

 m4/lc_cpucores.m4     |    2 +-
 m4/lc_physmem.m4      |    2 +-
 src/common/cpucores.h |    2 +-
 src/common/physmem.h  |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 43f44160b1ddcbf7e5205c37db09b3bebe7226f9
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-29 13:35:23 +0300

    Fix x86 assembler on GCC 3.
    
    Thanks to Karl Berry.

 src/liblzma/check/crc32_x86.S |    7 +++++--
 src/liblzma/check/crc64_x86.S |    7 +++++--
 2 files changed, 10 insertions(+), 4 deletions(-)

commit 682efdc1f9492fdd76c9ce82e7c00ca0768067e8
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-27 18:36:59 +0300

    "make dist" fixes

 Makefile.am |   13 ++++++-------
 1 files changed, 6 insertions(+), 7 deletions(-)

commit c8c184db1c95bf70f78256ec6237845a57f342af
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-27 17:08:33 +0300

    Update xz man page date.

 src/xz/xz.1 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9756fce565e98b8fa5fe6ead296d84e7601ec254
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-27 17:00:22 +0300

    Fix the debug directory.
    
    6a2eb54092fc625d59921a607ff68cd1a90aa898 and
    71f18e8a066a01dda0c8e5508b135ef104e43e4c required
    some changes that weren't applied in debug.

 debug/Makefile.am   |    5 +++--
 debug/full_flush.c  |    1 +
 debug/known_sizes.c |    1 +
 debug/memusage.c    |    1 +
 debug/sync_flush.c  |    1 +
 5 files changed, 7 insertions(+), 2 deletions(-)

commit 77007a7fb20187fcf3d1dd9839c79ace2d63f2ea
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-27 16:36:40 +0300

    Add missing files to EXTRA_DIST.

 Makefile.am |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

commit 04dcbfdeb921e5f361a4487134e91e23fffbe09d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-27 16:21:22 +0300

    Bumped version to 4.999.9beta.

 src/liblzma/api/lzma/version.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fd7618611a22f42a6913bc8d518c9bbc9252d6b4
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-27 16:17:47 +0300

    Updated THANKS.

 THANKS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit c29e76c0f910fca0a90a50b78d337f6c32623e9d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-27 16:12:52 +0300

    .xz file format specification 1.0.4 (probably).
    
    Thanks to Christian von Roques, Peter Lawler,
    and Jim Meyering for the fixes.

 doc/xz-file-format.txt |   26 +++++++++++++++-----------
 1 files changed, 15 insertions(+), 11 deletions(-)

commit 696d7ee3953beaf4f0ed18e78917ccf300431966
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-27 15:43:54 +0300

    Require GNU libtool 2.2.

 configure.ac |   13 +++----------
 1 files changed, 3 insertions(+), 10 deletions(-)

commit 4c3558aa8305a8f8b6c43b8569eb539717ca9e8d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-27 15:34:45 +0300

    Add "dos" to EXTRA_DIST.

 Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 35b29e4424ced5a3ababf132283e519080c7b298
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-27 15:23:27 +0300

    Updated TODO.

 TODO |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 23414377192c21f3f34c84cdfe0ef0fbd06a1dea
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-27 15:17:00 +0300

    Some xz man page improvements.

 src/xz/xz.1 |   78 ++++++++++++++++++++++++++++++++++++++++++++++------------
 1 files changed, 62 insertions(+), 16 deletions(-)

commit 371b04e19fc9051dbaeec51ec0badec6a1f0699d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-27 10:41:01 +0300

    Removed doc/bugs.txt.

 doc/bugs.txt |   46 ----------------------------------------------
 1 files changed, 0 insertions(+), 46 deletions(-)

commit d88c4072b36d3a76f839185799fb1d91037a1b81
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-27 10:40:25 +0300

    Updated README.
    
    It now includes bug reporting instructions/tips.

 README |   65 ++++++++++++++++++++++++++++++++++++++++++++++++++++++---------
 1 files changed, 55 insertions(+), 10 deletions(-)

commit 92e536d8b8d33a6b12d0802bcd7be4437046f13e
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-27 10:21:18 +0300

    Fix a typo in FAQ.
    
    Thanks to Jim Meyering.
    
    (From now on, I try to always remember to put
    the relevant thanks to commit messages.)

 doc/faq.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3e2ba8b58585743e59251e69ad2783eb08357079
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-27 10:13:46 +0300

    Updates to liblzma API headers.
    
    Added lzma_nothrow for every function. It adds
    throw() when the header is used in C++ code.
    
    Some lzma_attrs were added or removed.
    
    Lots of comments were improved.

 src/liblzma/api/lzma.h              |   20 +++++++
 src/liblzma/api/lzma/base.h         |   48 +++++++++--------
 src/liblzma/api/lzma/block.h        |   38 +++++++-------
 src/liblzma/api/lzma/check.h        |   22 ++++----
 src/liblzma/api/lzma/container.h    |   36 +++++++------
 src/liblzma/api/lzma/filter.h       |   81 ++++++++++++++++++-----------
 src/liblzma/api/lzma/index.h        |   97 +++++++++++++++++++++--------------
 src/liblzma/api/lzma/index_hash.h   |   14 +++--
 src/liblzma/api/lzma/lzma.h         |   87 ++++++++++++++++---------------
 src/liblzma/api/lzma/stream_flags.h |   12 ++--
 src/liblzma/api/lzma/version.h      |   10 ++--
 src/liblzma/api/lzma/vli.h          |    7 ++-
 12 files changed, 275 insertions(+), 197 deletions(-)

commit 8e8ebc17c535a1f8846718059b48417409c37050
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-18 00:30:09 +0300

    Install faq.txt.

 Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b198e770a146e4a41f91a93f0b233713f2515848
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-18 00:26:48 +0300

    Updated faq.txt.
    
    Some questions worth answering were removed, because I
    currently don't have good up to date answers to them.

 doc/faq.txt |  239 ++++++++++++++++++-----------------------------------------
 1 files changed, 73 insertions(+), 166 deletions(-)

commit fe111a25cd788d31b581996e4533910388a7f0a9
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-17 22:45:50 +0300

    Some xz man changes.

 src/xz/xz.1 |   88 +++++++++++++++++++++++++++++------------------------------
 1 files changed, 43 insertions(+), 45 deletions(-)

commit 10242a21e9abda0c5c6a03501703cc40b8a699a5
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-16 22:15:42 +0300

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 3ce1916c83041113b9cad9ead5c97a527cf8aa1d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-16 22:15:13 +0300

    Fix data corruption in LZ/LZMA2 encoder.
    
    Thanks to Jonathan Stott for the bug report.

 src/liblzma/lz/lz_encoder.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 66da129c8ec33dd66acc92f113f7c1ca740ca81a
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-13 15:15:37 +0300

    Updated INSTALL and PACKAGERS to match the changes
    made in --enable-dynamic.

 INSTALL   |   20 ++++++++++++++++----
 PACKAGERS |   11 ++++++-----
 2 files changed, 22 insertions(+), 9 deletions(-)

commit 8238c4b2402f952c4e492e5b778aa272e57b6705
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-13 15:03:46 +0300

    Link lzmainfo against shared liblzma by default.

 src/lzmainfo/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 71f18e8a066a01dda0c8e5508b135ef104e43e4c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-13 15:00:21 +0300

    Make --enable-dynamic a tristate option.
    
    Some programs will by default be linked against static
    liblzma and some against shared liblzma. --enable-dynamic
    now allows overriding the default to both directions
    (all dynamic or all static) even when building both
    shared and static liblzma.
    
    This is quite messy compared to how simple thing it is supposed
    to be. The complexity is mostly due to Windows support.

 configure.ac |   77 +++++++++++++++++++++++++++++++++++++++++++---------------
 1 files changed, 57 insertions(+), 20 deletions(-)

commit 5aa4678b2342dcfc1d2b31aa9fa4f39c539e4b61
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-13 12:56:47 +0300

    Fix xz Makefile.am for the man page.
    
    install-exec-hook -> install-data-hook

 src/xz/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit e51b4e49e800bd84e6d589dca2964d3985e88139
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-13 12:55:45 +0300

    Add lzmainfo for backward compatibility with LZMA Utils.
    
    lzmainfo now links against static liblzma. In contrast
    to other command line tools in XZ Utils, linking lzmainfo
    against static liblzma by default is dumb. This will be
    fixed once I have fixed some related issues in configure.ac.

 configure.ac             |    1 +
 src/Makefile.am          |    2 +-
 src/lzmainfo/Makefile.am |   29 ++++++
 src/lzmainfo/lzmainfo.1  |   55 +++++++++++
 src/lzmainfo/lzmainfo.c  |  242 ++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 328 insertions(+), 1 deletions(-)

commit a4165d0584376d948c213ec93c6065d24ff6a5e7
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-13 12:42:36 +0300

    Sync some error messages from xz to xzdec.
    
    Make xz error message translation usable outside
    xz (at least in upcoming lzmainfo).

 src/xz/main.c     |    4 ++--
 src/xzdec/xzdec.c |    6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit df636eb4e066b4e154ce8e66e82c87ba1db652a6
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-13 09:37:21 +0300

    Add xz man page to manfiles in toplevel Makefile.am.

 Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 180bdf58ea5bb07941e0a99b304d9aa832198748
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-13 09:37:01 +0300

    Fix first line of xz man page.

 src/xz/xz.1 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e1ce2291e759b50ebfcf7cbbcc04cd098f1705a4
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-10 11:22:31 +0300

    Added a rough version of the xz man page.

 src/xz/Makefile.am |   15 +
 src/xz/xz.1        | 1206 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1221 insertions(+), 0 deletions(-)

commit e71903fc6101f1c039d702e335b08aad1e1b4100
Author: Jonathan Nieder <jrnieder@gmail.com>
Date:   2009-08-09 13:41:20 -0500

    “xzdiff a.xz b.xz” always fails
    
    Attempts to compare two compressed files result in no output and
    exit status 2.
    
    Instead of going to standard output, ‘diff’ output is being
    captured in the xz_status variable along with the exit status from
    the decompression commands.  Later, when this variable is examined
    for nonzero status codes, numerals from dates in the ‘diff’ output
    make it appear as though decompression failed.
    
    So let the ‘diff’ output leak to standard output with another file
    descriptor.  (This trick is used in all similar contexts elsewhere
    in xzdiff and in the analogous context in gzip’s zdiff script.)

 src/scripts/xzdiff.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1d314b81aa5b0c4530638ffabd4e0edb52e5362c
Author: Jonathan Nieder <jrnieder@gmail.com>
Date:   2009-08-09 13:22:12 -0500

    xzless: Support compressed standard input
    
    It can be somewhat confusing that
    
    	less < some_file.txt
    
    works fine, whereas
    
    	xzless < some_file.txt.xz
    
    does not.  Since version 429, ‘less’ allows a filter specified in
    the LESSOPEN environment variable to preprocess its input even if
    it comes from standard input, if $LESSOPEN begins with ‘|-’.  So
    set $LESSOPEN to take advantage of this feature.
    
    Check less’s version at runtime so xzless can continue to work
    with older versions.

 src/scripts/xzless.in |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit a7f5d2fe4826ac68839d00059f05004fb81d5c69
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-09 20:57:46 +0300

    GPLv2+ not GPLv2 for Doxyfile.in is probably OK.

 Doxyfile.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b735cde20cc14857136ae65a0e5d336ed7ddc862
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-02 00:27:29 +0300

    Added a copyright notice to Doxyfile.in since it contains
    lots of comments from Doxygen.
    
    It seems that the Doxygen authors' intent is to not apply
    their copyright on generated files, but since it doesn't
    matter for XZ Utils at all, better safe than sorry.

 Doxyfile.in |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 0fd157cc008446adfc8f91394f5503868025a642
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-02 00:11:37 +0300

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b198da96ff9ac8c89b466b4d196c5f3fe1c7904f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-08-02 00:10:22 +0300

    Updated TODO.

 TODO |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 669413bb2db954bbfde3c4542fddbbab53891eb4
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-30 12:25:55 +0300

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit dbbd8fb870ae789d96497911006c869d37148c15
Author: Jonathan Nieder <jrnieder@gmail.com>
Date:   2009-07-28 17:37:24 -0500

    xzdiff: add missing ;; to case statement

 src/scripts/xzdiff.in |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit adbad2d16cb5909f85d4a429011005613ea62ffe
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-24 13:15:06 +0300

    Added history.txt to doc_DATA.

 Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit e0236f12569eb36f9b81ce7a1e52e0f73698ac27
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-24 12:00:40 +0300

    Updated .gitignore files.

 .gitignore    |   36 +++++++++++++++++++-----------------
 po/.gitignore |    3 +++
 2 files changed, 22 insertions(+), 17 deletions(-)

commit 2f34fb269265e3aba43a2a9c734020a45268826d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-24 11:34:02 +0300

    Minor improvements to COPYING.

 COPYING |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

commit 0db1befcfbc120377df4b89923762f16d25f548a
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-23 19:10:55 +0300

    Fix incorrect usage of getopt_long(), which caused
    invalid memory access if XZ_OPT was defined.

 src/xz/args.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 8f8ec942d6d21ada2096eaf063411bc8bc7e2d48
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-20 15:43:32 +0300

    Avoid internal error with --format=xz --lzma1.

 src/xz/coder.c |   16 ++++++++++++----
 1 files changed, 12 insertions(+), 4 deletions(-)

commit 99f9e879a6a8bb54a65da99c12e0f390216c152a
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-19 13:14:20 +0300

    Major documentation update.
    
    Installation and packaging instructions were added.
    README and other generic docs were revised.
    
    Some of the documentation files are now installed to $docdir.

 AUTHORS         |   35 ++++--
 ChangeLog       |    7 +-
 INSTALL         |  327 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 INSTALL.generic |  302 ++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am     |   11 ++
 PACKAGERS       |  278 ++++++++++++++++++++++++++++++++++++++++++++++
 README          |  263 +++++++++++++++++++-------------------------
 THANKS          |   17 ++--
 8 files changed, 1070 insertions(+), 170 deletions(-)

commit ef4cf1851de89022cba5674784f1a8f6343c15b0
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-19 11:09:31 +0300

    Added missing author notice to xzless.in.

 src/scripts/xzless.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 4c9c989d45b188667799a7a1d6c728ed43f7bf77
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-18 18:54:55 +0300

    Use AC_CONFIG_AUX_DIR to clean up the toplevel directory
    a little.
    
    Fixed a related bug in the toplevel Makefile.am.
    
    Added the build-aux directory to .gitignore.

 .gitignore   |    1 +
 Makefile.am  |    1 -
 configure.ac |    3 ++-
 3 files changed, 3 insertions(+), 2 deletions(-)

commit 366e436090a7a87215e9bf0e3ddcd55f05b50587
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-18 14:34:08 +0300

    Updated the totally outdated TODO file.

 TODO |  117 +++++++++++++++--------------------------------------------------
 1 files changed, 27 insertions(+), 90 deletions(-)

commit 64e498c89d8b9966e8663f43bf64d47c26c55c62
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-18 11:26:39 +0300

    Added public domain notice into a few files.

 src/common/common_w32res.rc   |    9 ++++++++-
 src/liblzma/liblzma.pc.in     |    7 +++++++
 src/liblzma/liblzma_w32res.rc |    7 +++++++
 src/xz/xz_w32res.rc           |    7 +++++++
 src/xzdec/xzdec_w32res.rc     |    7 +++++++
 5 files changed, 36 insertions(+), 1 deletions(-)

commit a35755c5de808df027675688855d1b621a4fb428
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-14 21:10:36 +0300

    Allow extra commas in filter-specific options on xz command line.
    
    This may slightly ease writing scripts that construct
    filter-specific option strings dynamically.

 src/xz/options.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 98f3cac1ad31191c5160a7e48398bf85141e941c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-14 18:04:31 +0300

    Accept --lzma2=preset=6e where "e" is equivalent to --extreme
    when no custom chain is in use.

 src/xz/options.c |   80 +++++++++++++++++++++++++++++++++++++++--------------
 1 files changed, 59 insertions(+), 21 deletions(-)

commit d873a09e956363e54bf58c577c8f7e487b6fb464
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-12 19:08:30 +0300

    Add dist-hook to create ChangeLog from the commit log,
    and to conver the man pages to PDF and plain text, which
    may be convenient to those who cannot render man pages.

 Makefile.am |   31 +++++++++++++++++++++++++++++++
 1 files changed, 31 insertions(+), 0 deletions(-)

commit cd69a5a6c16c289f6f8e2823b03c72289472270f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-10 11:39:38 +0300

    BCJ filters: Reject invalid start offsets with LZMA_OPTIONS_ERROR.
    
    This is a quick and slightly dirty fix to make the code
    conform to the latest file format specification. Without
    this patch, it's possible to make corrupt files by
    specifying start offset that is not a multiple of the
    filter's alignment. Custom start offset is almost never
    used, so this was only a minor bug.
    
    The xz command line tool doesn't validate the start offset,
    so one will get a bit unclear error message if trying to use
    an invalid start offset.

 src/liblzma/simple/arm.c            |    2 +-
 src/liblzma/simple/armthumb.c       |    2 +-
 src/liblzma/simple/ia64.c           |    2 +-
 src/liblzma/simple/powerpc.c        |    2 +-
 src/liblzma/simple/simple_coder.c   |    5 ++++-
 src/liblzma/simple/simple_private.h |    3 ++-
 src/liblzma/simple/sparc.c          |    2 +-
 src/liblzma/simple/x86.c            |    2 +-
 8 files changed, 12 insertions(+), 8 deletions(-)

commit eed9953732b801f6c97317fb3160445a8754180b
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-10 11:33:21 +0300

    Look for full command names instead of substrings
    like "un", "cat", and "lz" when determining if
    xz is run as unxz, xzcat, lzma, unlzma, or lzcat.
    
    This is to ensure that if xz is renamed (e.g. via
    --program-transform-name), it doesn't so easily
    work in wrong mode.

 src/xz/args.c |   22 +++++++++++++---------
 1 files changed, 13 insertions(+), 9 deletions(-)

commit 6f62fa88f4ff7ba78565c314c0e6e71c498fa658
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-08 23:06:46 +0300

    Updated THANKS.

 THANKS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 1754b7e03e2aa7e2e0196807fe8b0f3f5a637b0e
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-08 23:05:29 +0300

    Portability improvement to version.sh.

 version.sh |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 3bdb53792c0e3e3febe9370e56eda5b08f89410f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-08 22:50:16 +0300

    Remove --force from xzdec.
    
    It was ignored for compatibility with xz, but now that
    --decompress --stdout --force copies unrecognized files
    as is to stdout, simply ignoring --force in xzdec would
    be wrong. xzdec will not support copying unrecognized
    data as is to stdout, so it cannot support --force.

 src/xzdec/xzdec.1 |    5 -----
 src/xzdec/xzdec.c |    5 +----
 2 files changed, 1 insertions(+), 9 deletions(-)

commit 5f16ef4abf220028a9ddbcb138217597a9455f62
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-06 10:36:04 +0300

    Use sed instead of $(SED) so that we don't need to
    use AC_PROG_SED. We don't do anything fancy with sed,
    so this should work OK. libtool 2.2 sets SED but 1.5
    doesn't, so $(SED) happened to work when using libtool 2.2.

 src/liblzma/Makefile.am |    2 +-
 src/scripts/Makefile.am |   28 ++++++++++++++--------------
 src/xz/Makefile.am      |    6 +++---
 src/xzdec/Makefile.am   |    6 +++---
 4 files changed, 21 insertions(+), 21 deletions(-)

commit 96e4b257e101d72072d43e144897d92920270669
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-05 22:25:17 +0300

    Major update to the xzgrep and other scripts based on
    the latest versions found from gzip CVS repository.
    
    configure will try to find a POSIX shell to be used by
    the scripts. This should ease portability on systems
    which have pre-POSIX /bin/sh.
    
    xzgrep and xzdiff support .xz, .lzma, .gz, and .bz2 files.
    xzmore and xzless support only .xz and .lzma files.
    
    The name of the xz executable used in these scripts is
    now correct even if --program-transform-name has been used.

 configure.ac            |   14 ++++
 m4/posix-shell.m4       |   63 +++++++++++++++
 src/scripts/Makefile.am |   24 +++---
 src/scripts/xzdiff      |   67 ----------------
 src/scripts/xzdiff.1    |   58 +++++++++-----
 src/scripts/xzdiff.in   |  172 +++++++++++++++++++++++++++++++++++++++++
 src/scripts/xzgrep      |  123 -----------------------------
 src/scripts/xzgrep.1    |   85 ++++++++++++--------
 src/scripts/xzgrep.in   |  196 +++++++++++++++++++++++++++++++++++++++++++++++
 src/scripts/xzless.1    |   66 ++++++++++++++++
 src/scripts/xzless.in   |   51 ++++++++++++
 src/scripts/xzmore      |   74 ------------------
 src/scripts/xzmore.1    |   64 ++++++---------
 src/scripts/xzmore.in   |   78 +++++++++++++++++++
 14 files changed, 766 insertions(+), 369 deletions(-)

commit 25cc7a6e8c2506a0d80084a4c1c67d33e7439100
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-05 19:26:53 +0300

    Use @PACKAGE_HOMEPAGE@ in liblzma.pc.in.

 src/liblzma/liblzma.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 18c10c30d2833f394cd7bce0e6a821044b15832f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-04 00:40:44 +0300

    Make "xz --decompress --stdout --force" copy unrecognized
    files as is to standard output.
    
    This feature is needed to be more compatible with gzip's
    behavior. This was more complicated to implement than it
    sounds, because the way liblzma is able to return errors with
    files of only a few bytes in size. xz now has its own file
    type detection code and no longer uses lzma_auto_decoder().

 src/xz/coder.c |  213 ++++++++++++++++++++++++++++++++++++++++++++++---------
 1 files changed, 178 insertions(+), 35 deletions(-)

commit 0a289c01ac821ea9c4250aa906b0ae3cfa953633
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-02 14:30:38 +0300

    Define PACKAGE_HOMEPAGE in configure.ac and use it in
    xz and xzdec.
    
    Use also PACKAGE_NAME instead of hardcoding "XZ Utils".

 configure.ac      |    5 +++++
 src/xz/message.c  |    4 ++--
 src/xzdec/xzdec.c |    4 ++--
 3 files changed, 9 insertions(+), 4 deletions(-)

commit 5cc99db5bae8633f85559e5cdaef4cd905a4ee9c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-07-01 12:21:24 +0300

    Avoid visibility related compiler warnings on Windows.

 configure.ac |   20 +++++++++-----------
 1 files changed, 9 insertions(+), 11 deletions(-)

commit 7653d1cf48080e63b189ed9d58dea0e82b6b1c5e
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-30 17:14:39 +0300

    Use static liblzma by default also for tests.

 tests/Makefile.am |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit f42ee981668b545ab6d06c6072e262c29605273c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-30 17:09:57 +0300

    Build system fixes
    
    Don't use libtool convenience libraries to avoid recently
    discovered long-standing subtle but somewhat severe bugs
    in libtool (at least 1.5.22 and 2.2.6 are affected). It
    was found when porting XZ Utils to Windows
    <http://lists.gnu.org/archive/html/libtool/2009-06/msg00070.html>
    but the problem is significant also e.g. on GNU/Linux.
    
    Unless --disable-shared is passed to configure, static
    library built from a set of convenience libraries will
    contain PIC objects. That is, while libtool builds non-PIC
    objects too, only PIC objects will be used from the
    convenience libraries. On 32-bit x86 (tested on mobile XP2400+),
    using PIC instead of non-PIC makes the decompressor 10 % slower
    with the default CFLAGS.
    
    So while xz was linked against static liblzma by default,
    it got the slower PIC objects unless --disable-shared was
    used. I tend develop and benchmark with --disable-shared
    due to faster build time, so I hadn't noticed the problem
    in benchmarks earlier.
    
    This commit also adds support for building Windows resources
    into liblzma and executables.

 configure.ac                        |   34 ++++++++++-----
 src/liblzma/Makefile.am             |   79 +++++++++++++++++++++++++++-------
 src/liblzma/check/Makefile.am       |   47 ---------------------
 src/liblzma/check/Makefile.inc      |   51 ++++++++++++++++++++++
 src/liblzma/common/Makefile.am      |   78 ----------------------------------
 src/liblzma/common/Makefile.inc     |   67 +++++++++++++++++++++++++++++
 src/liblzma/common/common.h         |   16 ++++---
 src/liblzma/delta/Makefile.am       |   28 ------------
 src/liblzma/delta/Makefile.inc      |   23 ++++++++++
 src/liblzma/lz/Makefile.am          |   29 -------------
 src/liblzma/lz/Makefile.inc         |   21 +++++++++
 src/liblzma/lzma/Makefile.am        |   51 ----------------------
 src/liblzma/lzma/Makefile.inc       |   43 +++++++++++++++++++
 src/liblzma/rangecoder/Makefile.am  |   26 -----------
 src/liblzma/rangecoder/Makefile.inc |   21 +++++++++
 src/liblzma/simple/Makefile.am      |   51 ----------------------
 src/liblzma/simple/Makefile.inc     |   47 +++++++++++++++++++++
 src/liblzma/subblock/Makefile.am    |   26 -----------
 src/liblzma/subblock/Makefile.inc   |   20 +++++++++
 src/xz/Makefile.am                  |   11 ++++-
 src/xzdec/Makefile.am               |   20 ++++++++-
 21 files changed, 417 insertions(+), 372 deletions(-)

commit 89dac1db6f168d7469cfbc4432651d4724c5c0de
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-29 22:19:51 +0300

    Added a comment about "autoconf -fi" to autogen.sh.

 autogen.sh |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 6e685aae4594bc0af1b5032e01bb37d0edaa3ebd
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-28 10:04:24 +0300

    Add -no-undefined to get shared liblzma on Windows.

 src/liblzma/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 73f560ee5fa064992b76688d9472baf139432540
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-27 22:57:15 +0300

    Make physmem() work on Cygwin 1.5 and older.

 src/common/physmem.h |   77 ++++++++++++++++++++++++++------------------------
 1 files changed, 40 insertions(+), 37 deletions(-)

commit 7ff0004fbce24ae72eddfe392828ffd7d4639ed1
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-27 17:28:01 +0300

    Moved the Windows resource files outside the windows directory
    to prepare for building them with Autotools.

 src/common/common_w32res.rc   |   46 +++++++++++++++++++++++++++++++++++++++++
 src/liblzma/liblzma_w32res.rc |    5 ++++
 src/xz/xz_w32res.rc           |    5 ++++
 src/xzdec/lzmadec_w32res.rc   |    5 ++++
 src/xzdec/xzdec_w32res.rc     |    5 ++++
 windows/Makefile              |   35 +++++++++++++++++--------------
 windows/common.rc             |   46 -----------------------------------------
 windows/liblzma.rc            |    5 ----
 windows/lzmadec.rc            |    5 ----
 windows/xz.rc                 |    5 ----
 windows/xzdec.rc              |    5 ----
 11 files changed, 85 insertions(+), 82 deletions(-)

commit 449c634674f35336a4815d398172e447659a135e
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-27 13:05:03 +0300

    Added missing $(EXEEXT).

 src/xz/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 792db79f27ad9ab1fb977e23be65c7761f545752
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-27 12:32:40 +0300

    Create correct symlinks even when
    --program-{prefix,suffix,transform} is passed to configure.

 src/scripts/Makefile.am |   80 +++++++++++++++++++++++++++--------------------
 src/xz/Makefile.am      |   21 +++++++-----
 src/xzdec/Makefile.am   |    9 +++--
 3 files changed, 65 insertions(+), 45 deletions(-)

commit 0adc72feb84f5b903f6ad9d3f759b1c326fafc6b
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-27 10:02:24 +0300

    Silence a compiler warning on DOS-like systems.

 src/xz/file_io.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit ad12edc95254ede3f0cb8dec8645e8789e984c4f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-27 09:35:15 +0300

    Updated the filenames in POTFILES.in too.

 po/POTFILES.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b2b1f867532732fe9969131f8713bdd6b0731763
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-27 00:43:06 +0300

    Hopefully improved portability of the assembler code in
    Autotools based builds on Windows.

 src/liblzma/check/crc32_x86.S |    8 +++++++-
 src/liblzma/check/crc64_x86.S |    8 +++++++-
 2 files changed, 14 insertions(+), 2 deletions(-)

commit c393055947247627a09b6a6b8f20aa0c32f9be16
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-26 21:17:29 +0300

    Updated THANKS (most of today's commits are based on
    Charles Wilson's patches).

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit da0af22e4b4139b8a10710945f8b245b3a77c97d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-26 21:00:35 +0300

    Updated comments to match renamed files.

 src/xz/coder.c   |    2 +-
 src/xz/coder.h   |    2 +-
 src/xz/file_io.c |    2 +-
 src/xz/file_io.h |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 65014fd211dfbd4be48685998cb5a12aaa29c8d2
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-26 20:49:54 +0300

    Rename process.[hc] to coder.[hc] and io.[hc] to file_io.[hc]
    to avoid problems on systems with system headers with those
    names.

 dos/Makefile       |    4 +-
 src/xz/Makefile.am |    8 +-
 src/xz/coder.c     |  488 +++++++++++++++++++++++++++++++++++
 src/xz/coder.h     |   57 ++++
 src/xz/file_io.c   |  716 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/xz/file_io.h   |   86 +++++++
 src/xz/io.c        |  716 ----------------------------------------------------
 src/xz/io.h        |   86 -------
 src/xz/private.h   |    4 +-
 src/xz/process.c   |  488 -----------------------------------
 src/xz/process.h   |   57 ----
 windows/Makefile   |    4 +-
 12 files changed, 1357 insertions(+), 1357 deletions(-)

commit 5e1257466dcb66f1d7a3f71814a5ad885cba43e8
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-26 20:43:36 +0300

    Rename process_file() to coder_run().

 src/xz/main.c    |    6 +++---
 src/xz/process.c |    6 +++---
 src/xz/process.h |    5 ++---
 3 files changed, 8 insertions(+), 9 deletions(-)

commit cad62551c5fa9865dbe0841a0b3bc729c4fbe8fc
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-26 20:36:45 +0300

    Ugly hack to make it possible to use the thousand separator
    format character with snprintf() on POSIX systems but not
    on non-POSIX systems and still keep xgettext working.

 dos/Makefile     |   16 +++-------------
 src/xz/message.c |   17 +++++++++--------
 src/xz/process.c |   30 +++++++++++++++---------------
 src/xz/util.c    |   34 ++++++++++++++++++++++++++++++++++
 src/xz/util.h    |   20 ++++++++++++++++++++
 windows/Makefile |   13 +++----------
 6 files changed, 84 insertions(+), 46 deletions(-)

commit fe378d47074b16c52b00fe184d119287c68ce2e7
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-26 15:40:40 +0300

    Added missing source files to windows/Makefile.

 windows/Makefile |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 390a6408563067613b29de895cb40e4d0386d62c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-26 15:37:53 +0300

    Basic support for building with Cygwin and MinGW using
    the Autotools based build system. It's not good yet, more
    fixes will follow.

 configure.ac                  |    7 +++++++
 src/liblzma/api/lzma.h        |    7 +++++--
 src/liblzma/check/crc32_x86.S |    7 ++++---
 src/liblzma/check/crc64_x86.S |    7 ++++---
 src/liblzma/common/common.h   |    2 +-
 windows/Makefile              |   16 +++++++---------
 6 files changed, 28 insertions(+), 18 deletions(-)

commit 1c9360b7d1197457aaad2f8888b99f1149861579
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-26 14:47:31 +0300

    Fix @variables@ to $(variables) in Makefile.am files.
    Fix the ordering of libgnu.a and LTLIBINTL on the linker
    command line and added missing LTLIBINTL to tests/Makefile.am.

 debug/Makefile.am                  |   12 ++++++------
 src/liblzma/check/Makefile.am      |    4 ++--
 src/liblzma/common/Makefile.am     |   16 ++++++++--------
 src/liblzma/delta/Makefile.am      |    4 ++--
 src/liblzma/lz/Makefile.am         |    6 +++---
 src/liblzma/lzma/Makefile.am       |    8 ++++----
 src/liblzma/rangecoder/Makefile.am |    4 ++--
 src/liblzma/simple/Makefile.am     |    4 ++--
 src/liblzma/subblock/Makefile.am   |    4 ++--
 src/xz/Makefile.am                 |   21 +++++++++++----------
 src/xzdec/Makefile.am              |   19 ++++++++++---------
 tests/Makefile.am                  |   12 +++++++-----
 12 files changed, 59 insertions(+), 55 deletions(-)

commit d45615c555e250209ebb55aa3649abe790f1eeac
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-26 14:20:02 +0300

    Allow to explicitly specify autotool versions in autogen.sh.

 autogen.sh |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit eaf8367368a329afa48785380f9dca6b681f3397
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-26 14:18:32 +0300

    Add version.sh to EXTRA_DIST.

 Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit b317b218e2d383dd27a700094c0de4510540ea18
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-24 20:14:10 +0300

    Support HW_PHYSMEM64

 src/common/physmem.h |   30 +++++++++++++++++++-----------
 1 files changed, 19 insertions(+), 11 deletions(-)

commit ae82dde5d9cc60c80cc89601b6c51cc1611d48e7
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-24 13:01:59 +0300

    Cast a char argument to isspace() to unsigned char.

 src/xz/args.c |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

commit 1735d31ea347210e914df038eeea4b2626e76e42
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-05 13:46:26 +0300

    A few more spelling fixes. Released the .xz spec 1.0.3.

 doc/xz-file-format.txt |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit 8ed156ce894966103e895aa08f2a9fb912f6fad5
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-04 23:42:12 +0300

    Added xzdec man page.

 src/xzdec/Makefile.am |   11 +++
 src/xzdec/xzdec.1     |  173 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 184 insertions(+), 0 deletions(-)

commit f6df39afaa84f71439507178a49b2a5dda6e824c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-04 23:26:47 +0300

    Harmonized xzdec --memory with xz --memory and made
    minor cleanups.

 src/xzdec/xzdec.c |   74 ++++++++++++++++++++++++++++++++++++++---------------
 1 files changed, 53 insertions(+), 21 deletions(-)

commit 1774f27c61ce294a56712ca2f4785f90a62441bc
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-04 22:59:55 +0300

    Fix purporse -> purpose. Thanks to Andrew Dudman.
    Released .xz spec 1.0.2 due to this fix too.

 THANKS                    |    1 +
 doc/xz-file-format.txt    |    8 +++++---
 src/liblzma/liblzma.pc.in |    2 +-
 windows/Makefile          |    2 +-
 4 files changed, 8 insertions(+), 5 deletions(-)

commit cb613455642f48fb51059e22018615f64c59b70f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-06-01 14:53:57 +0300

    The .xz file format version 1.0.1

 doc/xz-file-format.txt |   29 ++++++++++++++++++++++-------
 1 files changed, 22 insertions(+), 7 deletions(-)

commit 083c23c680ff844846d177cfc58bb7a874e7e6b9
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-05-26 14:48:48 +0300

    Make the raw value of the Check field available to applications
    via lzma_block structure.
    
    This changes ABI but not doesn't break API.

 src/liblzma/api/lzma/block.h              |   17 ++++++++++++++
 src/liblzma/common/block_buffer_encoder.c |    1 +
 src/liblzma/common/block_decoder.c        |   34 ++++++++++++----------------
 src/liblzma/common/block_encoder.c        |   21 +++++++----------
 4 files changed, 42 insertions(+), 31 deletions(-)

commit b4f5c814090dc07d4350453576305e41eb9c998d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-05-23 16:57:21 +0300

    Remove undocumented alternative option names --bcj, --ppc,
    and --itanium.

 src/xz/args.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit b1edee2cdc7ef4411b1a21c07094ec763f071281
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-05-23 15:12:23 +0300

    Add support for specifying the BCJ filter start offset
    in the xz command line tool.

 src/xz/args.c    |   36 +++++++++++++++++++++---------------
 src/xz/message.c |   14 ++++++++------
 src/xz/options.c |   40 ++++++++++++++++++++++++++++++++++++++++
 src/xz/options.h |    7 +++++++
 4 files changed, 76 insertions(+), 21 deletions(-)

commit 72aa0e9c5f4289f10ef5bf240a9448d3017f1ceb
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-05-23 14:51:09 +0300

    Updated THANKS.

 THANKS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit dcedb6998cefeca6597dd1219328a3abf5acf66d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-05-22 16:40:50 +0300

    Added support for --quiet and --no-warn to xzdec.
    Cleaned up the --help message a little.

 src/xzdec/xzdec.c |   76 ++++++++++++++++++++++++++++++++++-------------------
 1 files changed, 49 insertions(+), 27 deletions(-)

commit 5f735dae80aa629853f4831d7b84ec1c614979eb
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-05-22 15:11:52 +0300

    Use the 40 % of RAM memory usage limit in xzdec too.
    
    Update the memory usage info text in --help to match
    the text in xz --long-help.

 src/xzdec/xzdec.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit b60376249e0c586910c4121fab4f791820cc1289
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-05-22 14:43:00 +0300

    Add --no-warn.

 src/xz/args.c    |    8 +++++++-
 src/xz/main.c    |   17 +++++++++++++++++
 src/xz/main.h    |    6 ++++++
 src/xz/message.c |    4 ++++
 4 files changed, 34 insertions(+), 1 deletions(-)

commit b4f92f522d4b854c0adb7c38be7531e1a6a7b008
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-05-22 14:27:40 +0300

    Fix a comment.

 src/xz/main.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4dd21d23f22569285ae706b58b0e5904b8db1839
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-05-22 14:21:20 +0300

    Remove the --info option, which was an alias for --list.

 src/xz/args.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 8836139b63ce774bdd62abf17ab69b290e08229e
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-05-22 12:27:43 +0300

    If xz is run as lzma, unlzma, or lzcat, simply imply
    --format=lzma. This means that xz emulating lzma
    doesn't decompress .xz files, while before this
    commit it did. The new way is slightly simpler in
    code and especially in upcoming documentation.

 src/xz/args.c |   17 ++++++-----------
 1 files changed, 6 insertions(+), 11 deletions(-)

commit b0063023f8adb06ea735ec4af5c6f5b7bdb8e84d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-05-22 11:29:50 +0300

    Make the default memory usage limit 40 % of RAM for both
    compressing and decompressing. This should be OK now that
    xz automatically scales down the compression settings if
    they would exceed the memory usage limit (earlier, the limit
    for compression was increased to 90 % because low limit broke
    scripts that used "xz -9" on systems with low RAM).
    
    Support spcifying the memory usage limit as a percentage
    of RAM (e.g. --memory=50%).
    
    Support --threads=0 to reset the thread limit to the default
    value (number of available CPU cores). Use UINT32_MAX instead
    of SIZE_MAX as the maximum in args.c. hardware.c was already
    expecting uint32_t value.
    
    Cleaned up the output of --help and --long-help.

 src/xz/args.c     |   28 +++++++++++++----
 src/xz/hardware.c |   86 ++++++++++++++++++++++------------------------------
 src/xz/hardware.h |   10 +++---
 src/xz/message.c  |   28 ++++++++---------
 src/xz/process.c  |   18 ++++-------
 5 files changed, 82 insertions(+), 88 deletions(-)

commit 071b825b23911a69dd1cd2f8cda004ef8a781fae
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-05-21 17:22:01 +0300

    Support special value "max" where xz and xzdec accept an integer.
    Don't round the memory usage limit in xzdec --help to avoid
    an integer overflow and to not give wrong impression that
    the limit is high enough when it may not actually be.

 src/xz/util.c     |    4 ++++
 src/xzdec/xzdec.c |    6 +++++-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit 03ca67fd37dd43fa7f590de340899cd497c10802
Author: ABCD <en.abcd@gmail.com>
Date:   2009-05-20 17:31:18 -0400

    Install lzdiff, lzgrep, and lzmore as symlinks
    
    This adds lzdiff, lzgrep, and lzmore to the list of symlinks to install.
    It also installs symlinks for the manual pages and removes the new
    symlinks on uninstall.

 src/scripts/Makefile.am |   16 ++++++++++++++--
 1 files changed, 14 insertions(+), 2 deletions(-)

commit a6f43e64128a6da5cd641de1e1e527433b3e5638
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-05-02 16:10:14 +0300

    Use a GCC-specific #pragma instead of GCC-specific
    -Wno-uninitialized to silence a bogus warning.

 configure.ac                  |   13 -------------
 src/liblzma/check/Makefile.am |    5 -----
 src/liblzma/check/sha256.c    |    5 +++++
 3 files changed, 5 insertions(+), 18 deletions(-)

commit f6ce63ebdb45a857c8949960c83c9580ae888951
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-05-02 14:46:50 +0300

    Removed --disable-encoder and --disable-decoder. Use the values
    given to --enable-encoders and --enable-decoders to determine
    if any encoder or decoder support is wanted.

 configure.ac |   48 ++++++++----------------------------------------
 1 files changed, 8 insertions(+), 40 deletions(-)

commit be06858d5cf8ba46557395035d821dc332f3f830
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-05-01 11:28:52 +0300

    Remove docs that are too outdated to be updated
    (rewrite will be better).

 doc/liblzma-advanced.txt |  324 ----------------------------------------------
 doc/liblzma-hacking.txt  |  112 ----------------
 doc/liblzma-intro.txt    |  194 ---------------------------
 doc/liblzma-security.txt |  219 -------------------------------
 doc/lzma-intro.txt       |  107 ---------------
 5 files changed, 0 insertions(+), 956 deletions(-)

commit 0255401e57c96af87c6b159eca28974e79430a82
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-05-01 11:21:46 +0300

    Added documentation about the legacy .lzma file format.

 doc/lzma-file-format.txt |  166 ++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 166 insertions(+), 0 deletions(-)

commit 1496ff437c46f38303e0e94c511ca604b3a11f85
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-05-01 11:20:23 +0300

    Renamed the file format specification to xz-file-format.txt
    which is the filename used on the WWW.

 doc/file-format.txt    | 1127 ------------------------------------------------
 doc/xz-file-format.txt | 1127 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1127 insertions(+), 1127 deletions(-)

commit 21c6b94373d239d7e86bd480fcd558e30391712f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-04-28 23:08:32 +0300

    Fixed a crash in liblzma.
    
    liblzma tries to avoid useless free()/malloc() pairs in
    initialization when multiple files are handled using the
    same lzma_stream. This didn't work with filter chains
    due to comparison of wrong pointers in lzma_next_coder_init(),
    making liblzma think that no memory reallocation is needed
    even when it actually is.
    
    Easy way to trigger this bug is to decompress two files with
    a single xz command. The first file should have e.g. x86+LZMA2
    as the filter chain, and the second file just LZMA2.

 src/liblzma/common/alone_decoder.c  |    2 +-
 src/liblzma/common/alone_encoder.c  |    4 ++--
 src/liblzma/common/auto_decoder.c   |    2 +-
 src/liblzma/common/block_decoder.c  |    2 +-
 src/liblzma/common/block_encoder.c  |    2 +-
 src/liblzma/common/common.h         |    4 ++--
 src/liblzma/common/easy_encoder.c   |    2 +-
 src/liblzma/common/index_decoder.c  |    2 +-
 src/liblzma/common/index_encoder.c  |    2 +-
 src/liblzma/common/stream_decoder.c |    2 +-
 src/liblzma/common/stream_encoder.c |    2 +-
 11 files changed, 13 insertions(+), 13 deletions(-)

commit e518d167aa5958e469982f4fb3a24b9b6a2b5d1c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-04-15 14:13:38 +0300

    Fix uint32_t -> size_t in ARM and ARM-Thumb filters.
    
    On 64-bit system it would have gone into infinite
    loop if a single input buffer was over 4 GiB (unlikely).

 src/liblzma/simple/arm.c      |    2 +-
 src/liblzma/simple/armthumb.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 31decdce041581e57c0d8a407d4795b114ef27ca
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-04-14 11:48:46 +0300

    Minor fixes to test files' README.

 tests/files/README |   17 +++++++++--------
 1 files changed, 9 insertions(+), 8 deletions(-)

commit 4787d654434891c7df5b43959b0d2873718f06e0
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-04-13 16:36:41 +0300

    Updated history.txt.

 doc/history.txt |  123 +++++++++++++++++++++++++++++-------------------------
 1 files changed, 66 insertions(+), 57 deletions(-)

commit 2f0bc9cd40f709152a0177c8e585c0757e9af9c9
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-04-13 14:49:48 +0300

    Quick & dirty update to support xz in diff/grep/more scripts.

 src/scripts/Makefile.am |   38 +++++++++-----
 src/scripts/lzdiff      |   67 -------------------------
 src/scripts/lzdiff.1    |   51 -------------------
 src/scripts/lzgrep      |  123 -----------------------------------------------
 src/scripts/lzgrep.1    |   61 -----------------------
 src/scripts/lzmore      |   74 ----------------------------
 src/scripts/lzmore.1    |   55 ---------------------
 src/scripts/xzdiff      |   67 +++++++++++++++++++++++++
 src/scripts/xzdiff.1    |   58 ++++++++++++++++++++++
 src/scripts/xzgrep      |  123 +++++++++++++++++++++++++++++++++++++++++++++++
 src/scripts/xzgrep.1    |   77 +++++++++++++++++++++++++++++
 src/scripts/xzmore      |   74 ++++++++++++++++++++++++++++
 src/scripts/xzmore.1    |   66 +++++++++++++++++++++++++
 13 files changed, 489 insertions(+), 445 deletions(-)

commit 02ddf09bc3079b3e17297729b9e43f14d407b8fc
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-04-13 11:27:40 +0300

    Put the interesting parts of XZ Utils into the public domain.
    Some minor documentation cleanups were made at the same time.

 COPYING                                        |   67 ++++++++++++++++++------
 ChangeLog                                      |    2 +-
 Doxyfile.in                                    |    8 ++-
 Makefile.am                                    |   13 +----
 autogen.sh                                     |    9 +++
 configure.ac                                   |   13 +----
 debug/Makefile.am                              |   13 +----
 debug/crc32.c                                  |   13 +----
 debug/full_flush.c                             |   13 +----
 debug/hex2bin.c                                |    7 +--
 debug/known_sizes.c                            |   13 +----
 debug/memusage.c                               |   13 +----
 debug/repeat.c                                 |   13 +----
 debug/sync_flush.c                             |   13 +----
 doc/faq.txt                                    |   38 +------------
 lib/Makefile.am                                |   18 +++---
 src/Makefile.am                                |   13 +----
 src/common/bswap.h                             |    7 +--
 src/common/cpucores.h                          |    7 +--
 src/common/integer.h                           |    7 +--
 src/common/mythread.h                          |    4 +-
 src/common/open_stdxxx.h                       |    7 +--
 src/common/physmem.h                           |    7 +--
 src/common/sysdefs.h                           |   13 +----
 src/liblzma/Makefile.am                        |   13 +----
 src/liblzma/api/Makefile.am                    |   13 +----
 src/liblzma/api/lzma.h                         |   38 ++++++++-----
 src/liblzma/api/lzma/base.h                    |   20 +++----
 src/liblzma/api/lzma/bcj.h                     |   18 +++----
 src/liblzma/api/lzma/block.h                   |   18 +++----
 src/liblzma/api/lzma/check.h                   |   18 +++----
 src/liblzma/api/lzma/container.h               |   18 +++----
 src/liblzma/api/lzma/delta.h                   |   18 +++----
 src/liblzma/api/lzma/filter.h                  |   18 +++----
 src/liblzma/api/lzma/index.h                   |   18 +++----
 src/liblzma/api/lzma/index_hash.h              |   22 +++-----
 src/liblzma/api/lzma/lzma.h                    |   18 +++----
 src/liblzma/api/lzma/stream_flags.h            |   18 +++----
 src/liblzma/api/lzma/subblock.h                |   18 +++----
 src/liblzma/api/lzma/version.h                 |   18 +++----
 src/liblzma/api/lzma/vli.h                     |   42 +++++++--------
 src/liblzma/check/Makefile.am                  |    8 +--
 src/liblzma/check/check.c                      |    7 +--
 src/liblzma/check/check.h                      |    7 +--
 src/liblzma/check/crc32_fast.c                 |   30 ++++------
 src/liblzma/check/crc32_small.c                |    7 +--
 src/liblzma/check/crc32_table.c                |    7 +--
 src/liblzma/check/crc32_tablegen.c             |    7 +--
 src/liblzma/check/crc32_x86.S                  |   21 +++++---
 src/liblzma/check/crc64_fast.c                 |   20 +++----
 src/liblzma/check/crc64_small.c                |    7 +--
 src/liblzma/check/crc64_table.c                |    7 +--
 src/liblzma/check/crc64_tablegen.c             |    7 +--
 src/liblzma/check/crc64_x86.S                  |   14 +++--
 src/liblzma/check/crc_macros.h                 |    9 ++--
 src/liblzma/check/sha256.c                     |   23 +++++---
 src/liblzma/common/Makefile.am                 |   13 +----
 src/liblzma/common/alone_decoder.c             |   13 +----
 src/liblzma/common/alone_decoder.h             |   13 +----
 src/liblzma/common/alone_encoder.c             |   13 +----
 src/liblzma/common/auto_decoder.c              |   13 +----
 src/liblzma/common/block_buffer_decoder.c      |   13 +----
 src/liblzma/common/block_buffer_encoder.c      |   13 +----
 src/liblzma/common/block_decoder.c             |   13 +----
 src/liblzma/common/block_decoder.h             |   13 +----
 src/liblzma/common/block_encoder.c             |   13 +----
 src/liblzma/common/block_encoder.h             |   13 +----
 src/liblzma/common/block_header_decoder.c      |   13 +----
 src/liblzma/common/block_header_encoder.c      |   13 +----
 src/liblzma/common/block_util.c                |   13 +----
 src/liblzma/common/bsr.h                       |    7 +--
 src/liblzma/common/chunk_size.c                |   13 +----
 src/liblzma/common/common.c                    |   13 +----
 src/liblzma/common/common.h                    |   13 +----
 src/liblzma/common/easy_buffer_encoder.c       |   13 +----
 src/liblzma/common/easy_decoder_memusage.c     |   13 +----
 src/liblzma/common/easy_encoder.c              |   13 +----
 src/liblzma/common/easy_encoder_memusage.c     |   13 +----
 src/liblzma/common/easy_preset.c               |   13 +----
 src/liblzma/common/easy_preset.h               |   13 +----
 src/liblzma/common/filter_buffer_decoder.c     |   13 +----
 src/liblzma/common/filter_buffer_encoder.c     |   13 +----
 src/liblzma/common/filter_common.c             |   13 +----
 src/liblzma/common/filter_common.h             |   13 +----
 src/liblzma/common/filter_decoder.c            |   13 +----
 src/liblzma/common/filter_decoder.h            |   13 +----
 src/liblzma/common/filter_encoder.c            |   13 +----
 src/liblzma/common/filter_encoder.h            |   13 +----
 src/liblzma/common/filter_flags_decoder.c      |   13 +----
 src/liblzma/common/filter_flags_encoder.c      |   13 +----
 src/liblzma/common/index.c                     |   13 +----
 src/liblzma/common/index.h                     |   13 +----
 src/liblzma/common/index_decoder.c             |   13 +----
 src/liblzma/common/index_encoder.c             |   13 +----
 src/liblzma/common/index_encoder.h             |   13 +----
 src/liblzma/common/index_hash.c                |   13 +----
 src/liblzma/common/stream_buffer_decoder.c     |   13 +----
 src/liblzma/common/stream_buffer_encoder.c     |   13 +----
 src/liblzma/common/stream_decoder.c            |   13 +----
 src/liblzma/common/stream_decoder.h            |   13 +----
 src/liblzma/common/stream_encoder.c            |   13 +----
 src/liblzma/common/stream_encoder.h            |   13 +----
 src/liblzma/common/stream_flags_common.c       |   13 +----
 src/liblzma/common/stream_flags_common.h       |   13 +----
 src/liblzma/common/stream_flags_decoder.c      |   13 +----
 src/liblzma/common/stream_flags_encoder.c      |   13 +----
 src/liblzma/common/vli_decoder.c               |   13 +----
 src/liblzma/common/vli_encoder.c               |   13 +----
 src/liblzma/common/vli_size.c                  |   13 +----
 src/liblzma/delta/Makefile.am                  |   13 +----
 src/liblzma/delta/delta_common.c               |   13 +----
 src/liblzma/delta/delta_common.h               |   13 +----
 src/liblzma/delta/delta_decoder.c              |   13 +----
 src/liblzma/delta/delta_decoder.h              |   13 +----
 src/liblzma/delta/delta_encoder.c              |   13 +----
 src/liblzma/delta/delta_encoder.h              |   13 +----
 src/liblzma/delta/delta_private.h              |   13 +----
 src/liblzma/lz/Makefile.am                     |   13 +----
 src/liblzma/lz/lz_decoder.c                    |   17 ++----
 src/liblzma/lz/lz_decoder.h                    |   17 ++----
 src/liblzma/lz/lz_encoder.c                    |   17 ++----
 src/liblzma/lz/lz_encoder.h                    |   17 ++----
 src/liblzma/lz/lz_encoder_hash.h               |   13 +----
 src/liblzma/lz/lz_encoder_mf.c                 |   17 ++----
 src/liblzma/lzma/Makefile.am                   |   13 +----
 src/liblzma/lzma/fastpos.h                     |   17 ++----
 src/liblzma/lzma/fastpos_tablegen.c            |   17 ++----
 src/liblzma/lzma/lzma2_decoder.c               |   17 ++----
 src/liblzma/lzma/lzma2_decoder.h               |   17 ++----
 src/liblzma/lzma/lzma2_encoder.c               |   17 ++----
 src/liblzma/lzma/lzma2_encoder.h               |   17 ++----
 src/liblzma/lzma/lzma_common.h                 |   17 ++----
 src/liblzma/lzma/lzma_decoder.c                |   17 ++----
 src/liblzma/lzma/lzma_decoder.h                |   17 ++----
 src/liblzma/lzma/lzma_encoder.c                |   17 ++----
 src/liblzma/lzma/lzma_encoder.h                |   17 ++----
 src/liblzma/lzma/lzma_encoder_optimum_fast.c   |   13 +----
 src/liblzma/lzma/lzma_encoder_optimum_normal.c |   13 +----
 src/liblzma/lzma/lzma_encoder_presets.c        |   13 +----
 src/liblzma/lzma/lzma_encoder_private.h        |   17 ++----
 src/liblzma/rangecoder/Makefile.am             |   13 +----
 src/liblzma/rangecoder/price.h                 |   13 +----
 src/liblzma/rangecoder/price_tablegen.c        |   16 ++----
 src/liblzma/rangecoder/range_common.h          |   17 ++----
 src/liblzma/rangecoder/range_decoder.h         |   17 ++----
 src/liblzma/rangecoder/range_encoder.h         |   17 ++----
 src/liblzma/simple/Makefile.am                 |   13 +----
 src/liblzma/simple/arm.c                       |   17 ++----
 src/liblzma/simple/armthumb.c                  |   17 ++----
 src/liblzma/simple/ia64.c                      |   17 ++----
 src/liblzma/simple/powerpc.c                   |   17 ++----
 src/liblzma/simple/simple_coder.c              |   13 +----
 src/liblzma/simple/simple_coder.h              |   14 +----
 src/liblzma/simple/simple_decoder.c            |   13 +----
 src/liblzma/simple/simple_decoder.h            |   13 +----
 src/liblzma/simple/simple_encoder.c            |   13 +----
 src/liblzma/simple/simple_encoder.h            |   13 +----
 src/liblzma/simple/simple_private.h            |   13 +----
 src/liblzma/simple/sparc.c                     |   17 ++----
 src/liblzma/simple/x86.c                       |   17 ++----
 src/liblzma/subblock/Makefile.am               |   13 +----
 src/liblzma/subblock/subblock_decoder.c        |   13 +----
 src/liblzma/subblock/subblock_decoder.h        |   13 +----
 src/liblzma/subblock/subblock_decoder_helper.c |   13 +----
 src/liblzma/subblock/subblock_decoder_helper.h |   13 +----
 src/liblzma/subblock/subblock_encoder.c        |   13 +----
 src/liblzma/subblock/subblock_encoder.h        |   13 +----
 src/scripts/Makefile.am                        |    7 +++
 src/xz/Makefile.am                             |   13 +----
 src/xz/args.c                                  |   13 +----
 src/xz/args.h                                  |   13 +----
 src/xz/hardware.c                              |   13 +----
 src/xz/hardware.h                              |   13 +----
 src/xz/io.c                                    |   13 +----
 src/xz/io.h                                    |   13 +----
 src/xz/list.c                                  |   13 +----
 src/xz/main.c                                  |   13 +----
 src/xz/main.h                                  |   13 +----
 src/xz/message.c                               |   13 +----
 src/xz/message.h                               |   13 +----
 src/xz/options.c                               |   13 +----
 src/xz/options.h                               |   13 +----
 src/xz/private.h                               |   13 +----
 src/xz/process.c                               |   13 +----
 src/xz/process.h                               |   13 +----
 src/xz/signals.c                               |   13 +----
 src/xz/signals.h                               |   13 +----
 src/xz/suffix.c                                |   13 +----
 src/xz/suffix.h                                |   13 +----
 src/xz/util.c                                  |   13 +----
 src/xz/util.h                                  |   13 +----
 src/xzdec/Makefile.am                          |   13 +----
 src/xzdec/xzdec.c                              |   13 +----
 tests/Makefile.am                              |   13 +----
 tests/bcj_test.c                               |    7 +--
 tests/create_compress_files.c                  |   13 +----
 tests/test_block.c                             |   13 +----
 tests/test_block_header.c                      |   13 +----
 tests/test_check.c                             |   13 +----
 tests/test_compress.sh                         |   13 +----
 tests/test_files.sh                            |   13 +----
 tests/test_filter_flags.c                      |   13 +----
 tests/test_index.c                             |   13 +----
 tests/test_stream_flags.c                      |   13 +----
 tests/tests.h                                  |   13 +----
 windows/common.rc                              |    2 +-
 206 files changed, 866 insertions(+), 2021 deletions(-)

commit e79c42d854657ae7f75613bd80c1a35ff7c525cb
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-04-10 11:17:02 +0300

    Fix off-by-one in LZ decoder.
    
    Fortunately, this bug had no security risk other than accepting
    some corrupt files as valid.

 src/liblzma/lz/lz_decoder.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 94eb9ad46f1fded6d8369cf3d38bb9754c1375af
Author: Pavel Roskin <proski@gnu.org>
Date:   2009-03-31 12:15:01 -0400

    Fix minor typos in README

 README |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 9bab5336ebd765ec4e12252f416eefdf04eba750
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-03-31 21:52:51 +0300

    Add a note and work-around instructions to README about
    problems detecting a C99 compiler when some standard
    headers are missing.

 README |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit a0497ff7a06f9350349264fe9b52dfefc6d53ead
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-03-18 16:54:38 +0200

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 390e69887fc5e0a108eb41203bed9acd100a3d76
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-03-18 16:51:41 +0200

    Fix wrong macro names in lc_cpucores.m4 and cpucores.h.
    Thanks to Bert Wesarg.

 m4/lc_cpucores.m4     |    4 ++--
 src/common/cpucores.h |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 0df9299e2478c2a0c62c05b1ae14a85a353e20d6
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-03-01 09:03:08 +0200

    Test for Linux-specific sysinfo() only on Linux systems.
    Some other systems have sysinfo() with different semantics.

 m4/lc_physmem.m4 |   28 +++++++++++++++++++---------
 1 files changed, 19 insertions(+), 9 deletions(-)

commit cf751edfde3ad6e088dc18e0522d31ae38405933
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-03-01 09:00:06 +0200

    Added AC_CONFIG_MACRO_DIR to configure.ac.

 configure.ac |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 63df14c57dee7c461717784287056688482a7eb9
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-03-01 08:58:41 +0200

    Fix the Autoconf test for getopt_long replacement.
    It was broken by e114502b2bc371e4a45449832cb69be036360722.

 m4/getopt.m4 |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit fd6a380f4eda4f00be5f2aa8d222992cd74a714f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-22 19:07:54 +0200

    Add a rough explanation of --extreme to output of --help.

 src/xz/message.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 68bf7ac2984d3627369a240ef0491934d53f7899
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-22 18:52:49 +0200

    Fixes to progress message handling in xz:
    
      - Don't use Windows-specific code on Windows. The old code
        required at least Windows 2000. Now it should work on
        Windows 98 and later, and maybe on Windows 95 too.
    
      - Use less precision when showing estimated remaining time.
    
      - Fix some small design issues.

 src/xz/message.c |  483 ++++++++++++++++++++++++++++++++++--------------------
 src/xz/message.h |   28 ++-
 src/xz/process.c |   53 +++---
 3 files changed, 351 insertions(+), 213 deletions(-)

commit 47c2e21f82242f50f18713a27d644c2c94ab3fea
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-18 13:00:10 +0200

    Added files missing from the previous commit.

 src/liblzma/api/lzma/container.h |   33 +++++++++++++++++++++++++++++++++
 src/liblzma/common/Makefile.am   |    7 ++++++-
 2 files changed, 39 insertions(+), 1 deletions(-)

commit 489a3dbaa0465f04400804e956a1cfbbee3654a2
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-17 10:43:00 +0200

    Added lzma_easy_buffer_encode(). Splitted easy.c into small
    pieces to avoid unneeded dependencies making statically
    linked applications bigger than needed.

 dos/Makefile                               |    6 +-
 src/liblzma/common/easy.c                  |  128 ----------------------------
 src/liblzma/common/easy_buffer_encoder.c   |   34 ++++++++
 src/liblzma/common/easy_decoder_memusage.c |   31 +++++++
 src/liblzma/common/easy_encoder.c          |   87 +++++++++++++++++++
 src/liblzma/common/easy_encoder_memusage.c |   31 +++++++
 src/liblzma/common/easy_preset.c           |   34 ++++++++
 src/liblzma/common/easy_preset.h           |   39 +++++++++
 windows/Makefile                           |    6 +-
 9 files changed, 266 insertions(+), 130 deletions(-)

commit 7494816ab08d82f4d6409788825930c4e43cfd0d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-15 15:48:45 +0200

    Make physmem.h work on old Windows versions.
    Thanks to Hongbo Ni for the original patch.

 src/common/physmem.h |   31 +++++++++++++++++++++++++++----
 1 files changed, 27 insertions(+), 4 deletions(-)

commit 11ae4ae35fd70182c713f2d914b7cb1143bc76f0
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-14 20:44:52 +0200

    Fix microsecond vs. nanosecond confusion in my_time().

 src/xz/message.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3084d662d2646ab7eb58daf0dc32cf3f9a74eec7
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-14 00:45:29 +0200

    Cleanups to the code that detects the amount of RAM and
    the number of CPU cores. Added support for using sysinfo()
    on Linux systems whose libc lacks appropriate sysconf()
    support (at least dietlibc). The Autoconf macros were
    split into separate files, and CPU core count detection
    was moved from hardware.c to cpucores.h. The core count
    isn't used for anything real for now, so a problematic
    part in process.c was commented out.

 configure.ac          |   89 +-----------------------------------------------
 m4/lc_cpucores.m4     |   57 +++++++++++++++++++++++++++++++
 m4/lc_physmem.m4      |   74 ++++++++++++++++++++++++++++++++++++++++
 src/common/cpucores.h |   52 ++++++++++++++++++++++++++++
 src/common/physmem.h  |   21 +++++++----
 src/xz/args.c         |    4 +-
 src/xz/hardware.c     |   50 ++++++++++++---------------
 src/xz/hardware.h     |   11 ++++--
 src/xz/message.c      |    5 ++-
 src/xz/process.c      |    2 +
 10 files changed, 235 insertions(+), 130 deletions(-)

commit 9c62371eab2706c46b1072f5935e28cb4cd9dca8
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-13 18:23:50 +0200

    Initial port to DOS using DJGPP.

 dos/Makefile |  261 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 dos/README   |  113 +++++++++++++++++++++++++
 dos/config.h |  150 +++++++++++++++++++++++++++++++++
 3 files changed, 524 insertions(+), 0 deletions(-)

commit 0dae8b7751d09e9c5a482d5519daaee4800ce203
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-13 18:02:05 +0200

    Windows port: Take advantage of the version number macros.
    Now the version number is not duplicated in the
    Windows-specific files anymore.

 windows/Makefile  |    2 +-
 windows/common.rc |   16 ++++++++--------
 windows/config.h  |   15 ---------------
 3 files changed, 9 insertions(+), 24 deletions(-)

commit fdbc0cfa71f7d660855098a609175ba384259529
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-13 18:00:03 +0200

    Changed how the version number is specified in various places.
    Now configure.ac will get the version number directly from
    src/liblzma/api/lzma/version.h. The intent is to reduce the
    number of places where the version number is duplicated. In
    future, support for displaying Git commit ID may be added too.

 configure.ac                   |    3 +-
 src/liblzma/api/lzma/version.h |   70 ++++++++++++++++++++++++++++++++++++++--
 src/liblzma/common/common.c    |    2 +-
 src/xz/message.c               |    2 +-
 src/xzdec/xzdec.c              |    2 +-
 version.sh                     |   23 +++++++++++++
 6 files changed, 95 insertions(+), 7 deletions(-)

commit 1d924e584b146136989f48c13fff2632896efb3d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-13 17:30:30 +0200

    Fix handling of integrity check type in the xz command line tool.

 src/xz/args.c    |    9 ++++++++-
 src/xz/process.c |    4 ++++
 2 files changed, 12 insertions(+), 1 deletions(-)

commit 96c46df7deb231ea68a03d8d1da9de4c774e36d8
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-13 17:29:02 +0200

    Improve support for DOS-like systems.
    Here DOS-like means DOS, Windows, and OS/2.

 src/common/physmem.h          |   12 ++++++++++++
 src/common/sysdefs.h          |    4 ++++
 src/liblzma/check/crc32_x86.S |    6 +++---
 src/liblzma/check/crc64_x86.S |    6 +++---
 src/xz/args.c                 |   13 +++++--------
 src/xz/io.c                   |   39 +++++++++++++++++++++++++--------------
 src/xz/main.c                 |   23 +++++++++++++++++++++++
 src/xz/message.c              |    3 +++
 src/xz/suffix.c               |    5 +++++
 src/xzdec/xzdec.c             |    5 +++--
 10 files changed, 86 insertions(+), 30 deletions(-)

commit b6a30ee8c2de60ecd722cd05223e4ba72f822e33
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-11 20:02:32 +0200

    Remove dead directories from .gitignore.

 .gitignore |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 1ec5b0027911d94cb6f98892cbc690f818d8a861
Author: Jim Meyering <jim@meyering.net>
Date:   2009-02-11 14:45:14 +0100

    .gitignore vs. Makefiles
    
    How about this for those of us who do srcdir builds?

 .gitignore |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

commit 154f5aec2de201c674841de4fcc9804c2a87af07
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-10 21:48:35 +0200

    Removed Makefile from .gitignore since not all Makefiles
    in the repository are generated by Autotools. People
    should do test builds in a separate build directory anyway.

 .gitignore |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit e605c2663691b0a4c307786aa368d124ea081daa
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-10 21:48:05 +0200

    Added resource files for the Windows build.

 windows/Makefile   |   37 ++++++++++++++++++++++---------------
 windows/common.rc  |   46 ++++++++++++++++++++++++++++++++++++++++++++++
 windows/liblzma.rc |    5 +++++
 windows/lzmadec.rc |    5 +++++
 windows/xz.rc      |    5 +++++
 windows/xzdec.rc   |    5 +++++
 6 files changed, 88 insertions(+), 15 deletions(-)

commit a3bbbe05d32b1f7ea9eb98805df4dda2e811b476
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-09 14:54:31 +0200

    Let the user specify custom CFLAGS on the make command
    line. Previously custom CFLAGS worked only when they were
    passed to configure.

 configure.ac                  |   58 +++++++++++++++++++++-------------------
 src/liblzma/check/Makefile.am |    2 +-
 2 files changed, 31 insertions(+), 29 deletions(-)

commit 53f7598998b1860a69c51243b5d2e34623c6bf60
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-08 21:35:11 +0200

    Fix aliasing issue in physmem.h.

 src/common/physmem.h |   19 ++++++++++---------
 1 files changed, 10 insertions(+), 9 deletions(-)

commit 0e27028d74c5c7a8e036ae2a9b8cecb0ac79d3a6
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-08 18:24:50 +0200

    Add a separate internal function to initialize the CRC32
    table, which is used also by LZ encoder. This was needed
    because calling lzma_crc32() and ignoring the result is
    a no-op due to lzma_attr_pure.

 src/liblzma/check/check.h       |    1 +
 src/liblzma/check/crc32_small.c |   10 +++++++++-
 src/liblzma/lz/lz_encoder.c     |    4 ++--
 3 files changed, 12 insertions(+), 3 deletions(-)

commit ae1ad9af54210c9a2be336b1316532da5071516c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-08 18:17:05 +0200

    Make "xz --force" to write to terminal as the error
    message suggests.

 src/xz/main.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 79e25eded48d2fe33f31441ab7a034f902e335f8
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-08 10:37:50 +0200

    Support both slash and backslash as path component
    separator on Windows when parsing argv[0].

 src/xz/args.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit bc7c7109cc4410055a888c1c70cbd1c9445c4361
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-07 23:18:13 +0200

    Omit the wrong and (even if corrected) nowadays useless rm
    from autogen.sh.

 autogen.sh |   28 ----------------------------
 1 files changed, 0 insertions(+), 28 deletions(-)

commit edfc2031e56f8a2ccda063f02936b3a848d88723
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-07 21:41:52 +0200

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 880c3309386aac58fc4f3d7ca99bd31bcb1526a3
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-07 21:17:07 +0200

    Make it easy to choose if command line tools should be
    linked statically or dynamically against liblzma. The
    default is still to use static liblzma, but it can now
    be changed by passing --enable-dynamic to configure.
    Thanks to Mike Frysinger for the original patch.
    
    Fixed a few minor bugs in configure.ac.

 configure.ac          |   39 +++++++++++++++++++++++++++++++++++++++
 src/xz/Makefile.am    |    8 +++-----
 src/xzdec/Makefile.am |    5 +++--
 3 files changed, 45 insertions(+), 7 deletions(-)

commit 3f86532407e4ace3debb62be16035e009b56ca36
Author: Mike Frysinger <vapier@gentoo.org>
Date:   2009-02-06 23:38:39 -0500

    add gitignore files
    
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

 .gitignore    |   32 ++++++++++++++++++++++++++++++++
 m4/.gitignore |   35 +++++++++++++++++++++++++++++++++++
 po/.gitignore |   12 ++++++++++++
 3 files changed, 79 insertions(+), 0 deletions(-)

commit bd7ca1dad5c146b6217799ffaa230c32d207a3e5
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-07 17:07:52 +0200

    Assume 32 MiB of RAM on unsupported operating systems like
    the comment in hardware.c already said.

 src/xz/hardware.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d0ab8c1c73ae712adb0d26fbb9da762d99a63618
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-07 16:26:58 +0200

    MinGW support: Don't build fastpos_tablegen.c as part of
    liblzma. Build both static and dynamic liblzma, and also
    static and dynamic versions of the command line tools.

 windows/Makefile |   92 ++++++++++++++++++++++++++++++++++++++++-------------
 windows/README   |   10 ------
 2 files changed, 69 insertions(+), 33 deletions(-)

commit bfd91198e44a52bd9bfe3cd6dcae5edab7c6eb45
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-07 15:55:47 +0200

    Support LZMA_API_STATIC in assembler files to
    avoid __declspec(dllexport) equivalent.

 src/liblzma/check/crc32_x86.S |    4 ++++
 src/liblzma/check/crc64_x86.S |    2 ++
 2 files changed, 6 insertions(+), 0 deletions(-)

commit 3306cf3883492720b3c34baa02f4eb4227d91c73
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-07 11:11:50 +0200

    Introduced LZMA_API_STATIC macro, which the applications
    need to #define when linking against static liblzma on
    platforms like Windows. Most developers don't need to
    care about LZMA_API_STATIC at all.

 src/liblzma/api/lzma.h      |   31 ++++++++++++++++++++++++-------
 src/liblzma/common/common.h |    2 +-
 2 files changed, 25 insertions(+), 8 deletions(-)

commit b719e63c5f4c91d2d5e2ea585d4c055ec3767d0b
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-06 16:55:45 +0200

    Another grammar fix

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fe5434f940f75fec3611cf9d9edf78c4da8ac760
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-06 12:30:23 +0200

    Grammar fix in README.

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3dfa58a9eedf5a0e566452b078801c9cbcf7a245
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-06 10:06:32 +0200

    Some MSYS installations (e.g. MsysGit) don't include
    install.exe, so don't rely on it.

 windows/Makefile |   12 +++++++-----
 windows/README   |   11 ++++++-----
 2 files changed, 13 insertions(+), 10 deletions(-)

commit 975d8fd72a5148d46b2e1745f7a211cf1dfd9d31
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-06 09:13:15 +0200

    Recreated the BCJ test files for x86 and SPARC. The old files
    were linked with crt*.o, which are copyrighted, and thus the
    old test files were not in the public domain as a whole. They
    are freely distributable though, but it is better to be careful
    and avoid including any copyrighted pieces in the test files.
    The new files are just compiled and assembled object files,
    and thus don't contain any copyrighted code.

 tests/bcj_test.c                  |    2 +-
 tests/compress_prepared_bcj_sparc |  Bin 6804 -> 1240 bytes
 tests/compress_prepared_bcj_x86   |  Bin 4649 -> 1388 bytes
 tests/files/good-1-sparc-lzma2.xz |  Bin 2296 -> 612 bytes
 tests/files/good-1-x86-lzma2.xz   |  Bin 1936 -> 716 bytes
 5 files changed, 1 insertions(+), 1 deletions(-)

commit 094b1b09a531f0d201ec81f2b07346a995fd80b9
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-05 21:21:27 +0200

    Add the "windows" directory to EXTRA_DIST.

 Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit e1c3412eec7acec7ca3b32c9c828f3147dc65b49
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-05 09:17:51 +0200

    Added initial experimental makefile for use with MinGW.

 windows/Makefile |  253 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 windows/README   |  164 +++++++++++++++++++++++++++++++++++
 windows/config.h |  180 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 597 insertions(+), 0 deletions(-)

commit 75905a9afc0ee89954ede7d08af70d1148bf0fd9
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-05 09:12:57 +0200

    Various code cleanups the the xz command line tool.
    It now builds with MinGW.

 src/common/physmem.h |   13 ++++
 src/xz/Makefile.am   |    2 +
 src/xz/args.h        |    8 --
 src/xz/hardware.h    |   10 +---
 src/xz/io.c          |   93 +++++++++++++++++++-------
 src/xz/io.h          |   12 +--
 src/xz/main.c        |  132 ++-----------------------------------
 src/xz/main.h        |   22 ------
 src/xz/message.c     |   65 ++++++++++++++++--
 src/xz/message.h     |    6 --
 src/xz/options.h     |    8 --
 src/xz/private.h     |   18 ++++--
 src/xz/process.h     |   10 +---
 src/xz/signals.c     |  180 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/xz/signals.h     |   51 ++++++++++++++
 src/xz/suffix.h      |    5 --
 src/xz/util.c        |    5 +-
 src/xz/util.h        |    5 --
 18 files changed, 399 insertions(+), 246 deletions(-)

commit d0c0b9e94e0af59d1d8f7f4829695d6efe19ccfe
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-03 12:15:17 +0200

    Another utime() fix.

 src/xz/io.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit ccf92a29e8c7234284f1568c1ec0fd7cb98356ca
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-03 10:41:11 +0200

    Fix wrong filename argument for utime() and utimes().
    This doesn't affect most systems, since most systems
    have better functions available.

 src/xz/io.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 99c1c2abfae2e87f3c17e929783e6d1bb7a3f302
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-02 21:19:01 +0200

    Updated the x86 assembler code:
      - Use call/ret pair to get instruction pointer for PIC.
      - Use PIC only if PIC or __PIC__ is #defined.
      - The code should work on MinGW and Darwin in addition
        to GNU/Linux and Solaris.

 configure.ac                  |    6 ---
 src/liblzma/check/crc32_x86.S |   84 +++++++++++++++++++++++++++++++++++------
 src/liblzma/check/crc64_x86.S |   82 +++++++++++++++++++++++++++++++++++-----
 3 files changed, 144 insertions(+), 28 deletions(-)

commit 22a0c6dd940b78cdac2f4a4b4b0e7cc0ac15021f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-02 20:14:03 +0200

    Modify LZMA_API macro so that it works on Windows with
    other compilers than MinGW. This may hurt readability
    of the API headers slightly, but I don't know any
    better way to do this.

 src/liblzma/api/lzma.h                     |    6 ++--
 src/liblzma/api/lzma/base.h                |   11 ++++---
 src/liblzma/api/lzma/block.h               |   22 +++++++-------
 src/liblzma/api/lzma/check.h               |   10 +++---
 src/liblzma/api/lzma/container.h           |   22 +++++++-------
 src/liblzma/api/lzma/filter.h              |   28 ++++++++++----------
 src/liblzma/api/lzma/index.h               |   40 ++++++++++++++--------------
 src/liblzma/api/lzma/index_hash.h          |   10 +++---
 src/liblzma/api/lzma/lzma.h                |    6 ++--
 src/liblzma/api/lzma/stream_flags.h        |   10 +++---
 src/liblzma/api/lzma/version.h             |    4 +-
 src/liblzma/api/lzma/vli.h                 |    6 ++--
 src/liblzma/check/check.c                  |    4 +-
 src/liblzma/check/crc32_fast.c             |    2 +-
 src/liblzma/check/crc32_small.c            |    2 +-
 src/liblzma/check/crc64_fast.c             |    2 +-
 src/liblzma/check/crc64_small.c            |    2 +-
 src/liblzma/common/alone_decoder.c         |    2 +-
 src/liblzma/common/alone_encoder.c         |    2 +-
 src/liblzma/common/auto_decoder.c          |    2 +-
 src/liblzma/common/block_buffer_decoder.c  |    2 +-
 src/liblzma/common/block_buffer_encoder.c  |    4 +-
 src/liblzma/common/block_decoder.c         |    2 +-
 src/liblzma/common/block_encoder.c         |    2 +-
 src/liblzma/common/block_header_decoder.c  |    2 +-
 src/liblzma/common/block_header_encoder.c  |    4 +-
 src/liblzma/common/block_util.c            |    6 ++--
 src/liblzma/common/chunk_size.c            |    2 +-
 src/liblzma/common/common.c                |   16 +++++-----
 src/liblzma/common/common.h                |    2 +-
 src/liblzma/common/easy.c                  |    6 ++--
 src/liblzma/common/filter_buffer_decoder.c |    2 +-
 src/liblzma/common/filter_buffer_encoder.c |    2 +-
 src/liblzma/common/filter_decoder.c        |    8 +++---
 src/liblzma/common/filter_encoder.c        |   12 ++++----
 src/liblzma/common/filter_flags_decoder.c  |    2 +-
 src/liblzma/common/filter_flags_encoder.c  |    4 +-
 src/liblzma/common/index.c                 |   32 +++++++++++-----------
 src/liblzma/common/index_decoder.c         |    4 +-
 src/liblzma/common/index_encoder.c         |    4 +-
 src/liblzma/common/index_hash.c            |   10 +++---
 src/liblzma/common/stream_buffer_decoder.c |    2 +-
 src/liblzma/common/stream_buffer_encoder.c |    4 +-
 src/liblzma/common/stream_decoder.c        |    2 +-
 src/liblzma/common/stream_encoder.c        |    2 +-
 src/liblzma/common/stream_flags_common.c   |    2 +-
 src/liblzma/common/stream_flags_decoder.c  |    4 +-
 src/liblzma/common/stream_flags_encoder.c  |    4 +-
 src/liblzma/common/vli_decoder.c           |    2 +-
 src/liblzma/common/vli_encoder.c           |    2 +-
 src/liblzma/common/vli_size.c              |    2 +-
 src/liblzma/lz/lz_encoder.c                |    2 +-
 src/liblzma/lzma/lzma_encoder.c            |    2 +-
 src/liblzma/lzma/lzma_encoder_presets.c    |    2 +-
 54 files changed, 177 insertions(+), 176 deletions(-)

commit 8dd7b6052e18621e2e6c62f40f762ee88bd3eb65
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-01 22:40:35 +0200

    Fix a bug in lzma_block_buffer_decode(), although this
    function should be rewritten anyway.

 src/liblzma/common/block_buffer_decoder.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 55fd41431e61fb8178858283d636b6781e33e847
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-01 22:39:07 +0200

    Added initial version of raw buffer-to-buffer coding
    functions, and cleaned up filter.h API header a little.
    May be very buggy, not tested yet.

 src/liblzma/api/lzma/filter.h              |   84 +++++++++++++++++++------
 src/liblzma/common/Makefile.am             |    2 +
 src/liblzma/common/filter_buffer_decoder.c |   94 ++++++++++++++++++++++++++++
 src/liblzma/common/filter_buffer_encoder.c |   61 ++++++++++++++++++
 4 files changed, 221 insertions(+), 20 deletions(-)

commit 3e54ecee5cad30a5ca361a88a99230407abc0699
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-01 00:11:20 +0200

    Fix missing newlines in xzdec.c.

 src/xzdec/xzdec.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit d64ca34f1b6f34e86adefc7f735b4eff8e6d4a35
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-02-01 00:10:07 +0200

    Use __cdecl also for function pointers in liblzma API when
    on Windows.

 src/liblzma/api/lzma.h      |   18 +++++++++++-------
 src/liblzma/api/lzma/base.h |    4 ++--
 src/liblzma/common/common.h |   18 +++++++-----------
 3 files changed, 20 insertions(+), 20 deletions(-)

commit 6a2eb54092fc625d59921a607ff68cd1a90aa898
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-31 11:01:48 +0200

    Add LZMA_API to liblzma API headers. It's useful at least
    on Windows. sysdefs.h no longer #includes lzma.h, so lzma.h
    has to be #included separately where needed.

 src/common/sysdefs.h                |    2 -
 src/liblzma/api/lzma.h              |   17 ++++++++++++
 src/liblzma/api/lzma/base.h         |   10 +++---
 src/liblzma/api/lzma/block.h        |   25 ++++++++++--------
 src/liblzma/api/lzma/check.h        |   12 +++++---
 src/liblzma/api/lzma/container.h    |   23 +++++++++--------
 src/liblzma/api/lzma/filter.h       |   24 +++++++++---------
 src/liblzma/api/lzma/index.h        |   47 ++++++++++++++++++++---------------
 src/liblzma/api/lzma/index_hash.h   |   11 ++++---
 src/liblzma/api/lzma/lzma.h         |    8 +++--
 src/liblzma/api/lzma/stream_flags.h |   10 +++---
 src/liblzma/api/lzma/version.h      |    4 +-
 src/liblzma/api/lzma/vli.h          |   10 +++---
 src/liblzma/common/common.h         |   13 ++++++++-
 src/xz/private.h                    |    1 +
 src/xzdec/xzdec.c                   |    1 +
 tests/tests.h                       |    1 +
 17 files changed, 131 insertions(+), 88 deletions(-)

commit d9993fcb4dfc1f93abaf31ae23b3ef1f3123892b
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-31 10:13:09 +0200

    Use _WIN32 instead of WIN32 in xzdec.c to test if compiling on Windows.

 src/xzdec/xzdec.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2dbdc5befb33c3703e4609809101047c67caf343
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-31 10:02:52 +0200

    Fix two lines in lzma.h on which the # wasn't at the
    beginning of the line.

 src/liblzma/api/lzma.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4ab760109106dc04f39dd81c97d50f528d1b51c1
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-31 09:55:05 +0200

    Add support for using liblzma headers in MSVC, which has no
    stdint.h or inttypes.h.

 src/liblzma/api/lzma.h |   70 +++++++++++++++++++++++++++++++----------------
 1 files changed, 46 insertions(+), 24 deletions(-)

commit b2172cf823d3be34cb0246cb4cb32d105e2a34c9
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-31 08:49:54 +0200

    Fix # -> ## in a macro in lzma.h.

 src/liblzma/api/lzma.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1aae8698746d3c87a93f8398cdde2de9ba1f7208
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-30 18:50:16 +0200

    Updated README.

 README |   30 ++++++++++++++++++++----------
 1 files changed, 20 insertions(+), 10 deletions(-)

commit f54bcf6f80d585236bc03ce49f7c73e1abaa17eb
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-30 00:29:58 +0200

    Remove dangling crc64_init.c.

 src/liblzma/check/crc64_init.c |   55 ----------------------------------------
 1 files changed, 0 insertions(+), 55 deletions(-)

commit 982da7ed314398420c38bf154a8f759d5f18b480
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-28 17:16:38 +0200

    The .xz file format specification version 1.0.0 is now
    officially released. The format has been technically the same
    since 2008-11-19, but now that it is frozen, people can start
    using it without a fear that the format will break.

 doc/file-format.txt |   84 +++++++++++++++++++++++++++++---------------------
 1 files changed, 49 insertions(+), 35 deletions(-)

commit c4683a660b4372156bdaf92f0cdc54a58f95ee6f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-28 08:45:59 +0200

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 3241317093595db9f79104faafe93cb989c9f858
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-28 08:43:26 +0200

    Fix uninitialized variables in alone_decoder.c. This bug was
    triggered by the previous commit, since these variables were
    not used by anything before support for a preset dictionary.

 src/liblzma/common/alone_decoder.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit f76e39cf930f888d460b443d18f977ebedea8b2a
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-27 18:36:05 +0200

    Added initial support for preset dictionary for raw LZMA1
    and LZMA2. It is not supported by the .xz format or the xz
    command line tool yet.

 src/liblzma/lz/lz_decoder.c      |   35 +++++++++++++++++++++++++----------
 src/liblzma/lz/lz_decoder.h      |    9 ++++++++-
 src/liblzma/lz/lz_encoder.c      |   18 ++++++++++++++++--
 src/liblzma/lzma/lzma2_decoder.c |    9 ++++++---
 src/liblzma/lzma/lzma2_encoder.c |   12 +++++++-----
 src/liblzma/lzma/lzma_decoder.c  |   10 ++++++----
 src/liblzma/lzma/lzma_decoder.h  |    2 +-
 src/liblzma/lzma/lzma_encoder.c  |    9 ++++++++-
 8 files changed, 77 insertions(+), 27 deletions(-)

commit 449b8c832b26c3633f3bec60095e57d2d3ada1f3
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-26 20:09:17 +0200

    Regenerate the CRC tables without trailing blanks.

 src/liblzma/check/crc32_table_be.h | 1008 ++++++++++++++++++------------------
 src/liblzma/check/crc32_table_le.h | 1008 ++++++++++++++++++------------------
 src/liblzma/check/crc64_table_be.h | 1016 ++++++++++++++++++------------------
 src/liblzma/check/crc64_table_le.h | 1016 ++++++++++++++++++------------------
 4 files changed, 2024 insertions(+), 2024 deletions(-)

commit 850f7400428dc9c5fd08a2f35a5bd2c9e45aede2
Author: Jim Meyering <meyering@redhat.com>
Date:   2009-01-19 21:37:16 +0100

    remove trailing blanks from all but .xz files

 debug/known_sizes.c                |    2 +-
 extra/scanlzma/scanlzma.c          |    5 ++---
 src/liblzma/check/crc32_tablegen.c |    2 +-
 src/liblzma/check/crc64_tablegen.c |    2 +-
 src/scripts/lzdiff.1               |    4 ++--
 src/scripts/lzmore.1               |    6 +++---
 tests/test_compress.sh             |    4 ++--
 7 files changed, 12 insertions(+), 13 deletions(-)

commit 667481f1aad34e1ed15738e7913a9c7e256b4cf5
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-26 14:34:10 +0200

    Add lzma_block_buffer_decode().

 src/liblzma/api/lzma/block.h              |   41 ++++++++++++++
 src/liblzma/common/Makefile.am            |    1 +
 src/liblzma/common/block_buffer_decoder.c |   87 +++++++++++++++++++++++++++++
 3 files changed, 129 insertions(+), 0 deletions(-)

commit 5fb34d8324d3e7e0061df25d0086b64c8726b19d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-26 14:33:28 +0200

    Add more sanity checks to lzma_stream_buffer_decode().

 src/liblzma/common/stream_buffer_decoder.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit c129748675a5daa8838df92bde32cc04f6ce61ba
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-26 14:33:13 +0200

    Avoid hardcoded constant in easy.c.

 src/liblzma/common/easy.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1859d22d75e072463db74c25bc3f5a7992e5fdf6
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-26 13:06:49 +0200

    Tiny bit better sanity check in block_util.c

 src/liblzma/common/block_util.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2c5fe958e4bbe9b147b10c255955dfe2827fb8e7
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-25 01:35:56 +0200

    Fix a dumb bug in Block decoder, which made it return
    LZMA_DATA_ERROR with valid data. The bug was added in
    e114502b2bc371e4a45449832cb69be036360722.

 src/liblzma/common/block_decoder.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit c81f13ff29271de7293f8af3d81848b1dcae3d19
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-23 22:27:50 +0200

    Added lzma_stream_buffer_decode() and made minor cleanups.

 src/liblzma/api/lzma/block.h               |    3 +-
 src/liblzma/api/lzma/container.h           |   51 +++++++++++++++-
 src/liblzma/common/Makefile.am             |    1 +
 src/liblzma/common/stream_buffer_decoder.c |   91 ++++++++++++++++++++++++++++
 4 files changed, 144 insertions(+), 2 deletions(-)

commit 0b3318661ce749550b8531dfd469639a08930391
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-22 12:53:33 +0200

    Fix a comment.

 src/liblzma/common/common.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9ec80355a7212a0a2f8c89d98e51b1d8b4e34eec
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-20 16:37:27 +0200

    Add some single-call buffer-to-buffer coding functions.

 src/liblzma/api/lzma/block.h               |   57 +++++
 src/liblzma/api/lzma/container.h           |   56 +++++
 src/liblzma/api/lzma/index.h               |   70 ++++++-
 src/liblzma/common/Makefile.am             |    2 +
 src/liblzma/common/block_buffer_encoder.c  |  305 ++++++++++++++++++++++++++++
 src/liblzma/common/index_decoder.c         |   83 +++++++--
 src/liblzma/common/index_encoder.c         |   59 +++++-
 src/liblzma/common/stream_buffer_encoder.c |  138 +++++++++++++
 tests/test_index.c                         |   24 +++
 9 files changed, 768 insertions(+), 26 deletions(-)

commit d8b58d099340f8f4007b24b211ee41a7210c061c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-20 13:45:41 +0200

    Block encoder cleanups

 src/liblzma/common/block_encoder.c |   28 +++++++---------------------
 src/liblzma/common/block_encoder.h |   25 +++++++++++++++++++++++++
 2 files changed, 32 insertions(+), 21 deletions(-)

commit 0c09810cb3635cb575cb54e694d41523e7d0a335
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-20 10:35:15 +0200

    Use LZMA_PROG_ERROR in lzma_code() as documented in base.h.

 src/liblzma/common/common.c |   24 ++++++++----------------
 1 files changed, 8 insertions(+), 16 deletions(-)

commit 2f1a8e8eb898f6c036cde55d153ad348bfab3c00
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-19 22:53:18 +0200

    Fix handling of non-fatal errors in lzma_code().

 src/liblzma/common/common.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit 4810b6bc25087be872960b9dd1d11ff07735dc88
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-19 14:00:33 +0200

    Move some LZMA2 constants to lzma2_encoder.h so that they
    can be used outside lzma2_encoder.c.

 src/liblzma/lzma/lzma2_encoder.c |   13 -------------
 src/liblzma/lzma/lzma2_encoder.h |   14 ++++++++++++++
 src/liblzma/lzma/lzma_encoder.c  |    3 ++-
 3 files changed, 16 insertions(+), 14 deletions(-)

commit 00be5d2e09f9c7a6a8563465ad8b8042866817a4
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-19 13:52:36 +0200

    Remove dead code.

 src/liblzma/lzma/lzma_encoder.h |    8 --------
 1 files changed, 0 insertions(+), 8 deletions(-)

commit 128586213f77c9bd82b7e9a62927f6d0c3769d85
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-17 14:24:25 +0200

    Beta was supposed to be API stable but I had forgot to rename
    lzma_memlimit_encoder and lzma_memlimit_decoder to
    lzma_raw_encoder_memlimit and lzma_raw_decoder_memlimit. :-(
    Now it is fixed. Hopefully it doesn't cause too much trouble
    to those who already thought API is stable.

 src/liblzma/api/lzma/filter.h       |    4 ++--
 src/liblzma/common/easy.c           |    4 ++--
 src/liblzma/common/filter_common.c  |    2 +-
 src/liblzma/common/filter_common.h  |    2 +-
 src/liblzma/common/filter_decoder.c |    4 ++--
 src/liblzma/common/filter_encoder.c |    4 ++--
 src/liblzma/common/stream_decoder.c |    2 +-
 src/xz/process.c                    |    6 +++---
 8 files changed, 14 insertions(+), 14 deletions(-)

commit b056379490be5c584c264a967f0540041a163a1e
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-15 14:29:22 +0200

    Updated THANKS.

 THANKS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit dc8f3be06d54ef6e6cfb5134dd3d25edd08cef89
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-15 14:27:32 +0200

    Fixed a bug in 7z2lzma.bash to make it work with .7z files
    that use something else than 2^n as the dictionary size.
    Thanks to Dan Shechter for the bug report.

 extra/7z2lzma/7z2lzma.bash |   47 ++++++++++++++++++++++---------------------
 1 files changed, 24 insertions(+), 23 deletions(-)

commit 8286a60b8f4bd5accfbc9d229d2204bac31994f2
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2009-01-07 18:41:15 +0200

    Use pthread_sigmask() instead of sigprocmask() when pthreads
    are enabled.

 src/common/mythread.h |    6 ++++++
 src/xz/main.c         |    4 ++--
 src/xz/private.h      |    1 +
 3 files changed, 9 insertions(+), 2 deletions(-)

commit 4fd43cb3a906f6da2943f69239ee984c4787c9a9
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-31 20:01:00 +0200

    Bumped version to 4.999.8beta right after the release
    of 4.999.7beta.

 configure.ac                   |    2 +-
 src/liblzma/api/lzma/version.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 061748f5932719643cda73383db715167d543c22
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-31 18:59:02 +0200

    Disable Subblock filter from test_compress.sh since it is
    disabled by default in configure.ac.

 tests/test_compress.sh |   22 +++++++++++++---------
 1 files changed, 13 insertions(+), 9 deletions(-)

commit 9c45658ddc8bd4a7819ef8547d3e7ccf73203e78
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-31 17:44:20 +0200

    Disable both Subblock encoder and decoder my default,
    since they are not finished and may have security issues too.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b59f1e98f50694cf6a8f1b342fd878feebdb2f88
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-31 17:42:50 +0200

    Update some files in debug directory.

 debug/full_flush.c |    2 --
 debug/memusage.c   |    2 --
 debug/sync_flush.c |    2 --
 3 files changed, 0 insertions(+), 6 deletions(-)

commit d1d17a40d33a9682424ca37282813492f2cba6d0
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-31 17:41:46 +0200

    Prepare for 4.999.7beta release.

 AUTHORS                        |    4 ++--
 README                         |   34 +++++++++++++++++-----------------
 configure.ac                   |    4 ++--
 src/liblzma/api/lzma/version.h |    2 +-
 4 files changed, 22 insertions(+), 22 deletions(-)

commit 88d3e6b0b18e24142b6d3b41dc1b84b00c49fef3
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-31 17:15:03 +0200

    Cleaned up some comments in the API headers.

 src/liblzma/api/lzma/check.h     |   23 +++++++++++------------
 src/liblzma/api/lzma/container.h |    2 +-
 src/liblzma/api/lzma/version.h   |    4 +++-
 3 files changed, 15 insertions(+), 14 deletions(-)

commit 322ecf93c961e45a1da8c4a794a7fdacefcd7f40
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-31 16:29:39 +0200

    Renamed lzma_options_simple to lzma_options_bcj in the API.
    The internal implementation is still using the name "simple".
    It may need some cleanups, so I look at it later.

 src/liblzma/api/Makefile.am         |    2 +-
 src/liblzma/api/lzma.h              |    2 +-
 src/liblzma/api/lzma/bcj.h          |   94 +++++++++++++++++++++++++++++++++++
 src/liblzma/api/lzma/simple.h       |   94 -----------------------------------
 src/liblzma/simple/simple_coder.c   |    2 +-
 src/liblzma/simple/simple_decoder.c |    4 +-
 src/liblzma/simple/simple_encoder.c |    4 +-
 tests/test_filter_flags.c           |    8 ++--
 8 files changed, 105 insertions(+), 105 deletions(-)

commit 7eea8bec3abfed883efba66264a1452a1c04f6b0
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-31 00:57:27 +0200

    Fixed missing quoting in configure.ac.

 configure.ac |   38 +++++++++++++++++++-------------------
 1 files changed, 19 insertions(+), 19 deletions(-)

commit 28e75f7086dbe9501d926c370375c69dfb1236ce
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-31 00:48:23 +0200

    Updated src/liblzma/Makefile.am to use liblzma.pc.in, which
    should have been in the previous commit.

 src/liblzma/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 7ed9d943b31d3ee9c5fb2387e84a241ba33afe90
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-31 00:30:49 +0200

    Remove lzma_init() and other init functions from liblzma API.
    Half of developers were already forgetting to use these
    functions, which could have caused total breakage in some future
    liblzma version or even now if --enable-small was used. Now
    liblzma uses pthread_once() to do the initializations unless
    it has been built with --disable-threads which make these
    initializations thread-unsafe.
    
    When --enable-small isn't used, liblzma currently gets needlessly
    linked against libpthread (on systems that have it). While it is
    stupid for now, liblzma will need threads in future anyway, so
    this stupidity will be temporary only.
    
    When --enable-small is used, different code CRC32 and CRC64 is
    now used than without --enable-small. This made the resulting
    binary slightly smaller, but the main reason was to clean it up
    and to handle the lack of lzma_init_check().
    
    The pkg-config file lzma.pc was renamed to liblzma.pc. I'm not
    sure if it works correctly and portably for static linking
    (Libs.private includes -pthread or other operating system
    specific flags). Hopefully someone complains if it is bad.
    
    lzma_rc_prices[] is now included as a precomputed array even
    with --enable-small. It's just 128 bytes now that it uses uint8_t
    instead of uint32_t. Smaller array seemed to be at least as fast
    as the more bloated uint32_t array on x86; hopefully it's not bad
    on other architectures.

 configure.ac                              |   29 ++++++++--
 src/common/mythread.h                     |   34 +++++++++++
 src/liblzma/api/Makefile.am               |    1 -
 src/liblzma/api/lzma.h                    |    1 -
 src/liblzma/api/lzma/init.h               |   85 ----------------------------
 src/liblzma/check/Makefile.am             |   29 +++------
 src/liblzma/check/check.c                 |   10 ++--
 src/liblzma/check/check.h                 |   25 +++-----
 src/liblzma/check/check_init.c            |   37 ------------
 src/liblzma/check/crc32.c                 |   88 -----------------------------
 src/liblzma/check/crc32_fast.c            |   88 +++++++++++++++++++++++++++++
 src/liblzma/check/crc32_init.c            |   55 ------------------
 src/liblzma/check/crc32_small.c           |   54 ++++++++++++++++++
 src/liblzma/check/crc32_tablegen.c        |   55 ++++++++++++++++--
 src/liblzma/check/crc64.c                 |   75 ------------------------
 src/liblzma/check/crc64_fast.c            |   75 ++++++++++++++++++++++++
 src/liblzma/check/crc64_small.c           |   54 ++++++++++++++++++
 src/liblzma/check/crc64_tablegen.c        |   55 ++++++++++++++++--
 src/liblzma/common/Makefile.am            |    3 -
 src/liblzma/common/common.h               |    1 +
 src/liblzma/common/init.c                 |   39 -------------
 src/liblzma/common/init_decoder.c         |   31 ----------
 src/liblzma/common/init_encoder.c         |   40 -------------
 src/liblzma/liblzma.pc.in                 |   12 ++++
 src/liblzma/lz/lz_encoder.c               |    6 ++
 src/liblzma/lzma.pc.in                    |   11 ----
 src/liblzma/rangecoder/Makefile.am        |    8 +--
 src/liblzma/rangecoder/price.h            |   16 +-----
 src/liblzma/rangecoder/price_table.c      |    2 +-
 src/liblzma/rangecoder/price_table_init.c |   55 ------------------
 src/liblzma/rangecoder/price_tablegen.c   |   51 ++++++++++++++--
 src/xz/Makefile.am                        |    5 +-
 src/xz/main.c                             |    3 -
 src/xzdec/xzdec.c                         |    3 -
 tests/test_block_header.c                 |    1 -
 tests/test_check.c                        |    2 -
 tests/test_filter_flags.c                 |    2 -
 tests/test_index.c                        |    2 -
 tests/test_stream_flags.c                 |    2 -
 tests/tests.h                             |    2 +-
 40 files changed, 519 insertions(+), 628 deletions(-)

commit 5cda29b5665004fc0f21d0c41d78022a6a559ab2
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-27 19:40:31 +0200

    Use 28 MiB as memory usage limit for encoding in test_compress.sh.

 tests/test_compress.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 050eb14d29e2537c014662e83599fd8a77f13c45
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-27 19:32:20 +0200

    Revert a change made in 3b34851de1eaf358cf9268922fa0eeed8278d680
    that was related to LZMA_MODE_FAST. The original code is slightly
    faster although it compresses slightly worse. But since it is fast
    mode, it is better to select the faster version.

 src/liblzma/lzma/lzma_encoder_optimum_fast.c |   23 ++++++++---------------
 1 files changed, 8 insertions(+), 15 deletions(-)

commit 4820f10d0f173864f6a2ea7479663b509ac53358
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-27 19:30:19 +0200

    Some xz command line tool improvements.

 src/xz/args.c    |   23 ++++-----
 src/xz/message.c |    4 +-
 src/xz/options.c |    2 +-
 src/xz/process.c |  133 ++++++++++++++++++++++++++++++++++++++++++-----------
 src/xz/process.h |    3 +
 5 files changed, 121 insertions(+), 44 deletions(-)

commit e33194e79d8f5ce07cb4aca909b324ae75098f7e
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-27 19:27:49 +0200

    Bunch of liblzma tweaks, including some API changes.
    The API and ABI should now be very close to stable,
    although the code behind it isn't yet.

 src/liblzma/api/lzma.h                    |    8 ++--
 src/liblzma/api/lzma/block.h              |   63 +++++++++++++++++++++++-
 src/liblzma/api/lzma/container.h          |   76 ++++++++++++++--------------
 src/liblzma/api/lzma/lzma.h               |   41 +++++++++-------
 src/liblzma/common/alone_decoder.c        |   36 +++++++-------
 src/liblzma/common/alone_encoder.c        |   22 +++-----
 src/liblzma/common/auto_decoder.c         |    2 +-
 src/liblzma/common/block_decoder.c        |   54 ++++++++++----------
 src/liblzma/common/block_decoder.h        |    4 +-
 src/liblzma/common/block_encoder.c        |   37 ++++++++------
 src/liblzma/common/block_encoder.h        |    4 +-
 src/liblzma/common/block_header_decoder.c |   41 ++++++++-------
 src/liblzma/common/block_header_encoder.c |   51 +++++++++----------
 src/liblzma/common/block_util.c           |    3 +-
 src/liblzma/common/easy.c                 |   45 ++++++-----------
 src/liblzma/common/stream_decoder.c       |    3 +-
 src/liblzma/common/stream_decoder.h       |    2 +-
 src/liblzma/common/stream_encoder.c       |    3 +-
 src/liblzma/common/stream_encoder.h       |    2 +-
 src/liblzma/common/stream_flags_decoder.c |    2 +-
 src/liblzma/common/stream_flags_encoder.c |    2 +-
 src/liblzma/lzma/lzma_encoder.c           |    2 +-
 src/liblzma/lzma/lzma_encoder_presets.c   |   53 ++++++--------------
 23 files changed, 294 insertions(+), 262 deletions(-)

commit 4d00652e75dd2736aedc3a3a8baff3dd0ea38074
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-18 13:42:52 +0200

    Updated Makefile.am that was missing from the previous commit.

 src/liblzma/common/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 634636fa56ccee6e744f78b0abed76c8940f2f8f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-17 21:49:53 +0200

    Remove the alignment functions for now. Maybe they will
    be added back in some form later, but the current version
    wasn't modular, so it would need fixing anyway.

 src/liblzma/api/Makefile.am      |    1 -
 src/liblzma/api/lzma.h           |    1 -
 src/liblzma/api/lzma/alignment.h |   60 --------------------
 src/liblzma/common/alignment.c   |  114 --------------------------------------
 4 files changed, 0 insertions(+), 176 deletions(-)

commit 4fed98417d1687f5eccccb42a133fde3ec81216a
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-17 20:11:23 +0200

    xz message handling improvements

 src/xz/message.c |  125 +++++++++++++++++++++++++++++++++++++++++++++++++-----
 src/xz/message.h |    7 +++-
 src/xz/process.c |   28 +++++++++++-
 3 files changed, 146 insertions(+), 14 deletions(-)

commit 653e457e3756ef35e5d1b2be3523b3e4b1e9ee4d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-15 23:26:43 +0200

    Fix a dumb bug in .lzma decoder which was introduced in
    the previous commit. (Probably the previous commit has
    other bugs too, it wasn't tested.)

 src/liblzma/common/alone_decoder.c |   29 ++++++++++++++---------------
 1 files changed, 14 insertions(+), 15 deletions(-)

commit 671a5adf1e844bfdd6fd327016c3c28694493158
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-15 19:39:13 +0200

    Bunch of liblzma API cleanups and fixes.

 src/liblzma/api/lzma.h              |  122 +++++++++++---------
 src/liblzma/api/lzma/base.h         |  174 +++++++++++++++++++----------
 src/liblzma/api/lzma/block.h        |  211 +++++++++++++++++++++++------------
 src/liblzma/api/lzma/check.h        |   28 +++--
 src/liblzma/api/lzma/container.h    |  155 +++++++++++++-------------
 src/liblzma/api/lzma/delta.h        |   12 +-
 src/liblzma/api/lzma/filter.h       |   27 +++--
 src/liblzma/api/lzma/index.h        |   97 ++++++++++++++---
 src/liblzma/api/lzma/index_hash.h   |   26 +++-
 src/liblzma/api/lzma/init.h         |    2 +-
 src/liblzma/api/lzma/lzma.h         |   12 +-
 src/liblzma/api/lzma/simple.h       |    4 +-
 src/liblzma/api/lzma/stream_flags.h |   46 +++++---
 src/liblzma/api/lzma/version.h      |    6 +-
 src/liblzma/api/lzma/vli.h          |   17 +--
 src/liblzma/common/alone_decoder.c  |   47 ++++++---
 src/liblzma/common/auto_decoder.c   |   29 +++++
 src/liblzma/common/block_util.c     |   52 +++++----
 src/liblzma/common/common.c         |   58 ++++++++++
 src/liblzma/common/common.h         |    9 ++-
 src/liblzma/common/easy.c           |   33 ++++--
 src/liblzma/common/filter_common.c  |    2 +-
 src/liblzma/common/index.c          |   11 ++
 src/liblzma/common/index_decoder.c  |   46 +++++++-
 src/liblzma/common/stream_decoder.c |   47 +++++++-
 src/liblzma/lzma/lzma2_encoder.c    |    6 +-
 tests/test_index.c                  |   10 +-
 27 files changed, 863 insertions(+), 426 deletions(-)

commit 17781c2c20fd77029cb32e77792889f2f211d69d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-15 14:26:52 +0200

    The LZMA2 decoder fix introduced a bug to LZ decoder,
    which made LZ decoder return too early after dictionary
    reset. This fixes it.

 src/liblzma/lz/lz_decoder.c |   33 +++++++++++++++++++++++----------
 1 files changed, 23 insertions(+), 10 deletions(-)

commit f9f2d1e74398500724041f7fb3c38db35ad8c8d8
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-15 11:20:22 +0200

    Added two new test files.

 tests/files/README            |    7 +++++++
 tests/files/bad-1-lzma2-8.xz  |  Bin 0 -> 464 bytes
 tests/files/good-1-lzma2-4.xz |  Bin 0 -> 464 bytes
 3 files changed, 7 insertions(+), 0 deletions(-)

commit ff7fb2c605bccc411069e07b9f11fb957aea2ddf
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-15 10:01:59 +0200

    Fix data corruption in LZMA2 decoder.

 src/liblzma/lz/lz_decoder.c      |   17 ++++++++++++++++-
 src/liblzma/lz/lz_decoder.h      |    8 +++++---
 src/liblzma/lzma/lzma2_decoder.c |   15 +++++++++++----
 3 files changed, 32 insertions(+), 8 deletions(-)

commit 1ceebcf7e1bd30b95125f0ad67a09fdb6215d613
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2008-12-13 00:54:11 +0200

    Name the package "xz" in configure.ac.

 configure.ac |   11 ++++-------
 1 files changed, 4 insertions(+), 7 deletions(-)

